import "./AvatarGroup.css";
import {AvatarContext as $3ffa2cd930156220$export$a20dad690e1279e2} from "./Avatar.mjs";
import {useSpectrumContextProps as $5ce63c423902f47d$export$764f6146fadd77f7} from "../icons/useSpectrumContextProps.mjs";
import {jsx as $6MvCt$jsx, jsxs as $6MvCt$jsxs} from "react/jsx-runtime";
import {createContext as $6MvCt$createContext, forwardRef as $6MvCt$forwardRef} from "react";
import {filterDOMProps as $6MvCt$filterDOMProps} from "@react-aria/utils";
import {useDOMRef as $6MvCt$useDOMRef} from "@react-spectrum/utils";
import {useLabel as $6MvCt$useLabel} from "react-aria";

/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 






const $85e1de65a7290f4a$export$4f18251748129091 = /*#__PURE__*/ (0, $6MvCt$createContext)(null);
const $85e1de65a7290f4a$var$avatar = " I4gnV8d9 Iby9";
const $85e1de65a7290f4a$var$text = function anonymous(props) {
    let rules = " ";
    rules += ' Iv9';
    rules += ' _Nc9';
    rules += ' Pc9';
    rules += ' _Yb9';
    rules += ' _7c9';
    if (props.size === "40") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "36") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "32") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "28") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "24") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "20") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "16") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    }
    if (props.size === "40") {
        rules += ' vj9';
        rules += ' vsm9';
    } else if (props.size === "36") {
        rules += ' vi9';
        rules += ' vsl9';
    } else if (props.size === "32") {
        rules += ' vg9';
        rules += ' vsj9';
    } else if (props.size === "28") {
        rules += ' vp9';
        rules += ' vsh9';
    } else if (props.size === "24") {
        rules += ' vd9';
        rules += ' vsf9';
    } else if (props.size === "20") {
        rules += ' vb9';
        rules += ' vse9';
    } else if (props.size === "16") {
        rules += ' va9';
        rules += ' vsc9';
    }
    if (props.size === "40") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "36") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "32") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "28") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "24") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "20") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "16") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    }
    if (props.size === "40") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "36") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "32") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "28") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "24") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "20") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "16") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    }
    if (props.size === "40") rules += ' pt9';
    else if (props.size === "36") rules += ' pt9';
    else if (props.size === "32") rules += ' pt9';
    else if (props.size === "28") rules += ' pt9';
    else if (props.size === "24") rules += ' pt9';
    else if (props.size === "20") rules += ' pt9';
    else if (props.size === "16") rules += ' pt9';
    return rules;
};
const $85e1de65a7290f4a$var$container = function anonymous(props, overrides) {
    let rules = " ";
    rules += ((overrides || '').match(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z)[^\s]+/g) || []).join('');
    rules += ' sd9';
    rules += ' eb9';
    return rules;
};
const $85e1de65a7290f4a$export$5b26ebaf2b105908 = /*#__PURE__*/ (0, $6MvCt$forwardRef)(function AvatarGroup(props, ref) {
    [props, ref] = (0, $5ce63c423902f47d$export$764f6146fadd77f7)(props, ref, $85e1de65a7290f4a$export$4f18251748129091);
    let domRef = (0, $6MvCt$useDOMRef)(ref);
    let { children: children, label: label, size: size = 24, styles: styles, UNSAFE_style: UNSAFE_style, UNSAFE_className: UNSAFE_className, ...otherProps } = props;
    let { labelProps: labelProps, fieldProps: fieldProps } = (0, $6MvCt$useLabel)({
        ...props,
        labelElementType: 'span'
    });
    return /*#__PURE__*/ (0, $6MvCt$jsx)((0, $3ffa2cd930156220$export$a20dad690e1279e2).Provider, {
        value: {
            styles: $85e1de65a7290f4a$var$avatar,
            size: size,
            isOverBackground: true
        },
        children: /*#__PURE__*/ (0, $6MvCt$jsxs)("div", {
            ref: domRef,
            ...(0, $6MvCt$filterDOMProps)(otherProps),
            ...fieldProps,
            role: "group",
            className: (UNSAFE_className ?? '') + $85e1de65a7290f4a$var$container(null, styles),
            style: {
                ...UNSAFE_style,
                '--size': size / 16 + 'rem'
            },
            children: [
                children,
                label && /*#__PURE__*/ (0, $6MvCt$jsx)("span", {
                    ...labelProps,
                    className: $85e1de65a7290f4a$var$text({
                        size: String(size)
                    }),
                    children: label
                })
            ]
        })
    });
});


export {$85e1de65a7290f4a$export$4f18251748129091 as AvatarGroupContext, $85e1de65a7290f4a$export$5b26ebaf2b105908 as AvatarGroup};
//# sourceMappingURL=AvatarGroup.mjs.map
