require("./Card.css");
var $e5a758dd286599f2$exports = require("./ActionMenu.cjs");
var $38071d9ce246d4cf$exports = require("./Avatar.cjs");
var $25d06cf8d4e72761$exports = require("./Button.cjs");
var $af04e099a53d3e85$exports = require("./Checkbox.cjs");
var $6367bc87eb7d24ad$exports = require("./Content.cjs");
var $2d04acb918636de0$exports = require("./Divider.cjs");
var $bde97c91243ed164$exports = require("../icons/Icon.cjs");
var $053b76ed3d29e13b$exports = require("./Image.cjs");
var $a4f1585b527b9b7a$exports = require("./ImageCoordinator.cjs");
var $308b180f49d82d28$exports = require("../icons/runtime.cjs");
var $2061c83559b50a66$exports = require("./pressScale.cjs");
var $5eb75e0c130e0669$exports = require("../icons/Skeleton.cjs");
var $ac757a4c2bd72aee$exports = require("../icons/useSpectrumContextProps.cjs");
var $1B7TP$reactjsxruntime = require("react/jsx-runtime");
var $1B7TP$reactariacomponents = require("react-aria-components");
var $1B7TP$react = require("react");
var $1B7TP$reactariautils = require("@react-aria/utils");
var $1B7TP$reactspectrumutils = require("@react-spectrum/utils");


function $parcel$export(e, n, v, s) {
  Object.defineProperty(e, n, {get: v, set: s, enumerable: true, configurable: true});
}

$parcel$export(module.exports, "InternalCardViewContext", () => $230078a1c4ce81d8$export$cb658fed5fefe1d);
$parcel$export(module.exports, "CardContext", () => $230078a1c4ce81d8$export$d0b2ee33ebf7d64);
$parcel$export(module.exports, "Card", () => $230078a1c4ce81d8$export$60332b2344f7fe41);
$parcel$export(module.exports, "CardPreview", () => $230078a1c4ce81d8$export$115f017852a4bb7c);
$parcel$export(module.exports, "CollectionCardPreview", () => $230078a1c4ce81d8$export$c368ea3e577b1b86);
$parcel$export(module.exports, "AssetCard", () => $230078a1c4ce81d8$export$eff93e4e59ccc3b8);
$parcel$export(module.exports, "UserCard", () => $230078a1c4ce81d8$export$78e8870b5d8ae469);
$parcel$export(module.exports, "ProductCard", () => $230078a1c4ce81d8$export$e6cbe35324ccf844);
/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 

















const $230078a1c4ce81d8$var$borderRadius = {
    default: 'lg',
    size: {
        XS: 'default',
        S: 'default'
    }
};
let $230078a1c4ce81d8$var$card = function anonymous(props, overrides) {
    let rules = " ";
    let position = false;
    let width = false;
    let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g);
    for (let p of matches){
        if (p[1] === "_P") position = true;
        if (p[1] === "Z") width = true;
        rules += p[0];
    }
    rules += ' sd9';
    rules += ' _ta9';
    if (!position) rules += ' _Pc9';
    if (props.size === "S") rules += ' ob9';
    else if (props.size === "XS") rules += ' ob9';
    else rules += ' oc9';
    if (props.size === "S") rules += ' nb9';
    else if (props.size === "XS") rules += ' nb9';
    else rules += ' nc9';
    if (props.size === "S") rules += ' kb9';
    else if (props.size === "XS") rules += ' kb9';
    else rules += ' kc9';
    if (props.size === "S") rules += ' jb9';
    else if (props.size === "XS") rules += ' jb9';
    else rules += ' jc9';
    if (props.variant === "secondary") rules += ' -Ovbhqd-gqlRAZb9';
    else if (props.variant === "primary") rules += ' -Ovbhqd-g_g9';
    rules += ' -Ovbhqd-lgb9';
    if (props.variant === "quiet") rules += ' g99';
    else if (props.variant === "tertiary") rules += ' g99';
    else rules += ' gEzkoQe9';
    if (props.variant === "quiet") rules += ' _nd9';
    else if (props.variant === "tertiary") {
        if (props.isSelected) rules += ' _nd9';
        else if (props.isFocusVisible) rules += ' _nIvHxVd9';
        else if (props.isHovered) rules += ' _nIvHxVd9';
        else rules += ' _nEoUQN9';
        rules += ' _nlAvWjK9';
    } else {
        if (props.isSelected) rules += ' _nb9';
        else if (props.isFocusVisible) rules += ' _nb9';
        else if (props.isHovered) rules += ' _nb9';
        else rules += ' _na9';
        rules += ' _nlAvWjK9';
    }
    rules += ' _yb9';
    rules += ' Yd9';
    rules += ' Xb9';
    rules += ' _2b9';
    rules += ' ug9';
    rules += ' uch9';
    rules += ' udi9';
    rules += ' uea9';
    rules += ' ugb9';
    rules += ' uhd9';
    rules += ' uje9';
    rules += ' uic9';
    if (props.variant === "quiet") rules += ' _Ne9';
    else rules += ' _Nb9';
    if (props.variant === "quiet") rules += ' Pe9';
    else rules += ' Pb9';
    rules += ' _qc9';
    rules += ' __ca9';
    if (props.isCardView) rules += ' _4c9';
    if (props.isLink) rules += ' ry9';
    if (props.isCardView) {
        if (!width) rules += ' Za9';
    } else if (props.size === "XL") {
        if (!width) rules += ' ZA9';
    } else if (props.size === "L") {
        if (!width) rules += ' Zy9';
    } else if (props.size === "M") {
        if (!width) rules += ' Zt9';
    } else if (props.size === "S") {
        if (!width) rules += ' Zr9';
    } else if (props.size === "XS") {
        if (!width) rules += ' ZI9';
    }
    rules += ' Fb9';
    if (props.density === "spacious") {
        if (props.size === "XL") rules += ' -dAV6Jb-Ti9';
        else if (props.size === "L") rules += ' -dAV6Jb-Th9';
        else if (props.size === "M") rules += ' -dAV6Jb-Tg9';
        else if (props.size === "S") rules += ' -dAV6Jb-Tf9';
        else if (props.size === "XS") rules += ' -dAV6Jb-Te9';
    } else if (props.density === "regular") {
        if (props.size === "XL") rules += ' -dAV6Jb-Th9';
        else if (props.size === "L") rules += ' -dAV6Jb-Tg9';
        else if (props.size === "M") rules += ' -dAV6Jb-Tf9';
        else if (props.size === "S") rules += ' -dAV6Jb-Te9';
        else if (props.size === "XS") rules += ' -dAV6Jb-Tt9';
    } else if (props.density === "compact") {
        if (props.size === "XL") rules += ' -dAV6Jb-Tg9';
        else if (props.size === "L") rules += ' -dAV6Jb-Tf9';
        else if (props.size === "M") rules += ' -dAV6Jb-Te9';
        else if (props.size === "S") rules += ' -dAV6Jb-Tt9';
        else if (props.size === "XS") rules += ' -dAV6Jb-T1DOfn9';
    }
    if (props.variant === "quiet") rules += ' -jXLvjd-Td9';
    else rules += ' -jXLvjd-T5gMYHd9';
    if (props.variant === "quiet") rules += ' -iXLvjd-Sd9';
    else rules += ' -iXLvjd-S5gMYHd9';
    rules += ' TxTaQHd9';
    rules += ' QxTaQHd9';
    rules += ' S0SaQHd9';
    rules += ' R0SaQHd9';
    rules += ' _oa9';
    if (props.variant === "quiet") rules += ' _Le9';
    else if (props.isFocusVisible) rules += ' _Lf9';
    else rules += ' _Le9';
    rules += ' Oh9';
    rules += ' _Mc9';
    rules += ' _Kd9';
    return rules;
};
let $230078a1c4ce81d8$var$selectionIndicator = function anonymous(props) {
    let rules = " ";
    rules += ' _Pa9';
    rules += ' Wr9';
    rules += ' _lr9';
    rules += ' _Ar9';
    rules += ' _zr9';
    rules += ' _9d9';
    if (props.size === "S") rules += ' ob9';
    else if (props.size === "XS") rules += ' ob9';
    else rules += ' oc9';
    if (props.size === "S") rules += ' nb9';
    else if (props.size === "XS") rules += ' nb9';
    else rules += ' nc9';
    if (props.size === "S") rules += ' kb9';
    else if (props.size === "XS") rules += ' kb9';
    else rules += ' kc9';
    if (props.size === "S") rules += ' jb9';
    else if (props.size === "XS") rules += ' jb9';
    else rules += ' jc9';
    rules += ' _Ob9';
    rules += ' _kc9';
    rules += ' hc9';
    rules += ' mc9';
    rules += ' lc9';
    rules += ' _jf9';
    rules += ' ik9';
    rules += ' Yd9';
    rules += ' Xb9';
    rules += ' _2b9';
    if (props.isSelected) rules += ' _Ib9';
    else rules += ' _Ia9';
    rules += ' OGcUfH9';
    rules += ' _Kc9';
    if (props.isStrokeInner) rules += ' _Lf9';
    else rules += ' _Le9';
    rules += ' _Mc9';
    return rules;
};
let $230078a1c4ce81d8$var$preview = function anonymous(props) {
    let rules = " ";
    rules += ' _Pc9';
    rules += ' Yd9';
    rules += ' Xb9';
    rules += ' _2b9';
    rules += ' _Nb9';
    rules += ' Pb9';
    rules += ' I8cyuNb9';
    rules += ' H8cyuNb9';
    rules += ' J39J4qb9';
    rules += ' Gk39J4qb9';
    if (props.isQuiet) {
        if (props.size === "S") rules += ' ob9';
        else if (props.size === "XS") rules += ' ob9';
        else rules += ' oc9';
    }
    if (props.isQuiet) {
        if (props.size === "S") rules += ' nb9';
        else if (props.size === "XS") rules += ' nb9';
        else rules += ' nc9';
    }
    if (props.isQuiet) {
        if (props.size === "S") rules += ' kb9';
        else if (props.size === "XS") rules += ' kb9';
        else rules += ' kc9';
    }
    if (props.isQuiet) {
        if (props.size === "S") rules += ' jb9';
        else if (props.size === "XS") rules += ' jb9';
        else rules += ' jc9';
    }
    if (props.isQuiet) {
        if (props.isSelected) rules += ' _nb9';
        else if (props.isFocusVisible) rules += ' _nb9';
        else if (props.isHovered) rules += ' _nb9';
    }
    if (props.isQuiet) {
        if (props.isFocusVisible) rules += ' _Lf9';
    } else rules += ' _Le9';
    rules += ' Oh9';
    rules += ' _Mc9';
    rules += ' _Kd9';
    return rules;
};
const $230078a1c4ce81d8$var$image = " Za9 fc9 _Hb9 _4c9 _Ob9";
let $230078a1c4ce81d8$var$title = function anonymous(props) {
    let rules = " ";
    rules += ' ug9';
    rules += ' uch9';
    rules += ' udi9';
    rules += ' uea9';
    rules += ' ugb9';
    rules += ' uhd9';
    rules += ' uje9';
    rules += ' uic9';
    if (props.size === "XL") {
        rules += ' vg9';
        rules += ' vsj9';
    } else if (props.size === "L") {
        rules += ' vp9';
        rules += ' vsh9';
    } else if (props.size === "M") {
        rules += ' vd9';
        rules += ' vsf9';
    } else if (props.size === "S") {
        rules += ' vb9';
        rules += ' vse9';
    } else if (props.size === "XS") {
        rules += ' vb9';
        rules += ' vse9';
    }
    rules += ' wd9';
    rules += ' xd9';
    rules += ' _xa9';
    rules += ' wfd9';
    rules += ' xfd9';
    rules += ' _xfa9';
    rules += ' _Fa9';
    rules += ' _Ffb9';
    rules += ' po9';
    rules += ' __Ea9';
    rules += ' sa9';
    rules += ' __aa9';
    rules += ' __ba9';
    rules += ' zn9DOs9';
    rules += ' yn9DOs9';
    rules += ' Bn9DOs9';
    rules += ' An9DOs9';
    return rules;
};
let $230078a1c4ce81d8$var$description = function anonymous(props) {
    let rules = " ";
    rules += ' ug9';
    rules += ' uch9';
    rules += ' udi9';
    rules += ' uea9';
    rules += ' ugb9';
    rules += ' uhd9';
    rules += ' uje9';
    rules += ' uic9';
    if (props.size === "XL") {
        rules += ' vp9';
        rules += ' vsh9';
    } else if (props.size === "L") {
        rules += ' vd9';
        rules += ' vsf9';
    } else if (props.size === "M") {
        rules += ' vb9';
        rules += ' vse9';
    } else if (props.size === "S") {
        rules += ' va9';
        rules += ' vsc9';
    } else if (props.size === "XS") {
        rules += ' va9';
        rules += ' vsc9';
    }
    rules += ' wb9';
    rules += ' xb9';
    rules += ' _xa9';
    rules += ' _Fb9';
    rules += ' _Ffc9';
    rules += ' pt9';
    rules += ' __Ea9';
    rules += ' sa9';
    rules += ' __aa9';
    rules += ' __ba9';
    rules += ' z9u7zPc9';
    rules += ' y9u7zPc9';
    rules += ' B9u7zPc9';
    rules += ' A9u7zPc9';
    return rules;
};
let $230078a1c4ce81d8$var$content = function anonymous(props) {
    let rules = " ";
    rules += ' se9';
    rules += ' DM8Mfn9';
    rules += ' DlsIuJI4ff49';
    rules += ' CfLapxc9';
    rules += ' ClsIuJg9IhLd9';
    rules += ' qb9';
    rules += ' _ub9';
    rules += ' ea9';
    rules += ' _cf9';
    if (props.size === "XL") rules += ' Ue9';
    else if (props.size === "L") rules += ' UWJpoB9';
    else if (props.size === "M") rules += ' UWJpoB9';
    else if (props.size === "S") rules += ' Ub9';
    else if (props.size === "XS") rules += ' Ub9';
    rules += ' T5gMYHd9';
    rules += ' Tbd9';
    rules += ' Q69YG2b9';
    rules += ' Qkd9';
    return rules;
};
let $230078a1c4ce81d8$var$actionMenu = " zgSHDrc9 ygSHDrc9 BgSHDrc9 AgSHDrc9 JTnYEIe9 GTnYEIe9";
let $230078a1c4ce81d8$var$footer = " sd9 _tc9 ec9 _Ce9 Ue9 qe9 T69YG2b9";
const $230078a1c4ce81d8$export$cb658fed5fefe1d = /*#__PURE__*/ (0, $1B7TP$react.createContext)('div');
const $230078a1c4ce81d8$export$d0b2ee33ebf7d64 = /*#__PURE__*/ (0, $1B7TP$react.createContext)(null);
const $230078a1c4ce81d8$var$InternalCardContext = /*#__PURE__*/ (0, $1B7TP$react.createContext)({
    isQuiet: false,
    size: 'M',
    isSelected: false,
    isHovered: false,
    isFocusVisible: false,
    isPressed: false,
    isCheckboxSelection: true
});
const $230078a1c4ce81d8$var$actionButtonSize = {
    XS: 'XS',
    S: 'XS',
    M: 'S',
    L: 'M',
    XL: 'L'
};
const $230078a1c4ce81d8$export$60332b2344f7fe41 = /*#__PURE__*/ (0, $1B7TP$react.forwardRef)(function Card(props, ref) {
    [props] = (0, $ac757a4c2bd72aee$exports.useSpectrumContextProps)(props, ref, $230078a1c4ce81d8$export$d0b2ee33ebf7d64);
    let domRef = (0, $1B7TP$reactspectrumutils.useDOMRef)(ref);
    let { density: density = 'regular', size: size = 'M', variant: variant = 'primary', UNSAFE_className: UNSAFE_className = '', UNSAFE_style: UNSAFE_style, styles: styles, id: id, ...otherProps } = props;
    let isQuiet = variant === 'quiet';
    let isSkeleton = (0, $5eb75e0c130e0669$exports.useIsSkeleton)();
    let children = /*#__PURE__*/ (0, $1B7TP$reactjsxruntime.jsx)((0, $1B7TP$reactariacomponents.Provider), {
        values: [
            [
                (0, $053b76ed3d29e13b$exports.ImageContext),
                {
                    alt: '',
                    styles: $230078a1c4ce81d8$var$image
                }
            ],
            [
                (0, $6367bc87eb7d24ad$exports.TextContext),
                {
                    slots: {
                        [(0, $1B7TP$reactariacomponents.DEFAULT_SLOT)]: {},
                        title: {
                            styles: $230078a1c4ce81d8$var$title({
                                size: size
                            })
                        },
                        description: {
                            styles: $230078a1c4ce81d8$var$description({
                                size: size
                            })
                        }
                    }
                }
            ],
            [
                (0, $6367bc87eb7d24ad$exports.ContentContext),
                {
                    styles: $230078a1c4ce81d8$var$content({
                        size: size
                    })
                }
            ],
            [
                (0, $2d04acb918636de0$exports.DividerContext),
                {
                    size: 'S'
                }
            ],
            [
                (0, $6367bc87eb7d24ad$exports.FooterContext),
                {
                    styles: $230078a1c4ce81d8$var$footer
                }
            ],
            [
                (0, $e5a758dd286599f2$exports.ActionMenuContext),
                {
                    isQuiet: true,
                    size: $230078a1c4ce81d8$var$actionButtonSize[size],
                    isDisabled: isSkeleton,
                    // @ts-ignore
                    'data-slot': 'menu',
                    styles: $230078a1c4ce81d8$var$actionMenu
                }
            ],
            [
                (0, $5eb75e0c130e0669$exports.SkeletonContext),
                isSkeleton
            ]
        ],
        children: /*#__PURE__*/ (0, $1B7TP$reactjsxruntime.jsx)((0, $a4f1585b527b9b7a$exports.ImageCoordinator), {
            children: typeof props.children === 'function' ? props.children({
                size: size
            }) : props.children
        })
    });
    let ElementType = (0, $1B7TP$react.useContext)($230078a1c4ce81d8$export$cb658fed5fefe1d);
    if (ElementType === 'div' || isSkeleton) return /*#__PURE__*/ (0, $1B7TP$reactjsxruntime.jsx)("div", {
        ...(0, $1B7TP$reactariautils.filterDOMProps)(otherProps),
        id: id != null ? String(id) : undefined,
        // @ts-ignore - React < 19 compat
        inert: (0, $1B7TP$reactariautils.inertValue)(isSkeleton),
        ref: domRef,
        className: UNSAFE_className + $230078a1c4ce81d8$var$card({
            size: size,
            density: density,
            variant: variant,
            isCardView: ElementType !== 'div'
        }, styles),
        style: UNSAFE_style,
        children: /*#__PURE__*/ (0, $1B7TP$reactjsxruntime.jsx)($230078a1c4ce81d8$var$InternalCardContext.Provider, {
            value: {
                size: size,
                isQuiet: isQuiet,
                isCheckboxSelection: false,
                isHovered: false,
                isFocusVisible: false,
                isSelected: false,
                isPressed: false
            },
            children: children
        })
    });
    let press = (0, $2061c83559b50a66$exports.pressScale)(domRef, UNSAFE_style);
    return /*#__PURE__*/ (0, $1B7TP$reactjsxruntime.jsx)(ElementType, {
        ...props,
        ref: domRef,
        className: (renderProps)=>UNSAFE_className + $230078a1c4ce81d8$var$card({
                ...renderProps,
                isCardView: true,
                isLink: !!props.href,
                size: size,
                density: density,
                variant: variant
            }, styles),
        style: (renderProps)=>// Only the preview in quiet cards scales down on press
            variant === 'quiet' ? UNSAFE_style : press(renderProps),
        children: ({ selectionMode: selectionMode, selectionBehavior: selectionBehavior, isHovered: isHovered, isFocusVisible: isFocusVisible, isSelected: isSelected, isPressed: isPressed })=>/*#__PURE__*/ (0, $1B7TP$reactjsxruntime.jsxs)($230078a1c4ce81d8$var$InternalCardContext.Provider, {
                value: {
                    size: size,
                    isQuiet: isQuiet,
                    isCheckboxSelection: selectionMode !== 'none' && selectionBehavior === 'toggle',
                    isHovered: isHovered,
                    isFocusVisible: isFocusVisible,
                    isSelected: isSelected,
                    isPressed: isPressed
                },
                children: [
                    !isQuiet && /*#__PURE__*/ (0, $1B7TP$reactjsxruntime.jsx)($230078a1c4ce81d8$var$SelectionIndicator, {}),
                    !isQuiet && selectionMode !== 'none' && selectionBehavior === 'toggle' && /*#__PURE__*/ (0, $1B7TP$reactjsxruntime.jsx)($230078a1c4ce81d8$var$CardCheckbox, {}),
                    /*#__PURE__*/ (0, $1B7TP$reactjsxruntime.jsx)("div", {
                        className: " sc9",
                        children: children
                    })
                ]
            })
    });
});
function $230078a1c4ce81d8$var$SelectionIndicator() {
    let { size: size, isSelected: isSelected, isQuiet: isQuiet, isCheckboxSelection: isCheckboxSelection } = (0, $1B7TP$react.useContext)($230078a1c4ce81d8$var$InternalCardContext);
    return /*#__PURE__*/ (0, $1B7TP$reactjsxruntime.jsx)("div", {
        className: $230078a1c4ce81d8$var$selectionIndicator({
            size: size,
            isSelected: isSelected,
            // Add an inner stroke only for quiet cards with no checkbox to
            // help distinguish the selected state from the preview.
            isStrokeInner: isQuiet && !isCheckboxSelection
        })
    });
}
function $230078a1c4ce81d8$var$CardCheckbox() {
    let { size: size } = (0, $1B7TP$react.useContext)($230078a1c4ce81d8$var$InternalCardContext);
    return /*#__PURE__*/ (0, $1B7TP$reactjsxruntime.jsx)("div", {
        className: " _Pa9 W5gMYHd9 _A5gMYHd9 _9d9 Tp9 Qp9 Sp9 Rp9 gGcUfH9 ob9 nb9 kb9 jb9 _na9",
        children: /*#__PURE__*/ (0, $1B7TP$reactjsxruntime.jsx)((0, $af04e099a53d3e85$exports.Checkbox), {
            slot: "selection",
            excludeFromTabOrder: true,
            size: size === 'XS' ? 'S' : size
        })
    });
}
const $230078a1c4ce81d8$export$115f017852a4bb7c = /*#__PURE__*/ (0, $1B7TP$react.forwardRef)(function CardPreview(props, ref) {
    let { size: size, isQuiet: isQuiet, isHovered: isHovered, isFocusVisible: isFocusVisible, isSelected: isSelected, isPressed: isPressed, isCheckboxSelection: isCheckboxSelection } = (0, $1B7TP$react.useContext)($230078a1c4ce81d8$var$InternalCardContext);
    let { UNSAFE_className: UNSAFE_className = '', UNSAFE_style: UNSAFE_style } = props;
    let domRef = (0, $1B7TP$reactspectrumutils.useDOMRef)(ref);
    return /*#__PURE__*/ (0, $1B7TP$reactjsxruntime.jsxs)("div", {
        ...(0, $1B7TP$reactariautils.filterDOMProps)(props),
        slot: "preview",
        ref: domRef,
        className: UNSAFE_className + $230078a1c4ce81d8$var$preview({
            size: size,
            isQuiet: isQuiet,
            isHovered: isHovered,
            isFocusVisible: isFocusVisible,
            isSelected: isSelected
        }),
        style: isQuiet ? (0, $2061c83559b50a66$exports.pressScale)(domRef)({
            isPressed: isPressed
        }) : UNSAFE_style,
        children: [
            isQuiet && /*#__PURE__*/ (0, $1B7TP$reactjsxruntime.jsx)($230078a1c4ce81d8$var$SelectionIndicator, {}),
            isQuiet && isCheckboxSelection && /*#__PURE__*/ (0, $1B7TP$reactjsxruntime.jsx)($230078a1c4ce81d8$var$CardCheckbox, {}),
            /*#__PURE__*/ (0, $1B7TP$reactjsxruntime.jsx)("div", {
                className: " oi9 ni9 ki9 ji9 _Nb9 Pb9",
                children: props.children
            })
        ]
    });
});
const $230078a1c4ce81d8$var$collection = function anonymous(props) {
    let rules = " ";
    rules += ' se9';
    rules += ' DvhgoHd9';
    if (props.size === "S") rules += ' Ua9';
    else if (props.size === "XS") rules += ' Ua9';
    else rules += ' Ub9';
    if (props.size === "S") rules += ' qa9';
    else if (props.size === "XS") rules += ' qa9';
    else rules += ' qb9';
    return rules;
};
const $230078a1c4ce81d8$var$collectionImage = " Za9 fa9 f5DbKFc9 y5DbKFwoofG9 _Hb9 _Ob9 _4c9";
const $230078a1c4ce81d8$export$c368ea3e577b1b86 = /*#__PURE__*/ (0, $1B7TP$react.forwardRef)(function CollectionCardPreview(props, ref) {
    let { size: size } = (0, $1B7TP$react.useContext)($230078a1c4ce81d8$var$InternalCardContext);
    return /*#__PURE__*/ (0, $1B7TP$reactjsxruntime.jsx)($230078a1c4ce81d8$export$115f017852a4bb7c, {
        ...props,
        ref: ref,
        children: /*#__PURE__*/ (0, $1B7TP$reactjsxruntime.jsx)("div", {
            className: $230078a1c4ce81d8$var$collection({
                size: size
            }),
            children: /*#__PURE__*/ (0, $1B7TP$reactjsxruntime.jsx)((0, $053b76ed3d29e13b$exports.ImageContext).Provider, {
                value: {
                    styles: $230078a1c4ce81d8$var$collectionImage
                },
                children: props.children
            })
        })
    });
});
const $230078a1c4ce81d8$export$eff93e4e59ccc3b8 = /*#__PURE__*/ (0, $1B7TP$react.forwardRef)(function AssetCard(props, ref) {
    return /*#__PURE__*/ (0, $1B7TP$reactjsxruntime.jsx)($230078a1c4ce81d8$export$60332b2344f7fe41, {
        ...props,
        ref: ref,
        density: "regular",
        children: (0, $1B7TP$reactariacomponents.composeRenderProps)(props.children, (children)=>/*#__PURE__*/ (0, $1B7TP$reactjsxruntime.jsx)((0, $1B7TP$reactariacomponents.Provider), {
                values: [
                    [
                        (0, $053b76ed3d29e13b$exports.ImageContext),
                        {
                            alt: '',
                            styles: " Za9 fa9 _Ha9 _Ob9 _4c9"
                        }
                    ],
                    [
                        (0, $bde97c91243ed164$exports.IllustrationContext),
                        {
                            render (icon) {
                                return /*#__PURE__*/ (0, $1B7TP$reactjsxruntime.jsx)((0, $5eb75e0c130e0669$exports.SkeletonWrapper), {
                                    children: /*#__PURE__*/ (0, $1B7TP$reactjsxruntime.jsx)("div", {
                                        className: " sd9 eb9 _Ca9 gH9 fa9",
                                        children: icon
                                    })
                                });
                            },
                            styles: " Fd9 Le9 Ke9 Zc9"
                        }
                    ]
                ],
                children: children
            }))
    });
});
const $230078a1c4ce81d8$var$avatarSize = {
    XS: 24,
    S: 48,
    M: 64,
    L: 64,
    XL: 80
};
const $230078a1c4ce81d8$export$78e8870b5d8ae469 = /*#__PURE__*/ (0, $1B7TP$react.forwardRef)(function UserCard(props, ref) {
    let { size: size = 'M' } = props;
    return /*#__PURE__*/ (0, $1B7TP$reactjsxruntime.jsx)($230078a1c4ce81d8$export$60332b2344f7fe41, {
        ...props,
        ref: ref,
        density: "spacious",
        children: (0, $1B7TP$reactariacomponents.composeRenderProps)(props.children, (children)=>/*#__PURE__*/ (0, $1B7TP$reactjsxruntime.jsx)((0, $1B7TP$reactariacomponents.Provider), {
                values: [
                    [
                        (0, $053b76ed3d29e13b$exports.ImageContext),
                        {
                            alt: '',
                            styles: " Za9 fb9 _Hb9 _Ob9 _4c9"
                        }
                    ],
                    [
                        (0, $38071d9ce246d4cf$exports.AvatarContext),
                        {
                            size: $230078a1c4ce81d8$var$avatarSize[size],
                            UNSAFE_style: {
                                '--size': $230078a1c4ce81d8$var$avatarSize[size] / 16 + 'rem'
                            },
                            styles: " _Pc9 Jy9 Jkymupd0fnV8d9",
                            isOverBackground: true
                        }
                    ]
                ],
                children: children
            }))
    });
});
const $230078a1c4ce81d8$var$buttonSize = {
    XS: 'S',
    S: 'S',
    M: 'M',
    L: 'L',
    XL: 'XL'
};
const $230078a1c4ce81d8$export$e6cbe35324ccf844 = /*#__PURE__*/ (0, $1B7TP$react.forwardRef)(function ProductCard(props1, ref) {
    let { size: size = 'M' } = props1;
    return /*#__PURE__*/ (0, $1B7TP$reactjsxruntime.jsx)($230078a1c4ce81d8$export$60332b2344f7fe41, {
        ...props1,
        ref: ref,
        density: "spacious",
        children: (0, $1B7TP$reactariacomponents.composeRenderProps)(props1.children, (children)=>/*#__PURE__*/ (0, $1B7TP$reactjsxruntime.jsx)((0, $1B7TP$reactariacomponents.Provider), {
                values: [
                    [
                        (0, $053b76ed3d29e13b$exports.ImageContext),
                        {
                            slots: {
                                preview: {
                                    alt: '',
                                    styles: " Za9 fd9 _Hb9 _Ob9 _4c9"
                                },
                                thumbnail: {
                                    alt: '',
                                    styles: function anonymous(props) {
                                        let rules = " ";
                                        rules += ' _Pc9';
                                        rules += ' _Ob9';
                                        rules += ' _4c9';
                                        if (props.size === "XL") rules += ' ZD9';
                                        else if (props.size === "L") rules += ' Zx9';
                                        else if (props.size === "M") rules += ' Zw9';
                                        else if (props.size === "S") rules += ' Zv9';
                                        else if (props.size === "XS") rules += ' Zo9';
                                        rules += ' FRuFGYc9';
                                        if (props.size === "S") rules += ' oa9';
                                        else if (props.size === "XS") rules += ' oa9';
                                        else rules += ' ob9';
                                        if (props.size === "S") rules += ' na9';
                                        else if (props.size === "XS") rules += ' na9';
                                        else rules += ' nb9';
                                        if (props.size === "S") rules += ' ka9';
                                        else if (props.size === "XS") rules += ' ka9';
                                        else rules += ' kb9';
                                        if (props.size === "S") rules += ' ja9';
                                        else if (props.size === "XS") rules += ' ja9';
                                        else rules += ' jb9';
                                        rules += ' _Hb9';
                                        rules += ' Jy9';
                                        rules += ' JkymupdLu7Bcc9';
                                        rules += ' _Lf9';
                                        if (props.size === "XS") rules += ' _Mb9';
                                        else rules += ' _Mc9';
                                        rules += ' OEzkoQe9';
                                        if (props.size === "XL") rules += ' -F_-Fy9';
                                        else if (props.size === "L") rules += ' -F_-Fw9';
                                        else if (props.size === "M") rules += ' -F_-Fv9';
                                        else if (props.size === "S") rules += ' -F_-Fu9';
                                        else if (props.size === "XS") rules += ' -F_-Fp9';
                                        return rules;
                                    }({
                                        size: size
                                    })
                                }
                            }
                        }
                    ],
                    [
                        (0, $6367bc87eb7d24ad$exports.FooterContext),
                        {
                            styles: (0, $308b180f49d82d28$exports.mergeStyles)($230078a1c4ce81d8$var$footer, " _Cb9")
                        }
                    ],
                    [
                        (0, $25d06cf8d4e72761$exports.ButtonContext),
                        {
                            size: $230078a1c4ce81d8$var$buttonSize[size]
                        }
                    ],
                    [
                        (0, $25d06cf8d4e72761$exports.LinkButtonContext),
                        {
                            size: $230078a1c4ce81d8$var$buttonSize[size]
                        }
                    ]
                ],
                children: children
            }))
    });
});


//# sourceMappingURL=Card.cjs.map
