require("./FullscreenDialog.css");
var $e1016b8947dbadb8$exports = require("./ButtonGroup.cjs");
var $6367bc87eb7d24ad$exports = require("./Content.cjs");
var $8e678305a8c10028$exports = require("./Modal.cjs");
var $Yi1VH$reactjsxruntime = require("react/jsx-runtime");
var $Yi1VH$reactariacomponents = require("react-aria-components");
var $Yi1VH$react = require("react");
var $Yi1VH$reactspectrumutils = require("@react-spectrum/utils");


function $parcel$export(e, n, v, s) {
  Object.defineProperty(e, n, {get: v, set: s, enumerable: true, configurable: true});
}

$parcel$export(module.exports, "FullscreenDialog", () => $59876d274d9473a9$export$7082b7e805d2626f);
/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 






const $59876d274d9473a9$var$heading = " zPCJngb9 yPCJngb9 BPCJngb9 APCJngb9 _ub9 Jy9 Gy9 ug9 uch9 udi9 uea9 ugb9 uhd9 uje9 uic9 vj9 vsm9 we9 xe9 _xa9 wfe9 xfe9 _xfa9 _Fa9 _Ffb9 po9";
const $59876d274d9473a9$var$header = " z6Akec9 y6Akec9 B6Akec9 A6Akec9 InM9 HnM9 ug9 uch9 udi9 uea9 ugb9 uhd9 uje9 uic9 vg9 vsj9 wb9 xb9 _xa9 _Fb9 _Ffc9 pt9";
const $59876d274d9473a9$var$content = " zk52g2d9 yk52g2d9 Bk52g2d9 Ak52g2d9 _ub9 Pa9 Pme9 ug9 uch9 udi9 uea9 ugb9 uhd9 uje9 uic9 vp9 vsh9 wb9 xb9 _xa9 _Fb9 _Ffc9 pt9";
const $59876d274d9473a9$var$buttonGroup = " z4AkfTc9 y4AkfTc9 B4AkfTc9 A4AkfTc9 IM9 La9";
const $59876d274d9473a9$export$6af31f836f9aa6f2 = " se9 CQpyMed9 Cns3y4td9 DM8Mfn9 Dn4w1sLc9 EH21CE9 EnFjesNe9 Th9 Tnk9 Qh9 Qnk9 Sh9 Snk9 Rh9 Rnk9 ql9 qnj9 K40ub4c9 Fb9 _oa9 _Le9 ug9 uch9 udi9 uea9 ugb9 uhd9 uje9 uic9 oi9 ni9 ki9 ji9 _Na9 Pa9";
const $59876d274d9473a9$export$7082b7e805d2626f = /*#__PURE__*/ (0, $Yi1VH$react.forwardRef)(function FullscreenDialog(props, ref) {
    let { variant: variant = 'fullscreen', isKeyboardDismissDisabled: isKeyboardDismissDisabled } = props;
    let domRef = (0, $Yi1VH$reactspectrumutils.useDOMRef)(ref);
    return /*#__PURE__*/ (0, $Yi1VH$reactjsxruntime.jsx)((0, $8e678305a8c10028$exports.Modal), {
        size: variant,
        isKeyboardDismissDisabled: isKeyboardDismissDisabled,
        children: /*#__PURE__*/ (0, $Yi1VH$reactjsxruntime.jsx)((0, $Yi1VH$reactariacomponents.Dialog), {
            ...props,
            ref: domRef,
            style: props.UNSAFE_style,
            className: (props.UNSAFE_className || '') + $59876d274d9473a9$export$6af31f836f9aa6f2,
            children: (0, $Yi1VH$reactariacomponents.composeRenderProps)(props.children, (children)=>// Reset OverlayTriggerStateContext so the buttons inside the dialog don't retain their hover state.
                /*#__PURE__*/ (0, $Yi1VH$reactjsxruntime.jsx)((0, $Yi1VH$reactariacomponents.OverlayTriggerStateContext).Provider, {
                    value: null,
                    children: /*#__PURE__*/ (0, $Yi1VH$reactjsxruntime.jsx)((0, $Yi1VH$reactariacomponents.Provider), {
                        values: [
                            [
                                (0, $6367bc87eb7d24ad$exports.HeadingContext),
                                {
                                    styles: $59876d274d9473a9$var$heading
                                }
                            ],
                            [
                                (0, $6367bc87eb7d24ad$exports.HeaderContext),
                                {
                                    styles: $59876d274d9473a9$var$header
                                }
                            ],
                            [
                                (0, $6367bc87eb7d24ad$exports.ContentContext),
                                {
                                    styles: $59876d274d9473a9$var$content
                                }
                            ],
                            [
                                (0, $e1016b8947dbadb8$exports.ButtonGroupContext),
                                {
                                    styles: $59876d274d9473a9$var$buttonGroup
                                }
                            ]
                        ],
                        children: children
                    })
                }))
        })
    });
});


//# sourceMappingURL=FullscreenDialog.cjs.map
