require("./Menu.css");
var $af04e099a53d3e85$exports = require("./Checkbox.cjs");
var $e991cbcdf82ced71$exports = require("./CenterBaseline.cjs");
var $dba2b18fc5727f9b$exports = require("./Checkmark.cjs");
var $1df9f1c9262ce5df$exports = require("./Chevron.cjs");
var $2d04acb918636de0$exports = require("./Divider.cjs");
var $6367bc87eb7d24ad$exports = require("./Content.cjs");
var $bde97c91243ed164$exports = require("../icons/Icon.cjs");
var $053b76ed3d29e13b$exports = require("./Image.cjs");
var $377d9a1b51957cfd$exports = require("./LinkOut.cjs");
var $308b180f49d82d28$exports = require("../icons/runtime.cjs");
var $493371ef39bf7a55$exports = require("./Popover.cjs");
var $2061c83559b50a66$exports = require("./pressScale.cjs");
var $ac757a4c2bd72aee$exports = require("../icons/useSpectrumContextProps.cjs");
var $4tP7K$reactjsxruntime = require("react/jsx-runtime");
var $4tP7K$reactariacomponents = require("react-aria-components");
var $4tP7K$react = require("react");
var $4tP7K$reactaria = require("react-aria");
var $4tP7K$reactariainteractions = require("@react-aria/interactions");
var $4tP7K$reactariautils = require("@react-aria/utils");


function $parcel$export(e, n, v, s) {
  Object.defineProperty(e, n, {get: v, set: s, enumerable: true, configurable: true});
}

$parcel$export(module.exports, "MenuContext", () => $e741ea6b88ce4866$export$c7e742effb1c51e2);
$parcel$export(module.exports, "sectionHeader", () => $e741ea6b88ce4866$export$562e61a0817eb32e);
$parcel$export(module.exports, "sectionHeading", () => $e741ea6b88ce4866$export$300ac6f106ef584d);
$parcel$export(module.exports, "menuitem", () => $e741ea6b88ce4866$export$f68e44d881264486);
$parcel$export(module.exports, "checkmark", () => $e741ea6b88ce4866$export$292abbf31ed842a);
$parcel$export(module.exports, "icon", () => $e741ea6b88ce4866$export$1ca1ec8b29a4ce27);
$parcel$export(module.exports, "iconCenterWrapper", () => $e741ea6b88ce4866$export$31d1842a0fd736e6);
$parcel$export(module.exports, "label", () => $e741ea6b88ce4866$export$1237798dc640739a);
$parcel$export(module.exports, "description", () => $e741ea6b88ce4866$export$6d59db4903f20f7d);
$parcel$export(module.exports, "Menu", () => $e741ea6b88ce4866$export$d9b273488cd8ce6f);
$parcel$export(module.exports, "MenuSection", () => $e741ea6b88ce4866$export$4b1545b4f2016d26);
$parcel$export(module.exports, "MenuItem", () => $e741ea6b88ce4866$export$2ce376c2cc3355c8);
$parcel$export(module.exports, "MenuTrigger", () => $e741ea6b88ce4866$export$27d2ad3c5815583e);
$parcel$export(module.exports, "SubmenuTrigger", () => $e741ea6b88ce4866$export$ecabc99eeffab7ca);
/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 


















const $e741ea6b88ce4866$export$c7e742effb1c51e2 = /*#__PURE__*/ (0, $4tP7K$react.createContext)(null);
const $e741ea6b88ce4866$var$menuItemGrid = {
    size: {
        S: [
            "calc(1.5rem * 3 / 8)",
            'auto',
            'auto',
            'minmax(0, 1fr)',
            'auto',
            'auto',
            'auto',
            "calc(1.5rem * 3 / 8)"
        ],
        M: [
            "calc(2rem * 3 / 8)",
            'auto',
            'auto',
            'minmax(0, 1fr)',
            'auto',
            'auto',
            'auto',
            "calc(2rem * 3 / 8)"
        ],
        L: [
            "calc(2.5rem * 3 / 8)",
            'auto',
            'auto',
            'minmax(0, 1fr)',
            'auto',
            'auto',
            'auto',
            "calc(2.5rem * 3 / 8)"
        ],
        XL: [
            "calc(3rem * 3 / 8)",
            'auto',
            'auto',
            'minmax(0, 1fr)',
            'auto',
            'auto',
            'auto',
            "calc(3rem * 3 / 8)"
        ]
    }
};
let $e741ea6b88ce4866$export$b1e5508a851be14d = function anonymous(props, overrides) {
    let rules = " ";
    let width = false;
    let maxWidth = false;
    let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g);
    for (let p of matches){
        if (p[1] === "Z") width = true;
        if (p[1] === "L") maxWidth = true;
        rules += p[0];
    }
    rules += ' _Le9';
    rules += ' se9';
    if (props.size === "XL") rules += ' Dk92HIe9';
    else if (props.size === "L") rules += ' DyaX9Fb9';
    else if (props.size === "M") rules += ' Deb5jcb9';
    else if (props.size === "S") rules += ' DGTLJAe9';
    rules += ' _oa9';
    rules += ' K40ub4c9';
    if (!width) rules += ' Za9';
    if (props.isPopover) rules += ' _Na9';
    if (props.isPopover) rules += ' Pa9';
    if (props.isPopover) {
        if (!maxWidth) rules += ' Lh9';
    }
    if (props.isPopover) rules += ' Tt9';
    if (props.isPopover) rules += ' Qt9';
    if (props.isPopover) rules += ' St9';
    if (props.isPopover) rules += ' Rt9';
    rules += ' ug9';
    rules += ' uch9';
    rules += ' udi9';
    rules += ' uea9';
    rules += ' ugb9';
    rules += ' uhd9';
    rules += ' uje9';
    rules += ' uic9';
    if (props.size === "XL") {
        rules += ' vg9';
        rules += ' vsj9';
    } else if (props.size === "L") {
        rules += ' vp9';
        rules += ' vsh9';
    } else if (props.size === "S") {
        rules += ' vb9';
        rules += ' vse9';
    } else if (props.size === "XS") {
        rules += ' va9';
        rules += ' vsc9';
    } else {
        rules += ' vd9';
        rules += ' vsf9';
    }
    rules += ' __ya9';
    return rules;
};
let $e741ea6b88ce4866$export$fe2e36411d703b3d = function anonymous(props) {
    let rules = " ";
    rules += ' z2mU9';
    rules += ' yzZKy9';
    rules += ' eb9';
    rules += ' se9';
    rules += ' CcAc39c9';
    if (props.size === "XL") rules += ' Dk92HIe9';
    else if (props.size === "L") rules += ' DyaX9Fb9';
    else if (props.size === "M") rules += ' Deb5jcb9';
    else if (props.size === "S") rules += ' DGTLJAe9';
    return rules;
};
let $e741ea6b88ce4866$export$562e61a0817eb32e = function anonymous(props) {
    let rules = " ";
    rules += ' pt9';
    rules += ' z3mU9';
    rules += ' yAZKy9';
    rules += ' _oa9';
    rules += ' MAyFGYc9';
    rules += ' Tu7Fubd9';
    rules += ' Qu7Fubd9';
    if (props.size === "XL") rules += ' -M_-Mk9';
    else if (props.size === "L") rules += ' -M_-Mh9';
    else if (props.size === "S") rules += ' -M_-Mg9';
    else if (props.size === "XS") rules += ' -M_-Mf9';
    else rules += ' -M_-Mi9';
    return rules;
};
let $e741ea6b88ce4866$export$300ac6f106ef584d = " ug9 uch9 udi9 uea9 ugb9 uhd9 uje9 uic9 vd9 vsf9 wd9 xd9 _xa9 _Fa9 _Ffb9 pt9 Jy9 Gy9 Iy9 Hy9";
let $e741ea6b88ce4866$export$f68e44d881264486 = function anonymous(props, overrides) {
    let rules = " ";
    let minWidth = false;
    let position = false;
    let gridColumnStart = false;
    let gridColumnEnd = false;
    let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g);
    for (let p of matches){
        if (p[1] === "N") minWidth = true;
        if (p[1] === "_P") position = true;
        if (p[1] === "z") gridColumnStart = true;
        if (p[1] === "y") gridColumnEnd = true;
        rules += p[0];
    }
    if (props.isFocusVisible) rules += ' _Lf9';
    else rules += ' _Le9';
    rules += ' Oh9';
    rules += ' _Mc9';
    rules += ' _Kd9';
    if (props.size === "XL") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "L") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "S") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "XS") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    }
    if (props.size === "XL") {
        rules += ' vg9';
        rules += ' vsj9';
    } else if (props.size === "L") {
        rules += ' vp9';
        rules += ' vsh9';
    } else if (props.size === "S") {
        rules += ' vb9';
        rules += ' vse9';
    } else if (props.size === "XS") {
        rules += ' va9';
        rules += ' vsc9';
    } else {
        rules += ' vd9';
        rules += ' vsf9';
    }
    if (props.size === "XL") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "L") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "S") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "XS") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    }
    if (props.size === "XL") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "L") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "S") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "XS") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    }
    if (props.isDisabled) {
        rules += ' pp9';
        rules += ' plc9';
    } else {
        if (props.isPressed) rules += ' po9';
        else if (props.isFocusVisible) rules += ' po9';
        else if (props.isHovered) rules += ' po9';
        else rules += ' pt9';
    }
    rules += ' se9';
    rules += ' ea9';
    rules += ' egLWx3bb9';
    rules += ' _oa9';
    rules += ' Sd9';
    rules += ' Rd9';
    if (props.size === "XL") {
        if (!minWidth) rules += ' Nl9';
    } else if (props.size === "L") {
        if (!minWidth) rules += ' Nj9';
    } else if (props.size === "S") {
        if (!minWidth) rules += ' Nf9';
    } else if (props.size === "XS") {
        if (!minWidth) rules += ' Ne9';
    } else if (!minWidth) rules += ' Nk9';
    if (props.size === "XL") rules += ' -SFnbic-_JaP8ec9';
    else if (props.size === "L") rules += ' -SFnbic-_J0K2hn9';
    else if (props.size === "S") rules += ' -SFnbic-_JJOW22b9';
    else if (props.size === "XS") rules += ' -SFnbic-_JICefdd9';
    else rules += ' -SFnbic-_Jb9';
    rules += ' -Bu7z1c-ob9';
    rules += ' oj9';
    rules += ' nj9';
    rules += ' kj9';
    rules += ' jj9';
    rules += ' qh9';
    rules += ' -Qg41Lb-IAxCW0c9';
    rules += ' -Qg41Lb-gLWx3bIy9';
    rules += ' MAyFGYc9';
    rules += ' Td9';
    rules += ' QAzEcG9';
    rules += ' -aRvJDd-Tu7Fubd9';
    if (props.isFocused) rules += ' gF9';
    else rules += ' g99';
    if (!position) rules += ' _Pc9';
    if (!gridColumnStart) rules += ' z2mU9';
    if (!gridColumnEnd) rules += ' yzZKy9';
    rules += ' CcAc39c9';
    rules += ' DLwlgod9';
    rules += ' EpvfBwb9';
    rules += ' EDNKd2dZQmDFe9';
    rules += ' UDNKd2dai5a09';
    rules += ' FF9';
    rules += ' _Xa9';
    if (props.isLink) rules += ' ry9';
    else rules += ' ri9';
    rules += ' Yd9';
    rules += ' Xb9';
    rules += ' _2b9';
    if (props.size === "XL") rules += ' -M_-Mk9';
    else if (props.size === "L") rules += ' -M_-Mh9';
    else if (props.size === "S") rules += ' -M_-Mg9';
    else if (props.size === "XS") rules += ' -M_-Mf9';
    else rules += ' -M_-Mi9';
    return rules;
};
let $e741ea6b88ce4866$export$292abbf31ed842a = function anonymous(props) {
    let rules = " ";
    if (props.isSelected) rules += ' _6c9';
    else rules += ' _6b9';
    rules += ' z2CW8rb9';
    rules += ' y2CW8rb9';
    rules += ' B2CW8rb9';
    rules += ' A2CW8rb9';
    if (props.isPressed) rules += ' ps9';
    else if (props.isFocusVisible) rules += ' ps9';
    else if (props.isHovered) rules += ' ps9';
    else rules += ' pu9';
    rules += ' -_8sjo0b-t5ZbAob9';
    rules += ' -_8sjo0b-lta9';
    rules += ' Hw9';
    rules += ' fa9';
    return rules;
};
let $e741ea6b88ce4866$var$checkbox = " z2CW8rb9 y2CW8rb9 B2CW8rb9 A2CW8rb9 Hw9";
let $e741ea6b88ce4866$export$1ca1ec8b29a4ce27 = " sb9 ZuUmpre9 FuUmpre9 Ht9 Hsu9 -_8sjo0b-t5ZbAob9";
let $e741ea6b88ce4866$export$31d1842a0fd736e6 = " sd9 z2U5Crc9 y2U5Crc9 B2U5Crc9 A2U5Crc9";
let $e741ea6b88ce4866$var$image = function anonymous(props) {
    let rules = " ";
    rules += ' z2U5Crc9';
    rules += ' y2U5Crc9';
    rules += ' B2U5Crc9';
    rules += ' AvoofG9';
    rules += ' Ht9';
    rules += ' Hsu9';
    rules += ' Jt9';
    rules += ' _dc9';
    rules += ' oa9';
    rules += ' na9';
    rules += ' ka9';
    rules += ' ja9';
    if (props.size === "XL") rules += ' ZF9';
    else if (props.size === "L") rules += ' Zx9';
    else if (props.size === "M") rules += ' Zw9';
    else if (props.size === "S") rules += ' ZC9';
    else rules += ' Zw9';
    if (props.size === "XL") rules += ' Fz9';
    else if (props.size === "L") rules += ' Fw9';
    else if (props.size === "M") rules += ' Fv9';
    else if (props.size === "S") rules += ' Fx9';
    else rules += ' Fv9';
    rules += ' fa9';
    rules += ' _Ha9';
    return rules;
};
let $e741ea6b88ce4866$export$1237798dc640739a = function anonymous(props) {
    let rules = " ";
    rules += ' zv6x9r9';
    rules += ' yv6x9r9';
    rules += ' Bv6x9r9';
    rules += ' Av6x9r9';
    if (props.size === "XL") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "L") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "S") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "XS") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    }
    if (props.size === "XL") {
        rules += ' vg9';
        rules += ' vsj9';
    } else if (props.size === "L") {
        rules += ' vp9';
        rules += ' vsh9';
    } else if (props.size === "S") {
        rules += ' vb9';
        rules += ' vse9';
    } else if (props.size === "XS") {
        rules += ' va9';
        rules += ' vsc9';
    } else {
        rules += ' vd9';
        rules += ' vsf9';
    }
    rules += ' wc9';
    rules += ' xc9';
    rules += ' _xa9';
    if (props.size === "XL") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "L") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "S") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "XS") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    }
    rules += ' p40ub4c9';
    rules += ' JAzEcG9';
    return rules;
};
let $e741ea6b88ce4866$export$6d59db4903f20f7d = function anonymous(props) {
    let rules = " ";
    rules += ' z9u7zPc9';
    rules += ' y9u7zPc9';
    rules += ' B9u7zPc9';
    rules += ' A9u7zPc9';
    if (props.size === "XL") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "L") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "M") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "S") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    }
    if (props.size === "XL") {
        rules += ' vp9';
        rules += ' vsh9';
    } else if (props.size === "L") {
        rules += ' vd9';
        rules += ' vsf9';
    } else if (props.size === "M") {
        rules += ' vb9';
        rules += ' vse9';
    } else if (props.size === "S") {
        rules += ' va9';
        rules += ' vsc9';
    } else {
        rules += ' vb9';
        rules += ' vse9';
    }
    if (props.size === "XL") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "L") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "M") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "S") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    }
    if (props.size === "XL") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "L") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "M") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "S") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    }
    if (props.isDisabled) rules += ' pp9';
    else if (props.isFocused) rules += ' pt9';
    else {
        if (props.isPressed) rules += ' pt9';
        else if (props.isFocusVisible) rules += ' pt9';
        else if (props.isHovered) rules += ' pt9';
        else rules += ' pv9';
    }
    rules += ' Yd9';
    rules += ' Xb9';
    rules += ' _2b9';
    return rules;
};
let $e741ea6b88ce4866$var$value = " z8bmXs9 y8bmXs9 B8bmXs9 A8bmXs9 Iv9";
let $e741ea6b88ce4866$var$keyboard = function anonymous(props) {
    let rules = " ";
    rules += ' z45MTAd9';
    rules += ' y45MTAd9';
    rules += ' B45MTAd9';
    rules += ' A45MTAd9';
    rules += ' Iv9';
    rules += ' ug9';
    rules += ' uch9';
    rules += ' udi9';
    rules += ' uea9';
    rules += ' ugb9';
    rules += ' uhd9';
    rules += ' uje9';
    rules += ' uic9';
    rules += ' vd9';
    rules += ' vsf9';
    rules += ' wa9';
    rules += ' xa9';
    rules += ' _xa9';
    rules += ' _Fa9';
    rules += ' _Ffb9';
    if (props.isDisabled) rules += ' pp9';
    else rules += ' pn9';
    if (props.isDisabled) rules += ' plc9';
    rules += ' _3f9';
    return rules;
};
let $e741ea6b88ce4866$var$descriptor = " z0cdLvd9 y0cdLvd9 B0cdLvd9 A0cdLvd9 Iv9 -_8sjo0b-t5ZbAob9";
let $e741ea6b88ce4866$var$InternalMenuContext = /*#__PURE__*/ (0, $4tP7K$react.createContext)({
    size: 'M',
    isSubmenu: false,
    hideLinkOutIcon: false
});
let $e741ea6b88ce4866$var$InternalMenuTriggerContext = /*#__PURE__*/ (0, $4tP7K$react.createContext)(null);
const $e741ea6b88ce4866$export$d9b273488cd8ce6f = /*#__PURE__*/ (0, $4tP7K$react.forwardRef)(function Menu(props, ref) {
    [props, ref] = (0, $ac757a4c2bd72aee$exports.useSpectrumContextProps)(props, ref, $e741ea6b88ce4866$export$c7e742effb1c51e2);
    let { isSubmenu: isSubmenu, size: ctxSize } = (0, $4tP7K$react.useContext)($e741ea6b88ce4866$var$InternalMenuContext);
    let { children: children, size: size = ctxSize, UNSAFE_style: UNSAFE_style, UNSAFE_className: UNSAFE_className, styles: styles, hideLinkOutIcon: hideLinkOutIcon = false } = props;
    let ctx = (0, $4tP7K$react.useContext)($e741ea6b88ce4866$var$InternalMenuTriggerContext);
    let { align: align = 'start', direction: direction = 'bottom', shouldFlip: shouldFlip } = ctx ?? {};
    // TODO: change offset/crossoffset based on size? scale?
    // actual values?
    let initialPlacement;
    switch(direction){
        case 'left':
        case 'right':
        case 'start':
        case 'end':
            initialPlacement = `${direction} ${align === 'end' ? 'bottom' : 'top'}`;
            break;
        case 'bottom':
        case 'top':
        default:
            initialPlacement = `${direction} ${align}`;
    }
    if (isSubmenu) initialPlacement = 'end top';
    let content = /*#__PURE__*/ (0, $4tP7K$reactjsxruntime.jsx)($e741ea6b88ce4866$var$InternalMenuContext.Provider, {
        value: {
            size: size,
            isSubmenu: true,
            hideLinkOutIcon: hideLinkOutIcon
        },
        children: /*#__PURE__*/ (0, $4tP7K$reactjsxruntime.jsx)((0, $4tP7K$reactariacomponents.Provider), {
            values: [
                [
                    (0, $6367bc87eb7d24ad$exports.HeaderContext),
                    {
                        styles: $e741ea6b88ce4866$export$562e61a0817eb32e({
                            size: size
                        })
                    }
                ],
                [
                    (0, $6367bc87eb7d24ad$exports.HeadingContext),
                    {
                        // @ts-ignore
                        role: 'presentation',
                        styles: $e741ea6b88ce4866$export$300ac6f106ef584d
                    }
                ],
                [
                    (0, $6367bc87eb7d24ad$exports.TextContext),
                    {
                        slots: {
                            'description': {
                                styles: $e741ea6b88ce4866$export$6d59db4903f20f7d({
                                    size: size
                                })
                            }
                        }
                    }
                ]
            ],
            children: /*#__PURE__*/ (0, $4tP7K$reactjsxruntime.jsx)((0, $4tP7K$reactariacomponents.Menu), {
                ...props,
                className: $e741ea6b88ce4866$export$b1e5508a851be14d({
                    size: size,
                    isPopover: !!ctx || isSubmenu
                }, ctx ? null : styles),
                children: children
            })
        })
    });
    if (ctx || isSubmenu) return /*#__PURE__*/ (0, $4tP7K$reactjsxruntime.jsx)((0, $493371ef39bf7a55$exports.PopoverBase), {
        ref: ref,
        hideArrow: true,
        placement: initialPlacement,
        shouldFlip: shouldFlip,
        // For submenus, the offset from the edge of the popover should be 10px.
        // Subtract 8px for the padding around the parent menu.
        offset: isSubmenu ? -2 : 8,
        // Offset by padding + border so that the first item in a submenu lines up with the parent menu item.
        crossOffset: isSubmenu ? -9 : 0,
        UNSAFE_style: UNSAFE_style,
        UNSAFE_className: UNSAFE_className,
        styles: styles,
        children: content
    });
    return content;
});
function $e741ea6b88ce4866$export$2e0a83ec2e27ecbb(props) {
    return /*#__PURE__*/ (0, $4tP7K$reactjsxruntime.jsx)((0, $4tP7K$reactariacomponents.Separator), {
        ...props,
        className: (0, $308b180f49d82d28$exports.mergeStyles)((0, $2d04acb918636de0$exports.divider)({
            size: 'M',
            orientation: 'horizontal',
            isStaticColor: false
        }), " se9 skk9 z3mU9 yAZKy9 JydxGIe9 GydxGIe9")
    });
}
function $e741ea6b88ce4866$export$4b1545b4f2016d26(props) {
    // remember, context doesn't work if it's around Section nor inside
    let { size: size } = (0, $4tP7K$react.useContext)($e741ea6b88ce4866$var$InternalMenuContext);
    return /*#__PURE__*/ (0, $4tP7K$reactjsxruntime.jsxs)((0, $4tP7K$reactjsxruntime.Fragment), {
        children: [
            /*#__PURE__*/ (0, $4tP7K$reactjsxruntime.jsx)((0, $4tP7K$reactariacomponents.MenuSection), {
                ...props,
                className: $e741ea6b88ce4866$export$fe2e36411d703b3d({
                    size: size
                }),
                children: props.children
            }),
            /*#__PURE__*/ (0, $4tP7K$reactjsxruntime.jsx)($e741ea6b88ce4866$export$2e0a83ec2e27ecbb, {})
        ]
    });
}
const $e741ea6b88ce4866$var$checkmarkIconSize = {
    S: 'XS',
    M: 'M',
    L: 'L',
    XL: 'XL'
};
const $e741ea6b88ce4866$var$linkIconSize = {
    S: 'M',
    M: 'L',
    L: 'XL',
    XL: 'XL'
};
function $e741ea6b88ce4866$export$2ce376c2cc3355c8(props1) {
    let ref = (0, $4tP7K$react.useRef)(null);
    let isLink = props1.href != null;
    let isLinkOut = isLink && props1.target === '_blank';
    let { size: size, hideLinkOutIcon: hideLinkOutIcon } = (0, $4tP7K$react.useContext)($e741ea6b88ce4866$var$InternalMenuContext);
    let textValue = props1.textValue || (typeof props1.children === 'string' ? props1.children : undefined);
    let { direction: direction } = (0, $4tP7K$reactaria.useLocale)();
    return /*#__PURE__*/ (0, $4tP7K$reactjsxruntime.jsx)((0, $4tP7K$reactariacomponents.MenuItem), {
        ...props1,
        textValue: textValue,
        ref: ref,
        style: (0, $2061c83559b50a66$exports.pressScale)(ref, props1.UNSAFE_style),
        className: (renderProps)=>(props1.UNSAFE_className || '') + $e741ea6b88ce4866$export$f68e44d881264486({
                ...renderProps,
                isFocused: renderProps.hasSubmenu && renderProps.isOpen || renderProps.isFocused,
                size: size,
                isLink: isLink
            }, props1.styles),
        children: (renderProps)=>{
            let { children: children } = props1;
            let checkboxRenderProps = {
                ...renderProps,
                size: size,
                isFocused: false,
                isFocusVisible: false,
                isIndeterminate: false,
                isReadOnly: false,
                isInvalid: false,
                isRequired: false
            };
            return /*#__PURE__*/ (0, $4tP7K$reactjsxruntime.jsx)((0, $4tP7K$reactjsxruntime.Fragment), {
                children: /*#__PURE__*/ (0, $4tP7K$reactjsxruntime.jsxs)((0, $4tP7K$reactariacomponents.Provider), {
                    values: [
                        [
                            (0, $bde97c91243ed164$exports.IconContext),
                            {
                                slots: {
                                    icon: {
                                        render: (0, $e991cbcdf82ced71$exports.centerBaseline)({
                                            slot: 'icon',
                                            styles: $e741ea6b88ce4866$export$31d1842a0fd736e6
                                        }),
                                        styles: $e741ea6b88ce4866$export$1ca1ec8b29a4ce27
                                    },
                                    descriptor: {
                                        render: (0, $e991cbcdf82ced71$exports.centerBaseline)({
                                            slot: 'descriptor',
                                            styles: $e741ea6b88ce4866$var$descriptor
                                        })
                                    } // TODO: remove once we have default?
                                }
                            }
                        ],
                        [
                            (0, $6367bc87eb7d24ad$exports.TextContext),
                            {
                                slots: {
                                    [(0, $4tP7K$reactariacomponents.DEFAULT_SLOT)]: {
                                        styles: $e741ea6b88ce4866$export$1237798dc640739a({
                                            size: size
                                        })
                                    },
                                    label: {
                                        styles: $e741ea6b88ce4866$export$1237798dc640739a({
                                            size: size
                                        })
                                    },
                                    description: {
                                        styles: $e741ea6b88ce4866$export$6d59db4903f20f7d({
                                            ...renderProps,
                                            size: size
                                        })
                                    },
                                    value: {
                                        styles: $e741ea6b88ce4866$var$value
                                    }
                                }
                            }
                        ],
                        [
                            (0, $6367bc87eb7d24ad$exports.KeyboardContext),
                            {
                                styles: $e741ea6b88ce4866$var$keyboard({
                                    size: size,
                                    isDisabled: renderProps.isDisabled
                                })
                            }
                        ],
                        [
                            (0, $053b76ed3d29e13b$exports.ImageContext),
                            {
                                styles: $e741ea6b88ce4866$var$image({
                                    size: size
                                })
                            }
                        ]
                    ],
                    children: [
                        renderProps.selectionMode === 'single' && !renderProps.hasSubmenu && /*#__PURE__*/ (0, $4tP7K$reactjsxruntime.jsx)((0, $dba2b18fc5727f9b$exports.default), {
                            size: $e741ea6b88ce4866$var$checkmarkIconSize[size],
                            className: $e741ea6b88ce4866$export$292abbf31ed842a({
                                ...renderProps,
                                size: size
                            })
                        }),
                        renderProps.selectionMode === 'multiple' && !renderProps.hasSubmenu && /*#__PURE__*/ (0, $4tP7K$reactjsxruntime.jsx)("div", {
                            className: (0, $308b180f49d82d28$exports.mergeStyles)($e741ea6b88ce4866$var$checkbox, (0, $af04e099a53d3e85$exports.box)(checkboxRenderProps)),
                            children: /*#__PURE__*/ (0, $4tP7K$reactjsxruntime.jsx)((0, $dba2b18fc5727f9b$exports.default), {
                                size: size,
                                className: (0, $af04e099a53d3e85$exports.iconStyles)
                            })
                        }),
                        typeof children === 'string' ? /*#__PURE__*/ (0, $4tP7K$reactjsxruntime.jsx)((0, $6367bc87eb7d24ad$exports.Text), {
                            slot: "label",
                            children: children
                        }) : children,
                        isLinkOut && !hideLinkOutIcon && /*#__PURE__*/ (0, $4tP7K$reactjsxruntime.jsx)("div", {
                            slot: "descriptor",
                            className: $e741ea6b88ce4866$var$descriptor,
                            children: /*#__PURE__*/ (0, $4tP7K$reactjsxruntime.jsx)((0, $377d9a1b51957cfd$exports.default), {
                                size: $e741ea6b88ce4866$var$linkIconSize[size],
                                className: function anonymous(props) {
                                    let rules = " ";
                                    if (props.direction === "rtl") {
                                        rules += ' -Z4Pn4c-a9';
                                        rules += ' __Ha9';
                                    }
                                    return rules;
                                }({
                                    direction: direction
                                })
                            })
                        }),
                        renderProps.hasSubmenu && /*#__PURE__*/ (0, $4tP7K$reactjsxruntime.jsx)("div", {
                            slot: "descriptor",
                            className: $e741ea6b88ce4866$var$descriptor,
                            children: /*#__PURE__*/ (0, $4tP7K$reactjsxruntime.jsx)((0, $1df9f1c9262ce5df$exports.default), {
                                size: size,
                                className: function anonymous(props) {
                                    let rules = " ";
                                    if (props.direction === "rtl") {
                                        rules += ' -Z4Pn4c-a9';
                                        rules += ' __Ha9';
                                    }
                                    return rules;
                                }({
                                    direction: direction
                                })
                            })
                        })
                    ]
                })
            });
        }
    });
}
/**
 * The MenuTrigger serves as a wrapper around a Menu and its associated trigger,
 * linking the Menu's open state with the trigger's press state.
 */ function $e741ea6b88ce4866$export$27d2ad3c5815583e(props) {
    // RAC sets isPressed via PressResponder when the menu is open.
    // We don't want press scaling to appear to get "stuck", so override this.
    // For mouse interactions, menus open on press start. When the popover underlay appears
    // it covers the trigger button, causing onPressEnd to fire immediately and no press scaling
    // to occur. We override this by listening for pointerup on the document ourselves.
    let [isPressed, setPressed] = (0, $4tP7K$react.useState)(false);
    let { addGlobalListener: addGlobalListener } = (0, $4tP7K$reactariautils.useGlobalListeners)();
    let onPressStart = (e)=>{
        if (e.pointerType !== 'mouse') return;
        setPressed(true);
        addGlobalListener(document, 'pointerup', ()=>{
            setPressed(false);
        }, {
            once: true,
            capture: true
        });
    };
    return /*#__PURE__*/ (0, $4tP7K$reactjsxruntime.jsx)($e741ea6b88ce4866$var$InternalMenuTriggerContext.Provider, {
        value: {
            align: props.align,
            direction: props.direction,
            shouldFlip: props.shouldFlip
        },
        children: /*#__PURE__*/ (0, $4tP7K$reactjsxruntime.jsx)((0, $4tP7K$reactariacomponents.MenuTrigger), {
            ...props,
            children: /*#__PURE__*/ (0, $4tP7K$reactjsxruntime.jsx)((0, $4tP7K$reactariainteractions.PressResponder), {
                onPressStart: onPressStart,
                isPressed: isPressed,
                children: props.children
            })
        })
    });
}
const $e741ea6b88ce4866$export$ecabc99eeffab7ca = (0, $4tP7K$reactariacomponents.SubmenuTrigger);
function $e741ea6b88ce4866$export$aebfca372ec4a7db(props) {
    return /*#__PURE__*/ (0, $4tP7K$reactjsxruntime.jsx)("div", {});
}


//# sourceMappingURL=Menu.cjs.map
