require("./Meter.css");
var $a0b996a550bb0891$exports = require("./Field.cjs");
var $5eb75e0c130e0669$exports = require("../icons/Skeleton.cjs");
var $6367bc87eb7d24ad$exports = require("./Content.cjs");
var $ac757a4c2bd72aee$exports = require("../icons/useSpectrumContextProps.cjs");
var $aQdtU$reactjsxruntime = require("react/jsx-runtime");
var $aQdtU$reactariacomponents = require("react-aria-components");
var $aQdtU$react = require("react");
var $aQdtU$reactspectrumutils = require("@react-spectrum/utils");


function $parcel$export(e, n, v, s) {
  Object.defineProperty(e, n, {get: v, set: s, enumerable: true, configurable: true});
}

$parcel$export(module.exports, "MeterContext", () => $f53cdf036c04454a$export$8b645da15a96b44f);
$parcel$export(module.exports, "Meter", () => $f53cdf036c04454a$export$62e3ae2a4090b879);
/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 







const $f53cdf036c04454a$export$8b645da15a96b44f = /*#__PURE__*/ (0, $aQdtU$react.createContext)(null);
const $f53cdf036c04454a$var$wrapper = function anonymous(props, overrides) {
    let rules = " ";
    let position = false;
    let minWidth = false;
    let maxWidth = false;
    let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g);
    for (let p of matches){
        if (p[1] === "_P") position = true;
        if (p[1] === "N") minWidth = true;
        if (p[1] === "L") maxWidth = true;
        rules += p[0];
    }
    if (props.staticColor === "white") rules += ' -Ovbhqd-gcwrnr9';
    else if (props.staticColor === "black") rules += ' -Ovbhqd-g4hn3s9';
    if (!position) rules += ' _Pc9';
    rules += ' se9';
    if (props.labelPosition === "side") rules += ' DPlN5qb9';
    else if (props.labelPosition === "top") rules += ' Dxumf9b9';
    if (props.labelPosition === "side") rules += ' Cvv4gue9';
    else if (props.labelPosition === "top") rules += ' CC0Gyo9';
    rules += ' ea9';
    rules += ' _Bb9';
    if (!minWidth) rules += ' Nl9';
    if (!maxWidth) rules += ' Lk9';
    if (props.size === "XL") rules += ' -BhX7R-Fz9';
    else if (props.size === "L") rules += ' -BhX7R-Fv9';
    else if (props.size === "S") rules += ' -BhX7R-Fp9';
    else if (props.size === "XS") rules += ' -BhX7R-Fn9';
    else rules += ' -BhX7R-Fx9';
    rules += ' -dTMmze-Fe9';
    rules += ' -AJjOLd-UCwrhQe9';
    rules += ' qg9';
    return rules;
};
const $f53cdf036c04454a$var$valueStyles = function anonymous(props) {
    let rules = " ";
    if (props.size === "XL") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "L") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "S") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "XS") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    }
    if (props.size === "XL") {
        rules += ' vg9';
        rules += ' vsj9';
    } else if (props.size === "L") {
        rules += ' vp9';
        rules += ' vsh9';
    } else if (props.size === "S") {
        rules += ' vb9';
        rules += ' vse9';
    } else if (props.size === "XS") {
        rules += ' va9';
        rules += ' vsc9';
    } else {
        rules += ' vd9';
        rules += ' vsf9';
    }
    if (props.size === "XL") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "L") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "S") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "XS") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    }
    if (props.size === "XL") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "L") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "S") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "XS") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    }
    if (props.isStaticColor) rules += ' pl9';
    else if (props.isDisabled) rules += ' pp9';
    else rules += ' pv9';
    rules += ' plb9';
    rules += ' ri9';
    rules += ' z8bmXs9';
    rules += ' y8bmXs9';
    rules += ' B8bmXs9';
    rules += ' A8bmXs9';
    return rules;
};
const $f53cdf036c04454a$var$trackStyles = function anonymous(props) {
    let rules = " ";
    rules += ' zMY0fn9';
    rules += ' yMY0fn9';
    rules += ' BMY0fn9';
    rules += ' AMY0fn9';
    if (props.size === "XL") rules += ' Nl9';
    else if (props.size === "L") rules += ' Nj9';
    else if (props.size === "S") rules += ' Nf9';
    else if (props.size === "XS") rules += ' Ne9';
    else rules += ' Nk9';
    if (props.isQuiet) rules += ' _qd9';
    else rules += ' _qtb9';
    if (props.size === "XL") rules += ' -Anxdcc-Zt9';
    else if (props.size === "L") rules += ' -Anxdcc-ZStdtne9';
    else if (props.size === "S") rules += ' -Anxdcc-Zr9';
    else rules += ' -Anxdcc-Z3fn9H9';
    rules += ' __v6TNLWb9';
    rules += ' _Nc9';
    rules += ' Pc9';
    rules += ' og9';
    rules += ' ng9';
    rules += ' kg9';
    rules += ' jg9';
    if (props.isStaticColor) rules += ' gh9';
    else rules += ' gE9';
    rules += ' glb9';
    rules += ' _Ma9';
    rules += ' _Mlb9';
    rules += ' _Le9';
    rules += ' _Llf9';
    rules += ' Oj9';
    rules += ' Olb9';
    rules += ' _9c9';
    if (props.size === "XL") rules += ' Fj9';
    else if (props.size === "L") rules += ' Fi9';
    else if (props.size === "M") rules += ' Fg9';
    else if (props.size === "S") rules += ' Fe9';
    else rules += ' Fg9';
    return rules;
};
const $f53cdf036c04454a$var$fillStyles = function anonymous(props) {
    let rules = " ";
    rules += ' Fb9';
    rules += ' _je9';
    rules += ' og9';
    rules += ' ng9';
    rules += ' kg9';
    rules += ' jg9';
    if (props.isStaticColor) rules += ' gj9';
    else if (props.variant === "negative") rules += ' gFLVMS9';
    else if (props.variant === "notice") rules += ' g9VrKkd9';
    else if (props.variant === "positive") rules += ' gp17Jm9';
    else rules += ' gG1ze4d9';
    rules += ' glc9';
    return rules;
};
const $f53cdf036c04454a$export$62e3ae2a4090b879 = /*#__PURE__*/ (0, $aQdtU$react.forwardRef)(function Meter(props, ref) {
    [props, ref] = (0, $ac757a4c2bd72aee$exports.useSpectrumContextProps)(props, ref, $f53cdf036c04454a$export$8b645da15a96b44f);
    let domRef = (0, $aQdtU$reactspectrumutils.useDOMRef)(ref);
    let { label: label, size: size = 'M', staticColor: staticColor, styles: styles, UNSAFE_className: UNSAFE_className = '', UNSAFE_style: UNSAFE_style, variant: variant = 'informative', labelPosition: labelPosition = 'top', ...groupProps } = props;
    let isStaticColor = !!staticColor;
    return /*#__PURE__*/ (0, $aQdtU$reactjsxruntime.jsx)((0, $aQdtU$reactariacomponents.Meter), {
        ...groupProps,
        ref: domRef,
        style: UNSAFE_style,
        className: UNSAFE_className + $f53cdf036c04454a$var$wrapper({
            size: size,
            variant: variant,
            staticColor: staticColor,
            labelPosition: labelPosition
        }, styles),
        children: ({ percentage: percentage, valueText: valueText })=>/*#__PURE__*/ (0, $aQdtU$reactjsxruntime.jsxs)((0, $aQdtU$reactjsxruntime.Fragment), {
                children: [
                    label && /*#__PURE__*/ (0, $aQdtU$reactjsxruntime.jsx)((0, $a0b996a550bb0891$exports.FieldLabel), {
                        size: size,
                        labelAlign: "start",
                        labelPosition: labelPosition,
                        staticColor: staticColor,
                        children: label
                    }),
                    label && /*#__PURE__*/ (0, $aQdtU$reactjsxruntime.jsx)((0, $6367bc87eb7d24ad$exports.Text), {
                        styles: $f53cdf036c04454a$var$valueStyles({
                            size: size,
                            labelAlign: 'end',
                            isStaticColor: isStaticColor
                        }),
                        children: valueText
                    }),
                    /*#__PURE__*/ (0, $aQdtU$reactjsxruntime.jsx)((0, $5eb75e0c130e0669$exports.SkeletonWrapper), {
                        children: /*#__PURE__*/ (0, $aQdtU$reactjsxruntime.jsx)("div", {
                            className: $f53cdf036c04454a$var$trackStyles({
                                isStaticColor: isStaticColor,
                                size: size
                            }),
                            children: /*#__PURE__*/ (0, $aQdtU$reactjsxruntime.jsx)("div", {
                                className: $f53cdf036c04454a$var$fillStyles({
                                    isStaticColor: isStaticColor,
                                    variant: variant
                                }),
                                style: {
                                    width: percentage + '%'
                                }
                            })
                        })
                    })
                ]
            })
    });
});


//# sourceMappingURL=Meter.cjs.map
