require("./NumberField.css");
var $54686c7c3f031ee2$exports = require("./Add.cjs");
var $84c37b7bd5c1374e$exports = require("./Dash.cjs");
var $a0b996a550bb0891$exports = require("./Field.cjs");
var $bfa4962d90c8af48$exports = require("./Form.cjs");
var $2061c83559b50a66$exports = require("./pressScale.cjs");
var $ac757a4c2bd72aee$exports = require("../icons/useSpectrumContextProps.cjs");
var $fwzUK$reactjsxruntime = require("react/jsx-runtime");
var $fwzUK$reactariacomponents = require("react-aria-components");
var $fwzUK$react = require("react");
var $fwzUK$reactspectrumutils = require("@react-spectrum/utils");
var $fwzUK$reactariautils = require("@react-aria/utils");
var $fwzUK$reactaria = require("react-aria");


function $parcel$export(e, n, v, s) {
  Object.defineProperty(e, n, {get: v, set: s, enumerable: true, configurable: true});
}

$parcel$export(module.exports, "NumberFieldContext", () => $a366ef8f467b1cb5$export$b414a48cf5dcbc11);
$parcel$export(module.exports, "NumberField", () => $a366ef8f467b1cb5$export$63c5fa0b2fdccd2e);
/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 











const $a366ef8f467b1cb5$export$b414a48cf5dcbc11 = /*#__PURE__*/ (0, $fwzUK$react.createContext)(null);
const $a366ef8f467b1cb5$var$inputButton = function anonymous(props) {
    let rules = " ";
    if (props.size === "XL") rules += ' -SFnbic-_JaP8ec9';
    else if (props.size === "L") rules += ' -SFnbic-_J0K2hn9';
    else if (props.size === "S") rules += ' -SFnbic-_JJOW22b9';
    else if (props.size === "XS") rules += ' -SFnbic-_JICefdd9';
    else rules += ' -SFnbic-_Jb9';
    rules += ' -Bu7z1c-oa9';
    rules += ' oj9';
    rules += ' nj9';
    rules += ' kj9';
    rules += ' jj9';
    rules += ' sd9';
    rules += ' _Le9';
    rules += ' _Wa9';
    rules += ' _je9';
    rules += ' eb9';
    rules += ' _Ca9';
    if (props.size === "XL") rules += ' ZC9';
    else if (props.size === "L") rules += ' Zo9';
    else if (props.size === "M") rules += ' Zm9';
    else if (props.size === "S") rules += ' Zu9';
    rules += ' Fd9';
    if (props.type === "increment") rules += ' Iy9';
    else rules += ' Iw9';
    rules += ' fa9';
    rules += ' _va9';
    rules += ' Ma9';
    rules += ' Yd9';
    rules += ' Yle9';
    rules += ' Xb9';
    rules += ' Xlb9';
    rules += ' _2b9';
    rules += ' _2lb9';
    if (props.isDisabled) rules += ' gH9';
    else {
        if (props.isPressed) rules += ' gF9';
        else if (props.isFocusVisible) rules += ' gF9';
        else if (props.isHovered) rules += ' gF9';
        else rules += ' gH9';
    }
    if (props.isDisabled) rules += ' gld9';
    else if (props.isHovered) rules += ' gle9';
    else rules += ' glc9';
    if (props.isDisabled) rules += ' pp9';
    else {
        if (props.isPressed) rules += ' po9';
        else if (props.isFocusVisible) rules += ' po9';
        else if (props.isHovered) rules += ' po9';
        else rules += ' pt9';
    }
    rules += ' pla9';
    rules += ' ri9';
    return rules;
};
const $a366ef8f467b1cb5$var$iconStyles = " _va9 -_8sjo0b-t5ZbAob9";
const $a366ef8f467b1cb5$var$stepperContainerStyles = function anonymous(props) {
    let rules = " ";
    rules += ' sd9';
    rules += ' _tc9';
    if (props.size === "XL") rules += ' Ue9';
    else if (props.size === "L") rules += ' Ue9';
    else if (props.size === "M") rules += ' Ub9';
    else if (props.size === "S") rules += ' Ue9';
    if (props.size === "XL") rules += ' qe9';
    else if (props.size === "L") rules += ' qe9';
    else if (props.size === "M") rules += ' qb9';
    else if (props.size === "S") rules += ' qe9';
    if (props.size === "XL") rules += ' HWJpoB9';
    else if (props.size === "L") rules += ' HWJpoB9';
    else if (props.size === "M") rules += ' Hs9';
    else if (props.size === "S") rules += ' Hr9';
    return rules;
};
const $a366ef8f467b1cb5$export$63c5fa0b2fdccd2e = /*#__PURE__*/ (0, $fwzUK$react.forwardRef)(function NumberField(props1, ref) {
    [props1, ref] = (0, $ac757a4c2bd72aee$exports.useSpectrumContextProps)(props1, ref, $a366ef8f467b1cb5$export$b414a48cf5dcbc11);
    let { label: label, contextualHelp: contextualHelp, description: descriptionMessage, errorMessage: errorMessage, hideStepper: hideStepper, isRequired: isRequired, size: size = 'M', labelPosition: labelPosition = 'top', necessityIndicator: necessityIndicator, labelAlign: labelAlign = 'start', UNSAFE_className: UNSAFE_className = '', UNSAFE_style: UNSAFE_style, ...numberFieldProps } = props1;
    let formContext = (0, $fwzUK$react.useContext)((0, $bfa4962d90c8af48$exports.FormContext));
    let domRef = (0, $fwzUK$react.useRef)(null);
    let inputRef = (0, $fwzUK$react.useRef)(null);
    let decrementButtonRef = (0, $fwzUK$react.useRef)(null);
    let incrementButtonRef = (0, $fwzUK$react.useRef)(null);
    // Expose imperative interface for ref
    (0, $fwzUK$react.useImperativeHandle)(ref, ()=>({
            ...(0, $fwzUK$reactspectrumutils.createFocusableRef)(domRef, inputRef),
            select () {
                if (inputRef.current) inputRef.current.select();
            },
            getInputElement () {
                return inputRef.current;
            }
        }));
    return /*#__PURE__*/ (0, $fwzUK$reactjsxruntime.jsx)((0, $fwzUK$reactariacomponents.NumberField), {
        isRequired: isRequired,
        ...numberFieldProps,
        style: UNSAFE_style,
        className: UNSAFE_className + function anonymous(props, overrides) {
            let rules = " ";
            let gridColumnStart = false;
            let gridColumnEnd = false;
            let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g);
            for (let p of matches){
                if (p[1] === "z") gridColumnStart = true;
                if (p[1] === "y") gridColumnEnd = true;
                rules += p[0];
            }
            rules += ' se9';
            if (props.isInForm) {
                if (!gridColumnStart) rules += ' z2mU9';
            }
            if (props.isInForm) {
                if (props.labelPosition === "side") {
                    if (!gridColumnEnd) rules += ' yvoofG9';
                }
            }
            if (props.isInForm) rules += ' DLwlgod9';
            else {
                if (props.labelPosition === "side") rules += ' DPlN5qb9';
                else if (props.labelPosition === "top") rules += ' DM8Mfn9';
            }
            if (props.labelPosition === "side") rules += ' EPlN5qb9';
            else if (props.labelPosition === "top") rules += ' E4w1sLc9';
            if (props.labelPosition === "side") rules += ' CbRM95c9';
            else if (props.labelPosition === "top") rules += ' Cxaocre9';
            if (props.size === "XL") {
                rules += ' vg9';
                rules += ' vsj9';
            } else if (props.size === "L") {
                rules += ' vp9';
                rules += ' vsh9';
            } else if (props.size === "S") {
                rules += ' vb9';
                rules += ' vse9';
            } else if (props.size === "XS") {
                rules += ' va9';
                rules += ' vsc9';
            } else {
                rules += ' vd9';
                rules += ' vsf9';
            }
            rules += ' ea9';
            rules += ' _Fa9';
            rules += ' _Ffb9';
            if (props.size === "XL") rules += ' -BhX7R-Fz9';
            else if (props.size === "L") rules += ' -BhX7R-Fv9';
            else if (props.size === "S") rules += ' -BhX7R-Fp9';
            else if (props.size === "XS") rules += ' -BhX7R-Fn9';
            else rules += ' -BhX7R-Fx9';
            rules += ' -AJjOLd-UVkF0Db9';
            rules += ' qg9';
            rules += ' __ca9';
            return rules;
        }({
            isInForm: !!formContext,
            labelPosition: labelPosition,
            size: size
        }, props1.styles),
        children: ({ isDisabled: isDisabled, isInvalid: isInvalid })=>{
            return /*#__PURE__*/ (0, $fwzUK$reactjsxruntime.jsxs)((0, $fwzUK$reactjsxruntime.Fragment), {
                children: [
                    /*#__PURE__*/ (0, $fwzUK$reactjsxruntime.jsx)((0, $a0b996a550bb0891$exports.FieldLabel), {
                        isDisabled: isDisabled,
                        isRequired: isRequired,
                        size: size,
                        labelPosition: labelPosition,
                        labelAlign: labelAlign,
                        necessityIndicator: necessityIndicator,
                        contextualHelp: contextualHelp,
                        children: label
                    }),
                    /*#__PURE__*/ (0, $fwzUK$reactjsxruntime.jsxs)((0, $a0b996a550bb0891$exports.FieldGroup), {
                        role: "presentation",
                        isDisabled: isDisabled,
                        isInvalid: isInvalid,
                        size: size,
                        styles: function anonymous(props) {
                            let rules = " ";
                            rules += ' zXcEWr9';
                            rules += ' yXcEWr9';
                            rules += ' BXcEWr9';
                            rules += ' AXcEWr9';
                            if (props.size === "XL") rules += ' Nl9';
                            else if (props.size === "L") rules += ' Nj9';
                            else if (props.size === "S") rules += ' Nf9';
                            else if (props.size === "XS") rules += ' Ne9';
                            else rules += ' Nk9';
                            if (props.isQuiet) rules += ' _qd9';
                            else rules += ' _qtb9';
                            if (props.size === "XL") rules += ' -Anxdcc-Zt9';
                            else if (props.size === "L") rules += ' -Anxdcc-ZStdtne9';
                            else if (props.size === "S") rules += ' -Anxdcc-Zr9';
                            else rules += ' -Anxdcc-Z3fn9H9';
                            rules += ' __v6TNLWb9';
                            rules += ' SMBFGYc9';
                            rules += ' RfBFGYc9';
                            rules += ' -S_-Sv9';
                            if (props.isStepperHidden) rules += ' -R_-Rv9';
                            else rules += ' -R_-Rd9';
                            return rules;
                        }({
                            size: size,
                            isStepperHidden: hideStepper
                        }),
                        children: [
                            /*#__PURE__*/ (0, $fwzUK$reactjsxruntime.jsx)((0, $fwzUK$reactariacomponents.InputContext).Consumer, {
                                children: (ctx)=>/*#__PURE__*/ (0, $fwzUK$reactjsxruntime.jsx)((0, $fwzUK$reactariacomponents.InputContext).Provider, {
                                        value: {
                                            ...ctx,
                                            ref: (0, $fwzUK$reactariautils.mergeRefs)(ctx?.ref, inputRef)
                                        },
                                        children: /*#__PURE__*/ (0, $fwzUK$reactjsxruntime.jsx)((0, $a0b996a550bb0891$exports.Input), {})
                                    })
                            }),
                            isInvalid && /*#__PURE__*/ (0, $fwzUK$reactjsxruntime.jsx)((0, $a0b996a550bb0891$exports.FieldErrorIcon), {
                                isDisabled: isDisabled
                            }),
                            !hideStepper && /*#__PURE__*/ (0, $fwzUK$reactjsxruntime.jsxs)("div", {
                                className: $a366ef8f467b1cb5$var$stepperContainerStyles({
                                    size: size
                                }),
                                children: [
                                    /*#__PURE__*/ (0, $fwzUK$reactjsxruntime.jsx)($a366ef8f467b1cb5$var$StepButton, {
                                        ref: decrementButtonRef,
                                        slot: "decrement",
                                        style: (renderProps)=>(0, $2061c83559b50a66$exports.pressScale)(decrementButtonRef)(renderProps),
                                        className: (renderProps)=>$a366ef8f467b1cb5$var$inputButton({
                                                ...renderProps,
                                                type: 'decrement',
                                                size: size
                                            }),
                                        children: /*#__PURE__*/ (0, $fwzUK$reactjsxruntime.jsx)((0, $84c37b7bd5c1374e$exports.default), {
                                            size: size,
                                            className: $a366ef8f467b1cb5$var$iconStyles
                                        })
                                    }),
                                    /*#__PURE__*/ (0, $fwzUK$reactjsxruntime.jsx)($a366ef8f467b1cb5$var$StepButton, {
                                        ref: incrementButtonRef,
                                        slot: "increment",
                                        style: (renderProps)=>(0, $2061c83559b50a66$exports.pressScale)(incrementButtonRef)(renderProps),
                                        className: (renderProps)=>$a366ef8f467b1cb5$var$inputButton({
                                                ...renderProps,
                                                type: 'increment',
                                                size: size
                                            }),
                                        children: /*#__PURE__*/ (0, $fwzUK$reactjsxruntime.jsx)((0, $54686c7c3f031ee2$exports.default), {
                                            size: size,
                                            className: $a366ef8f467b1cb5$var$iconStyles
                                        })
                                    })
                                ]
                            })
                        ]
                    }),
                    descriptionMessage && /*#__PURE__*/ (0, $fwzUK$reactjsxruntime.jsx)((0, $fwzUK$reactariacomponents.Text), {
                        slot: "description",
                        children: descriptionMessage
                    }),
                    /*#__PURE__*/ (0, $fwzUK$reactjsxruntime.jsx)((0, $a0b996a550bb0891$exports.HelpText), {
                        size: size,
                        isDisabled: isDisabled,
                        isInvalid: isInvalid,
                        description: descriptionMessage,
                        children: errorMessage
                    })
                ]
            });
        }
    });
});
const $a366ef8f467b1cb5$var$additionalButtonHTMLAttributes = new Set([
    'form',
    'formAction',
    'formEncType',
    'formMethod',
    'formNoValidate',
    'formTarget',
    'name',
    'value'
]);
let $a366ef8f467b1cb5$var$StepButton = /*#__PURE__*/ (0, $fwzUK$react.forwardRef)((props, ref)=>{
    [props, ref] = (0, $fwzUK$reactariacomponents.useContextProps)(props, ref, (0, $fwzUK$reactariacomponents.ButtonContext));
    let ctx = props;
    /**
   * Must use div for now because Safari pointer event bugs on disabled form elements.
   * Link https://bugs.webkit.org/show_bug.cgi?id=219188.
   */ let { buttonProps: buttonProps, isPressed: isPressed } = (0, $fwzUK$reactaria.useButton)({
        ...props,
        elementType: 'div'
    }, ref);
    let { focusProps: focusProps, isFocused: isFocused, isFocusVisible: isFocusVisible } = (0, $fwzUK$reactaria.useFocusRing)(props);
    let { hoverProps: hoverProps, isHovered: isHovered } = (0, $fwzUK$reactaria.useHover)(props);
    let renderProps = $a366ef8f467b1cb5$var$useRenderProps({
        ...props,
        values: {
            isHovered: isHovered,
            isPressed: isPressed,
            isFocused: isFocused,
            isFocusVisible: isFocusVisible,
            isDisabled: props.isDisabled || false
        },
        defaultClassName: 'react-aria-Button'
    });
    return /*#__PURE__*/ (0, $fwzUK$reactjsxruntime.jsx)("div", {
        ...(0, $fwzUK$reactariautils.filterDOMProps)(props, {
            propNames: $a366ef8f467b1cb5$var$additionalButtonHTMLAttributes
        }),
        ...(0, $fwzUK$reactariautils.mergeProps)(buttonProps, focusProps, hoverProps),
        ...renderProps,
        ref: ref,
        slot: props.slot || undefined,
        "data-disabled": props.isDisabled || undefined,
        "data-pressed": ctx.isPressed || isPressed || undefined,
        "data-hovered": isHovered || undefined,
        "data-focused": isFocused || undefined,
        "data-focus-visible": isFocusVisible || undefined
    });
});
// replace from RAC
function $a366ef8f467b1cb5$var$useRenderProps(props) {
    let { className: className, style: style, children: children, defaultClassName: defaultClassName, defaultChildren: defaultChildren, defaultStyle: defaultStyle, values: values } = props;
    return (0, $fwzUK$react.useMemo)(()=>{
        let computedClassName;
        let computedStyle;
        let computedChildren;
        if (typeof className === 'function') computedClassName = className({
            ...values,
            defaultClassName: defaultClassName
        });
        else computedClassName = className;
        if (typeof style === 'function') computedStyle = style({
            ...values,
            defaultStyle: defaultStyle || {}
        });
        else computedStyle = style;
        if (typeof children === 'function') computedChildren = children({
            ...values,
            defaultChildren: defaultChildren
        });
        else if (children == null) computedChildren = defaultChildren;
        else computedChildren = children;
        return {
            className: computedClassName ?? defaultClassName,
            style: computedStyle || defaultStyle ? {
                ...defaultStyle,
                ...computedStyle
            } : undefined,
            children: computedChildren ?? defaultChildren,
            'data-rac': ''
        };
    }, [
        className,
        style,
        children,
        defaultClassName,
        defaultChildren,
        defaultStyle,
        values
    ]);
}


//# sourceMappingURL=NumberField.cjs.map
