require("./Radio.css");
var $e991cbcdf82ced71$exports = require("./CenterBaseline.cjs");
var $bfa4962d90c8af48$exports = require("./Form.cjs");
var $2061c83559b50a66$exports = require("./pressScale.cjs");
var $fd22C$reactjsxruntime = require("react/jsx-runtime");
var $fd22C$reactariacomponents = require("react-aria-components");
var $fd22C$react = require("react");
var $fd22C$reactspectrumutils = require("@react-spectrum/utils");


function $parcel$export(e, n, v, s) {
  Object.defineProperty(e, n, {get: v, set: s, enumerable: true, configurable: true});
}

$parcel$export(module.exports, "Radio", () => $49f41f366ec3019f$export$d7b12c4107be0d61);
/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 






const $49f41f366ec3019f$var$wrapper = function anonymous(props, overrides) {
    let rules = " ";
    let position = false;
    let gridColumnStart = false;
    let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g);
    for (let p of matches){
        if (p[1] === "_P") position = true;
        if (p[1] === "z") gridColumnStart = true;
        rules += p[0];
    }
    rules += ' sd9';
    if (!position) rules += ' _Pc9';
    rules += ' qf9';
    rules += ' ea9';
    if (props.size === "XL") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "L") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "S") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "XS") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    }
    if (props.size === "XL") {
        rules += ' vg9';
        rules += ' vsj9';
    } else if (props.size === "L") {
        rules += ' vp9';
        rules += ' vsh9';
    } else if (props.size === "S") {
        rules += ' vb9';
        rules += ' vse9';
    } else if (props.size === "XS") {
        rules += ' va9';
        rules += ' vsc9';
    } else {
        rules += ' vd9';
        rules += ' vsf9';
    }
    if (props.size === "XL") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "L") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "S") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "XS") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    }
    if (props.size === "XL") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "L") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "S") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "XS") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    }
    if (props.isDisabled) {
        rules += ' pp9';
        rules += ' plc9';
    } else {
        if (props.isPressed) rules += ' po9';
        else if (props.isFocusVisible) rules += ' po9';
        else if (props.isHovered) rules += ' po9';
        else rules += ' pt9';
    }
    rules += ' Yc9';
    rules += ' Xb9';
    rules += ' _2b9';
    if (props.isInForm) {
        if (!gridColumnStart) rules += ' zhJUGr9';
    }
    rules += ' __ca9';
    return rules;
};
const $49f41f366ec3019f$var$circle = function anonymous(props) {
    let rules = " ";
    if (props.isFocusVisible) rules += ' _Lf9';
    else rules += ' _Le9';
    rules += ' Oh9';
    rules += ' _Mc9';
    rules += ' _Kd9';
    if (props.size === "XL") rules += ' Zm9';
    else if (props.size === "L") rules += ' Zl9';
    else if (props.size === "S") rules += ' Zk9';
    else rules += ' Zu9';
    rules += ' FRuFGYc9';
    rules += ' _va9';
    rules += ' sd9';
    rules += ' eb9';
    rules += ' _Ca9';
    rules += ' Yd9';
    rules += ' Xb9';
    rules += ' _2b9';
    rules += ' og9';
    rules += ' ng9';
    rules += ' kg9';
    rules += ' jg9';
    rules += ' _jf9';
    rules += ' _oa9';
    if (props.isSelected) rules += ' _kUXU7p9';
    else rules += ' _k7m7Gv9';
    if (props.isSelected) rules += ' hUXU7p9';
    else rules += ' h7m7Gv9';
    if (props.isSelected) rules += ' mUXU7p9';
    else rules += ' m7m7Gv9';
    if (props.isSelected) rules += ' lUXU7p9';
    else rules += ' l7m7Gv9';
    rules += ' _yb9';
    rules += ' gX9';
    if (props.isDisabled) {
        rules += ' io9';
        rules += ' ilc9';
    } else if (props.isInvalid) {
        if (props.isPressed) rules += ' im9';
        else if (props.isFocusVisible) rules += ' im9';
        else if (props.isHovered) rules += ' im9';
        else rules += ' ip9';
        rules += ' ile9';
    } else if (props.isSelected) {
        if (props.isEmphasized) {
            if (props.isPressed) rules += ' iu9';
            else if (props.isFocusVisible) rules += ' iu9';
            else if (props.isHovered) rules += ' iu9';
            else rules += ' iw9';
        }
        rules += ' ild9';
    } else {
        if (props.isPressed) rules += ' in9';
        else if (props.isFocusVisible) rules += ' in9';
        else if (props.isHovered) rules += ' in9';
        else rules += ' iv9';
        rules += ' ila9';
    }
    if (props.size === "XL") rules += ' -F_-Fn9';
    else if (props.size === "L") rules += ' -F_-Fm9';
    else if (props.size === "S") rules += ' -F_-Fl9';
    else rules += ' -F_-Ft9';
    return rules;
};
const $49f41f366ec3019f$export$d7b12c4107be0d61 = /*#__PURE__*/ (0, $fd22C$react.forwardRef)(function Radio(props, ref) {
    let { children: children, UNSAFE_className: UNSAFE_className = '', UNSAFE_style: UNSAFE_style } = props;
    let circleRef = (0, $fd22C$react.useRef)(null);
    let inputRef = (0, $fd22C$react.useRef)(null);
    let domRef = (0, $fd22C$reactspectrumutils.useFocusableRef)(ref, inputRef);
    let isInForm = !!(0, $fd22C$react.useContext)((0, $bfa4962d90c8af48$exports.FormContext));
    let { size: size = 'M', ...allProps } = (0, $bfa4962d90c8af48$exports.useFormProps)(props);
    return /*#__PURE__*/ (0, $fd22C$reactjsxruntime.jsx)((0, $fd22C$reactariacomponents.Radio), {
        ...allProps,
        ref: domRef,
        inputRef: inputRef,
        style: UNSAFE_style,
        className: (renderProps)=>UNSAFE_className + $49f41f366ec3019f$var$wrapper({
                ...renderProps,
                isInForm: isInForm,
                size: size
            }, allProps.styles),
        children: (renderProps)=>/*#__PURE__*/ (0, $fd22C$reactjsxruntime.jsxs)((0, $fd22C$reactjsxruntime.Fragment), {
                children: [
                    /*#__PURE__*/ (0, $fd22C$reactjsxruntime.jsx)((0, $e991cbcdf82ced71$exports.CenterBaseline), {
                        children: /*#__PURE__*/ (0, $fd22C$reactjsxruntime.jsx)("div", {
                            ref: circleRef,
                            style: (0, $2061c83559b50a66$exports.pressScale)(circleRef)(renderProps),
                            className: $49f41f366ec3019f$var$circle({
                                ...renderProps,
                                isEmphasized: allProps.isEmphasized,
                                isSelected: renderProps.isSelected,
                                size: size
                            })
                        })
                    }),
                    children
                ]
            })
    });
});


//# sourceMappingURL=Radio.cjs.map
