require("./Switch.css");
var $e991cbcdf82ced71$exports = require("./CenterBaseline.cjs");
var $bfa4962d90c8af48$exports = require("./Form.cjs");
var $2061c83559b50a66$exports = require("./pressScale.cjs");
var $ac757a4c2bd72aee$exports = require("../icons/useSpectrumContextProps.cjs");
var $bxoLC$reactjsxruntime = require("react/jsx-runtime");
var $bxoLC$reactariacomponents = require("react-aria-components");
var $bxoLC$react = require("react");
var $bxoLC$reactspectrumutils = require("@react-spectrum/utils");


function $parcel$export(e, n, v, s) {
  Object.defineProperty(e, n, {get: v, set: s, enumerable: true, configurable: true});
}

$parcel$export(module.exports, "SwitchContext", () => $0bb99ae32af8596c$export$8699e3b644d5a28a);
$parcel$export(module.exports, "Switch", () => $0bb99ae32af8596c$export$b5d5cf8927ab7262);
/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 







const $0bb99ae32af8596c$export$8699e3b644d5a28a = /*#__PURE__*/ (0, $bxoLC$react.createContext)(null);
const $0bb99ae32af8596c$var$wrapper = function anonymous(props, overrides) {
    let rules = " ";
    let width = false;
    let gridColumnStart = false;
    let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g);
    for (let p of matches){
        if (p[1] === "Z") width = true;
        if (p[1] === "z") gridColumnStart = true;
        rules += p[0];
    }
    rules += ' sd9';
    rules += ' qf9';
    rules += ' ea9';
    if (!width) rules += ' ZJ9';
    if (props.size === "XL") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "L") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "S") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "XS") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    }
    if (props.size === "XL") {
        rules += ' vg9';
        rules += ' vsj9';
    } else if (props.size === "L") {
        rules += ' vp9';
        rules += ' vsh9';
    } else if (props.size === "S") {
        rules += ' vb9';
        rules += ' vse9';
    } else if (props.size === "XS") {
        rules += ' va9';
        rules += ' vsc9';
    } else {
        rules += ' vd9';
        rules += ' vsf9';
    }
    if (props.size === "XL") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "L") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "S") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "XS") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    }
    if (props.size === "XL") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "L") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "S") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "XS") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    }
    if (props.isDisabled) {
        rules += ' pp9';
        rules += ' plc9';
    } else {
        if (props.isPressed) rules += ' po9';
        else if (props.isFocusVisible) rules += ' po9';
        else if (props.isHovered) rules += ' po9';
        else rules += ' pt9';
    }
    rules += ' Yc9';
    rules += ' Xb9';
    rules += ' _2b9';
    if (props.isInForm) {
        if (!gridColumnStart) rules += ' zhJUGr9';
    }
    rules += ' __ca9';
    return rules;
};
const $0bb99ae32af8596c$var$track = function anonymous(props) {
    let rules = " ";
    if (props.isFocusVisible) rules += ' _Lf9';
    else rules += ' _Le9';
    rules += ' Oh9';
    rules += ' _Mc9';
    rules += ' _Kd9';
    rules += ' og9';
    rules += ' ng9';
    rules += ' kg9';
    rules += ' jg9';
    rules += ' -ERv7Xb-ZmDIzbc9';
    if (props.size === "XL") rules += ' -LsrJQc-Fn9';
    else if (props.size === "L") rules += ' -LsrJQc-Fm9';
    else if (props.size === "S") rules += ' -LsrJQc-Fl9';
    else rules += ' -LsrJQc-Ft9';
    rules += ' ZAkyXj9';
    rules += ' Fpk5ROc9';
    rules += ' _oa9';
    rules += ' _kc9';
    rules += ' hc9';
    rules += ' mc9';
    rules += ' lc9';
    rules += ' _jf9';
    rules += ' Yd9';
    rules += ' Xb9';
    rules += ' _2b9';
    rules += ' _yb9';
    if (props.isSelected) rules += ' iA9';
    else if (props.isDisabled) {
        rules += ' io9';
        rules += ' ilc9';
    } else {
        if (props.isPressed) rules += ' in9';
        else if (props.isFocusVisible) rules += ' in9';
        else if (props.isHovered) rules += ' in9';
        else rules += ' iv9';
        rules += ' ila9';
    }
    if (props.isSelected) {
        if (props.isDisabled) {
            rules += ' gw9';
            rules += ' gld9';
        } else {
            if (props.isEmphasized) {
                if (props.isPressed) rules += ' gY9';
                else if (props.isFocusVisible) rules += ' gY9';
                else if (props.isHovered) rules += ' gY9';
                else rules += ' g39';
            } else {
                if (props.isPressed) rules += ' gu9';
                else if (props.isFocusVisible) rules += ' gu9';
                else if (props.isHovered) rules += ' gu9';
                else rules += ' g09';
            }
            rules += ' gle9';
        }
    } else rules += ' gX9';
    return rules;
};
const $0bb99ae32af8596c$var$handle = function anonymous(props) {
    let rules = " ";
    rules += ' Fb9';
    rules += ' fa9';
    rules += ' og9';
    rules += ' ng9';
    rules += ' kg9';
    rules += ' jg9';
    if (props.isSelected) rules += ' gX9';
    else if (props.isDisabled) {
        rules += ' gw9';
        rules += ' gld9';
    } else {
        if (props.isPressed) rules += ' gu9';
        else if (props.isFocusVisible) rules += ' gu9';
        else if (props.isHovered) rules += ' gu9';
        else rules += ' g09';
    }
    rules += ' Yd9';
    rules += ' Xb9';
    rules += ' _2b9';
    return rules;
};
// Use an inline style to calculate the transform so we can combine it with the press scale.
const $0bb99ae32af8596c$var$transformStyle = ({ isSelected: isSelected })=>({
        // In the default state, the handle is 8px smaller than the track. When selected it grows to 6px smaller than the track.
        // Normally this could be calculated as a scale transform with (trackHeight - 8px) / trackHeight, however,
        // CSS does not allow division with units. To solve this we use a 3d perspective transform. Perspective is the
        // distance from the Z=0 plane to the viewer. Since we want to scale the handle by a fixed amount and we cannot divide
        // by a value with units, we can set the Z translation to a fixed amount and change the perspective in order to achieve
        // the desired effect. Given the following formula:
        //
        //   scale = perspective / (perspective - translateZ)
        //
        // and desired scale factors (accounting for the 2px border on each side of the track):
        //
        //   defaultScale = (trackHeight - 8px) / (trackHeight - 4px)
        //   selectedScale = (trackHeight - 6px) / (trackHeight - 4px)
        //
        // we can solve for the perspective needed in each case where translateZ is hard coded to -4px:
        //
        //    defaultPerspective = trackHeight - 8px
        //    selectedPerspective = 2 * (trackHeight - 6px)
        transform: isSelected ? 'translateX(calc(var(--trackWidth) - 100% - 4px)) perspective(calc(2 * (var(--trackHeight) - 6px))) translateZ(-4px)' : 'perspective(calc(var(--trackHeight) - 8px)) translateZ(-4px)'
    });
const $0bb99ae32af8596c$export$b5d5cf8927ab7262 = /*#__PURE__*/ (0, $bxoLC$react.forwardRef)(function Switch(props, ref) {
    [props, ref] = (0, $ac757a4c2bd72aee$exports.useSpectrumContextProps)(props, ref, $0bb99ae32af8596c$export$8699e3b644d5a28a);
    let { children: children, UNSAFE_className: UNSAFE_className = '', UNSAFE_style: UNSAFE_style } = props;
    let inputRef = (0, $bxoLC$react.useRef)(null);
    let domRef = (0, $bxoLC$reactspectrumutils.useFocusableRef)(ref, inputRef);
    let handleRef = (0, $bxoLC$react.useRef)(null);
    let isInForm = !!(0, $bxoLC$react.useContext)((0, $bfa4962d90c8af48$exports.FormContext));
    props = (0, $bfa4962d90c8af48$exports.useFormProps)(props);
    return /*#__PURE__*/ (0, $bxoLC$reactjsxruntime.jsx)((0, $bxoLC$reactariacomponents.Switch), {
        ...props,
        ref: domRef,
        inputRef: inputRef,
        style: UNSAFE_style,
        className: (renderProps)=>UNSAFE_className + $0bb99ae32af8596c$var$wrapper({
                ...renderProps,
                isInForm: isInForm,
                size: props.size || 'M'
            }, props.styles),
        children: (renderProps)=>/*#__PURE__*/ (0, $bxoLC$reactjsxruntime.jsxs)((0, $bxoLC$reactjsxruntime.Fragment), {
                children: [
                    /*#__PURE__*/ (0, $bxoLC$reactjsxruntime.jsx)((0, $e991cbcdf82ced71$exports.CenterBaseline), {
                        children: /*#__PURE__*/ (0, $bxoLC$reactjsxruntime.jsx)("div", {
                            className: $0bb99ae32af8596c$var$track({
                                ...renderProps,
                                size: props.size || 'M',
                                isEmphasized: props.isEmphasized
                            }),
                            children: /*#__PURE__*/ (0, $bxoLC$reactjsxruntime.jsx)("div", {
                                ref: handleRef,
                                style: (0, $2061c83559b50a66$exports.pressScale)(handleRef, $0bb99ae32af8596c$var$transformStyle)(renderProps),
                                className: $0bb99ae32af8596c$var$handle(renderProps)
                            })
                        })
                    }),
                    children
                ]
            })
    });
});


//# sourceMappingURL=Switch.cjs.map
