require("./Badge.css");
var $e991cbcdf82ced71$exports = require("./CenterBaseline.cjs");
var $bde97c91243ed164$exports = require("../icons/Icon.cjs");
var $5eb75e0c130e0669$exports = require("../icons/Skeleton.cjs");
var $6367bc87eb7d24ad$exports = require("./Content.cjs");
var $ac757a4c2bd72aee$exports = require("../icons/useSpectrumContextProps.cjs");
var $26Nq1$reactjsxruntime = require("react/jsx-runtime");
var $26Nq1$reactariacomponents = require("react-aria-components");
var $26Nq1$reactariautils = require("@react-aria/utils");
var $26Nq1$react = require("react");
var $26Nq1$reactspectrumutils = require("@react-spectrum/utils");


function $parcel$interopDefault(a) {
  return a && a.__esModule ? a.default : a;
}

function $parcel$export(e, n, v, s) {
  Object.defineProperty(e, n, {get: v, set: s, enumerable: true, configurable: true});
}

$parcel$export(module.exports, "BadgeContext", () => $660a621e3a266afc$export$1d4627584e49159a);
$parcel$export(module.exports, "Badge", () => $660a621e3a266afc$export$37acb3580601e69a);
/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 









const $660a621e3a266afc$export$1d4627584e49159a = /*#__PURE__*/ (0, $26Nq1$react.createContext)(null);
const $660a621e3a266afc$var$badge = function anonymous(props, overrides) {
    let rules = " ";
    let minWidth = false;
    let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g);
    for (let p of matches){
        if (p[1] === "N") minWidth = true;
        rules += p[0];
    }
    if (props.size === "XL") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "L") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "S") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "XS") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    }
    if (props.size === "XL") {
        rules += ' vg9';
        rules += ' vsj9';
    } else if (props.size === "L") {
        rules += ' vp9';
        rules += ' vsh9';
    } else if (props.size === "S") {
        rules += ' vb9';
        rules += ' vse9';
    } else if (props.size === "XS") {
        rules += ' va9';
        rules += ' vsc9';
    } else {
        rules += ' vd9';
        rules += ' vsf9';
    }
    if (props.size === "XL") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "L") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "S") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "XS") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    }
    if (props.size === "XL") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "L") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "S") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "XS") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    }
    if (props.fillStyle === "outline") rules += ' pm9';
    else if (props.fillStyle === "subtle") rules += ' pm9';
    else if (props.fillStyle === "bold") {
        if (props.variant === "celery") rules += ' pg9';
        else if (props.variant === "chartreuse") rules += ' pg9';
        else if (props.variant === "yellow") rules += ' pg9';
        else if (props.variant === "orange") rules += ' pg9';
        else if (props.variant === "notice") rules += ' pg9';
        else rules += ' px9';
    }
    rules += ' sd9';
    rules += ' ea9';
    rules += ' egLWx3bb9';
    rules += ' _oa9';
    rules += ' Sv9';
    rules += ' SgLWx3bd9';
    rules += ' Rv9';
    rules += ' RgLWx3bd9';
    if (props.size === "XL") {
        if (!minWidth) rules += ' Nl9';
    } else if (props.size === "L") {
        if (!minWidth) rules += ' Nj9';
    } else if (props.size === "S") {
        if (!minWidth) rules += ' Nf9';
    } else if (props.size === "XS") {
        if (!minWidth) rules += ' Ne9';
    } else if (!minWidth) rules += ' Nk9';
    if (props.size === "XL") rules += ' -SFnbic-_JaP8ec9';
    else if (props.size === "L") rules += ' -SFnbic-_J0K2hn9';
    else if (props.size === "S") rules += ' -SFnbic-_JJOW22b9';
    else if (props.size === "XS") rules += ' -SFnbic-_JICefdd9';
    else rules += ' -SFnbic-_Jb9';
    rules += ' -Bu7z1c-ob9';
    rules += ' oj9';
    rules += ' nj9';
    rules += ' kj9';
    rules += ' jj9';
    rules += ' qc9';
    rules += ' qsd9';
    rules += ' -Qg41Lb-IAxCW0c9';
    rules += ' -Qg41Lb-gLWx3bIy9';
    rules += ' MAyFGYc9';
    rules += ' Td9';
    rules += ' Qd9';
    rules += ' -aRvJDd-Tu7Fubd9';
    rules += ' _Ca9';
    if (props.fillStyle === "outline") rules += ' g_g9';
    else if (props.fillStyle === "subtle") {
        if (props.variant === "silver") rules += ' g_f9';
        else if (props.variant === "cinnamon") rules += ' gP9';
        else if (props.variant === "brown") rules += ' gO9';
        else if (props.variant === "turquoise") rules += ' gy9';
        else if (props.variant === "pink") rules += ' gT9';
        else if (props.variant === "magenta") rules += ' gS9';
        else if (props.variant === "fuchsia") rules += ' gR9';
        else if (props.variant === "purple") rules += ' gM9';
        else if (props.variant === "indigo") rules += ' gK9';
        else if (props.variant === "blue") rules += ' gG9';
        else if (props.variant === "cyan") rules += ' gC9';
        else if (props.variant === "seafoam") rules += ' gz9';
        else if (props.variant === "green") rules += ' gA9';
        else if (props.variant === "celery") rules += ' gv9';
        else if (props.variant === "chartreuse") rules += ' gJ9';
        else if (props.variant === "yellow") rules += ' gW9';
        else if (props.variant === "orange") rules += ' gV9';
        else if (props.variant === "red") rules += ' gU9';
        else if (props.variant === "gray") rules += ' gI9';
        else if (props.variant === "negative") rules += ' gU9';
        else if (props.variant === "notice") rules += ' gV9';
        else if (props.variant === "positive") rules += ' gA9';
        else if (props.variant === "neutral") rules += ' gI9';
        else if (props.variant === "informative") rules += ' gG9';
        else if (props.variant === "accent") rules += ' gG9';
    } else if (props.fillStyle === "bold") {
        if (props.variant === "silver") rules += ' gm9';
        else if (props.variant === "cinnamon") rules += ' gq9';
        else if (props.variant === "brown") rules += ' gn9';
        else if (props.variant === "turquoise") rules += ' g59';
        else if (props.variant === "pink") rules += ' gx9';
        else if (props.variant === "magenta") rules += ' gD9';
        else if (props.variant === "fuchsia") rules += ' gr9';
        else if (props.variant === "purple") rules += ' go9';
        else if (props.variant === "indigo") rules += ' gl9';
        else if (props.variant === "blue") rules += ' g29';
        else if (props.variant === "cyan") rules += ' gk9';
        else if (props.variant === "seafoam") rules += ' g49';
        else if (props.variant === "green") rules += ' g19';
        else if (props.variant === "celery") rules += ' g79';
        else if (props.variant === "chartreuse") rules += ' gp9';
        else if (props.variant === "yellow") rules += ' gN9';
        else if (props.variant === "orange") rules += ' gQ9';
        else if (props.variant === "red") rules += ' gB9';
        else if (props.variant === "gray") rules += ' g69';
        else if (props.variant === "negative") rules += ' gB9';
        else if (props.variant === "notice") rules += ' gQ9';
        else if (props.variant === "positive") rules += ' g19';
        else if (props.variant === "neutral") rules += ' g69';
        else if (props.variant === "informative") rules += ' g29';
        else if (props.variant === "accent") rules += ' g29';
    }
    rules += ' _jf9';
    rules += ' _kJ8iPYd9';
    rules += ' hXMFGYc9';
    rules += ' mc9';
    rules += ' lc9';
    if (props.fillStyle === "outline") {
        if (props.variant === "negative") rules += ' iFLVMS9';
        else if (props.variant === "notice") rules += ' i9VrKkd9';
        else if (props.variant === "positive") rules += ' ip17Jm9';
        else if (props.variant === "neutral") rules += ' i0ruhAb9';
        else if (props.variant === "informative") rules += ' iG1ze4d9';
        else if (props.variant === "accent") rules += ' iG1ze4d9';
    } else rules += ' iA9';
    rules += ' -_8sjo0b-t5ZbAob9';
    if (props.size === "XL") rules += ' -M_-Mk9';
    else if (props.size === "L") rules += ' -M_-Mh9';
    else if (props.size === "S") rules += ' -M_-Mg9';
    else if (props.size === "XS") rules += ' -M_-Mf9';
    else rules += ' -M_-Mi9';
    rules += ' -_k_-_kc9';
    rules += ' -h_-hc9';
    return rules;
};
const $660a621e3a266afc$export$37acb3580601e69a = /*#__PURE__*/ (0, $26Nq1$react.forwardRef)(function Badge(props1, ref) {
    [props1, ref] = (0, $ac757a4c2bd72aee$exports.useSpectrumContextProps)(props1, ref, $660a621e3a266afc$export$1d4627584e49159a);
    let { children: children, variant: variant = 'neutral', size: size = 'S', fillStyle: fillStyle = 'bold', overflowMode: overflowMode = 'wrap', ...otherProps } = props1; // useProviderProps(props) in v3
    let domRef = (0, $26Nq1$reactspectrumutils.useDOMRef)(ref);
    let isTextOnly = (0, ($parcel$interopDefault($26Nq1$react))).Children.toArray(props1.children).every((c)=>!/*#__PURE__*/ (0, ($parcel$interopDefault($26Nq1$react))).isValidElement(c));
    return /*#__PURE__*/ (0, $26Nq1$reactjsxruntime.jsx)((0, $26Nq1$reactariacomponents.Provider), {
        values: [
            [
                (0, $6367bc87eb7d24ad$exports.TextContext),
                {
                    styles: function anonymous(props) {
                        let rules = " ";
                        rules += ' TAzEcG9';
                        rules += ' QAzEcG9';
                        rules += ' _Jb9';
                        rules += ' _Nc9';
                        rules += ' Pc9';
                        rules += ' _Yb9';
                        if (props.overflowMode === "wrap") rules += ' _7b9';
                        else if (props.overflowMode === "truncate") rules += ' _7c9';
                        return rules;
                    }({
                        overflowMode: overflowMode
                    })
                }
            ],
            [
                (0, $26Nq1$reactariacomponents.TextContext),
                {}
            ],
            [
                (0, $bde97c91243ed164$exports.IconContext),
                {
                    render: (0, $e991cbcdf82ced71$exports.centerBaseline)({
                        slot: 'icon',
                        styles: " _Ja9"
                    }),
                    styles: " ZuUmpre9 FuUmpre9 I67logd9 _va9"
                }
            ]
        ],
        children: /*#__PURE__*/ (0, $26Nq1$reactjsxruntime.jsx)((0, $5eb75e0c130e0669$exports.SkeletonWrapper), {
            children: /*#__PURE__*/ (0, $26Nq1$reactjsxruntime.jsx)("span", {
                ...(0, $26Nq1$reactariautils.filterDOMProps)(otherProps),
                role: "presentation",
                className: (props1.UNSAFE_className || '') + $660a621e3a266afc$var$badge({
                    variant: variant,
                    size: size,
                    fillStyle: fillStyle
                }, props1.styles),
                style: props1.UNSAFE_style,
                ref: domRef,
                children: typeof children === 'string' || isTextOnly ? /*#__PURE__*/ (0, $26Nq1$reactjsxruntime.jsx)((0, $6367bc87eb7d24ad$exports.Text), {
                    children: children
                }) : children
            })
        })
    });
});


//# sourceMappingURL=Badge.cjs.map
