require("./Checkbox.css");
var $e991cbcdf82ced71$exports = require("./CenterBaseline.cjs");
var $dba2b18fc5727f9b$exports = require("./Checkmark.cjs");
var $84c37b7bd5c1374e$exports = require("./Dash.cjs");
var $bfa4962d90c8af48$exports = require("./Form.cjs");
var $2061c83559b50a66$exports = require("./pressScale.cjs");
var $ac757a4c2bd72aee$exports = require("../icons/useSpectrumContextProps.cjs");
var $gg2RS$reactjsxruntime = require("react/jsx-runtime");
var $gg2RS$reactariacomponents = require("react-aria-components");
var $gg2RS$react = require("react");
var $gg2RS$reactspectrumutils = require("@react-spectrum/utils");


function $parcel$export(e, n, v, s) {
  Object.defineProperty(e, n, {get: v, set: s, enumerable: true, configurable: true});
}

$parcel$export(module.exports, "CheckboxContext", () => $af04e099a53d3e85$export$b085522c77523c51);
$parcel$export(module.exports, "box", () => $af04e099a53d3e85$export$827f4ee28efc37);
$parcel$export(module.exports, "iconStyles", () => $af04e099a53d3e85$export$2c99b98b77550cb4);
$parcel$export(module.exports, "Checkbox", () => $af04e099a53d3e85$export$48513f6b9f8ce62d);
/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 









const $af04e099a53d3e85$export$b085522c77523c51 = /*#__PURE__*/ (0, $gg2RS$react.createContext)(null);
const $af04e099a53d3e85$var$wrapper = function anonymous(props, overrides) {
    let rules = " ";
    let position = false;
    let width = false;
    let gridColumnStart = false;
    let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g);
    for (let p of matches){
        if (p[1] === "_P") position = true;
        if (p[1] === "Z") width = true;
        if (p[1] === "z") gridColumnStart = true;
        rules += p[0];
    }
    rules += ' sd9';
    if (!position) rules += ' _Pc9';
    rules += ' qf9';
    rules += ' ea9';
    if (!width) rules += ' ZJ9';
    if (props.size === "XL") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "L") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "S") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "XS") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    }
    if (props.size === "XL") {
        rules += ' vg9';
        rules += ' vsj9';
    } else if (props.size === "L") {
        rules += ' vp9';
        rules += ' vsh9';
    } else if (props.size === "S") {
        rules += ' vb9';
        rules += ' vse9';
    } else if (props.size === "XS") {
        rules += ' va9';
        rules += ' vsc9';
    } else {
        rules += ' vd9';
        rules += ' vsf9';
    }
    if (props.size === "XL") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "L") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "S") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "XS") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    }
    if (props.size === "XL") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "L") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "S") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "XS") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    }
    if (props.isDisabled) {
        rules += ' pp9';
        rules += ' plc9';
    } else {
        if (props.isPressed) rules += ' po9';
        else if (props.isFocusVisible) rules += ' po9';
        else if (props.isHovered) rules += ' po9';
        else rules += ' pt9';
    }
    rules += ' Yc9';
    rules += ' Xb9';
    rules += ' _2b9';
    if (props.isInForm) {
        if (!gridColumnStart) rules += ' zhJUGr9';
    }
    rules += ' __ca9';
    return rules;
};
const $af04e099a53d3e85$export$827f4ee28efc37 = function anonymous(props) {
    let rules = " ";
    if (props.isFocusVisible) rules += ' _Lf9';
    else rules += ' _Le9';
    rules += ' Oh9';
    rules += ' _Mc9';
    rules += ' _Kd9';
    if (props.size === "XL") rules += ' -SFnbic-_JaP8ec9';
    else if (props.size === "L") rules += ' -SFnbic-_J0K2hn9';
    else if (props.size === "S") rules += ' -SFnbic-_JJOW22b9';
    else if (props.size === "XS") rules += ' -SFnbic-_JICefdd9';
    else rules += ' -SFnbic-_Jb9';
    rules += ' -Bu7z1c-oa9';
    rules += ' oj9';
    rules += ' nj9';
    rules += ' kj9';
    rules += ' jj9';
    if (props.size === "XL") rules += ' Zm9';
    else if (props.size === "L") rules += ' Zl9';
    else if (props.size === "S") rules += ' Zk9';
    else rules += ' Zu9';
    if (props.size === "XL") rules += ' Fn9';
    else if (props.size === "L") rules += ' Fm9';
    else if (props.size === "S") rules += ' Fl9';
    else rules += ' Ft9';
    rules += ' _va9';
    rules += ' sd9';
    rules += ' eb9';
    rules += ' _Ca9';
    rules += ' _k7m7Gv9';
    rules += ' h7m7Gv9';
    rules += ' m7m7Gv9';
    rules += ' l7m7Gv9';
    rules += ' _oa9';
    rules += ' _jf9';
    rules += ' Yd9';
    rules += ' Xb9';
    rules += ' _2b9';
    rules += ' _yb9';
    if (props.isSelected) {
        if (props.isDisabled) {
            rules += ' gw9';
            rules += ' gld9';
        } else if (props.isInvalid) {
            if (props.isPressed) rules += ' gt9';
            else if (props.isFocusVisible) rules += ' gt9';
            else if (props.isHovered) rules += ' gt9';
            else rules += ' g_d9';
            rules += ' gl_b9';
        } else {
            if (props.isEmphasized) {
                if (props.isPressed) rules += ' gY9';
                else if (props.isFocusVisible) rules += ' gY9';
                else if (props.isHovered) rules += ' gY9';
                else rules += ' g39';
            } else {
                if (props.isPressed) rules += ' gu9';
                else if (props.isFocusVisible) rules += ' gu9';
                else if (props.isHovered) rules += ' gu9';
                else rules += ' g09';
            }
            rules += ' gle9';
        }
    } else {
        rules += ' gX9';
        rules += ' gla9';
    }
    if (props.isSelected) rules += ' iA9';
    else if (props.isDisabled) {
        rules += ' io9';
        rules += ' ilc9';
    } else if (props.isInvalid) {
        if (props.isPressed) rules += ' im9';
        else if (props.isFocusVisible) rules += ' im9';
        else if (props.isHovered) rules += ' im9';
        else rules += ' ip9';
        rules += ' ile9';
    } else {
        if (props.isPressed) rules += ' in9';
        else if (props.isFocusVisible) rules += ' in9';
        else if (props.isHovered) rules += ' in9';
        else rules += ' iv9';
        rules += ' ila9';
    }
    return rules;
};
const $af04e099a53d3e85$export$2c99b98b77550cb4 = " -_8sjo0b-txpP0Sb9 -_8sjo0b-lt8pvGJ9";
const $af04e099a53d3e85$var$iconSize = {
    S: 'XS',
    M: 'S',
    L: 'M',
    XL: 'L'
};
const $af04e099a53d3e85$export$48513f6b9f8ce62d = /*#__PURE__*/ (0, $gg2RS$react.forwardRef)(function Checkbox({ children: children, ...props }, ref) {
    [props, ref] = (0, $ac757a4c2bd72aee$exports.useSpectrumContextProps)(props, ref, $af04e099a53d3e85$export$b085522c77523c51);
    let boxRef = (0, $gg2RS$react.useRef)(null);
    let inputRef = (0, $gg2RS$react.useRef)(null);
    let domRef = (0, $gg2RS$reactspectrumutils.useFocusableRef)(ref, inputRef);
    let isInForm = !!(0, $gg2RS$react.useContext)((0, $bfa4962d90c8af48$exports.FormContext));
    props = (0, $bfa4962d90c8af48$exports.useFormProps)(props);
    let isInCheckboxGroup = !!(0, $gg2RS$react.useContext)((0, $gg2RS$reactariacomponents.CheckboxGroupStateContext));
    let ctx = (0, $gg2RS$reactariacomponents.useSlottedContext)($af04e099a53d3e85$export$b085522c77523c51, props.slot);
    return /*#__PURE__*/ (0, $gg2RS$reactjsxruntime.jsx)((0, $gg2RS$reactariacomponents.Checkbox), {
        ...props,
        ref: domRef,
        inputRef: inputRef,
        style: props.UNSAFE_style,
        className: (renderProps)=>(props.UNSAFE_className || '') + $af04e099a53d3e85$var$wrapper({
                ...renderProps,
                isInForm: isInForm,
                size: props.size || 'M'
            }, props.styles),
        children: (renderProps)=>{
            let checkbox = /*#__PURE__*/ (0, $gg2RS$reactjsxruntime.jsxs)("div", {
                ref: boxRef,
                style: (0, $2061c83559b50a66$exports.pressScale)(boxRef)(renderProps),
                className: $af04e099a53d3e85$export$827f4ee28efc37({
                    ...renderProps,
                    isSelected: renderProps.isSelected || renderProps.isIndeterminate,
                    size: props.size || 'M',
                    isEmphasized: isInCheckboxGroup ? ctx?.isEmphasized : props.isEmphasized
                }),
                children: [
                    renderProps.isIndeterminate && /*#__PURE__*/ (0, $gg2RS$reactjsxruntime.jsx)((0, $84c37b7bd5c1374e$exports.default), {
                        size: $af04e099a53d3e85$var$iconSize[props.size || 'M'],
                        className: $af04e099a53d3e85$export$2c99b98b77550cb4
                    }),
                    renderProps.isSelected && !renderProps.isIndeterminate && /*#__PURE__*/ (0, $gg2RS$reactjsxruntime.jsx)((0, $dba2b18fc5727f9b$exports.default), {
                        size: $af04e099a53d3e85$var$iconSize[props.size || 'M'],
                        className: $af04e099a53d3e85$export$2c99b98b77550cb4
                    })
                ]
            });
            // Only render checkbox without center baseline if no label.
            // This avoids expanding the checkbox height to the font's line height.
            if (!children) return checkbox;
            return /*#__PURE__*/ (0, $gg2RS$reactjsxruntime.jsxs)((0, $gg2RS$reactjsxruntime.Fragment), {
                children: [
                    /*#__PURE__*/ (0, $gg2RS$reactjsxruntime.jsx)((0, $e991cbcdf82ced71$exports.CenterBaseline), {
                        children: checkbox
                    }),
                    children
                ]
            });
        }
    });
});


//# sourceMappingURL=Checkbox.cjs.map
