require("./ClearButton.css");
var $89dd175101ffc43a$exports = require("./Cross.cjs");
var $2061c83559b50a66$exports = require("./pressScale.cjs");
var $ae1Ho$reactjsxruntime = require("react/jsx-runtime");
var $ae1Ho$reactariacomponents = require("react-aria-components");
var $ae1Ho$react = require("react");
var $ae1Ho$reactspectrumutils = require("@react-spectrum/utils");


function $parcel$export(e, n, v, s) {
  Object.defineProperty(e, n, {get: v, set: s, enumerable: true, configurable: true});
}

$parcel$export(module.exports, "ClearButton", () => $4fb579ecc195bd2b$export$13ec83e50bf04290);
/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 





const $4fb579ecc195bd2b$var$focusRingStyles = {
    outlineStyle: {
        "default": "none",
        isFocusVisible: "solid"
    },
    outlineColor: "focus-ring",
    outlineWidth: 2,
    outlineOffset: 2
};
const $4fb579ecc195bd2b$var$visibleClearButton = function anonymous(props) {
    let rules = " ";
    if (props.isFocusVisible) rules += ' _Lf9';
    else rules += ' _Le9';
    if (props.isStaticColor) rules += ' Ok9';
    else rules += ' Oh9';
    rules += ' _Mc9';
    rules += ' _Kc9';
    rules += ' sd9';
    rules += ' eb9';
    rules += ' _Ca9';
    rules += ' Fb9';
    if (props.size === "XL") rules += ' ZF9';
    else if (props.size === "L") rules += ' Zw9';
    else if (props.size === "S") rules += ' Zo9';
    else if (props.size === "XS") rules += ' Zm9';
    else rules += ' ZC9';
    rules += ' _va9';
    rules += ' og9';
    rules += ' ng9';
    rules += ' kg9';
    rules += ' jg9';
    rules += ' _je9';
    rules += ' g99';
    rules += ' _oa9';
    rules += ' Td9';
    rules += ' Qd9';
    rules += ' Sd9';
    rules += ' Rd9';
    rules += ' p40ub4c9';
    rules += ' -_8sjo0b-t5ZbAob9';
    return rules;
};
const $4fb579ecc195bd2b$export$13ec83e50bf04290 = /*#__PURE__*/ (0, $ae1Ho$react.forwardRef)(function ClearButton(props, ref) {
    let { size: size = 'M', isStaticColor: isStaticColor = false, ...rest } = props;
    let domRef = (0, $ae1Ho$reactspectrumutils.useFocusableRef)(ref);
    return /*#__PURE__*/ (0, $ae1Ho$reactjsxruntime.jsx)((0, $ae1Ho$reactariacomponents.Button), {
        ...rest,
        ref: domRef,
        style: (0, $2061c83559b50a66$exports.pressScale)(domRef),
        className: (renderProps)=>$4fb579ecc195bd2b$var$visibleClearButton({
                ...renderProps,
                size: size,
                isStaticColor: isStaticColor
            }),
        children: /*#__PURE__*/ (0, $ae1Ho$reactjsxruntime.jsx)((0, $89dd175101ffc43a$exports.default), {
            size: props.size
        })
    });
});


//# sourceMappingURL=ClearButton.cjs.map
