require("./ComboBox.css");
var $e991cbcdf82ced71$exports = require("./CenterBaseline.cjs");
var $e741ea6b88ce4866$exports = require("./Menu.cjs");
var $dba2b18fc5727f9b$exports = require("./Checkmark.cjs");
var $1df9f1c9262ce5df$exports = require("./Chevron.cjs");
var $a0b996a550bb0891$exports = require("./Field.cjs");
var $bfa4962d90c8af48$exports = require("./Form.cjs");
var $6367bc87eb7d24ad$exports = require("./Content.cjs");
var $bde97c91243ed164$exports = require("../icons/Icon.cjs");
var $4526404114e78c80$exports = require("./intlStrings.cjs");
var $493371ef39bf7a55$exports = require("./Popover.cjs");
var $2061c83559b50a66$exports = require("./pressScale.cjs");
var $1c116ea4b0d2d023$exports = require("./ProgressCircle.cjs");
var $ee7b4c497f520c08$exports = require("./utils.cjs");
var $ac757a4c2bd72aee$exports = require("../icons/useSpectrumContextProps.cjs");
var $1KUtr$reactjsxruntime = require("react/jsx-runtime");
var $1KUtr$reactariacomponents = require("react-aria-components");
var $1KUtr$react = require("react");
var $1KUtr$reactspectrumutils = require("@react-spectrum/utils");
var $1KUtr$reactariacollections = require("@react-aria/collections");
var $1KUtr$reactariautils = require("@react-aria/utils");
var $1KUtr$reactariai18n = require("@react-aria/i18n");


function $parcel$interopDefault(a) {
  return a && a.__esModule ? a.default : a;
}

function $parcel$export(e, n, v, s) {
  Object.defineProperty(e, n, {get: v, set: s, enumerable: true, configurable: true});
}

$parcel$export(module.exports, "ComboBoxContext", () => $a2d5b35c01bebcd6$export$d414ccceff7063c3);
$parcel$export(module.exports, "listbox", () => $a2d5b35c01bebcd6$export$9901d82449b93cea);
$parcel$export(module.exports, "listboxItem", () => $a2d5b35c01bebcd6$export$68265fb354482bae);
$parcel$export(module.exports, "listboxHeader", () => $a2d5b35c01bebcd6$export$c040ba7a724e8da1);
$parcel$export(module.exports, "LOADER_ROW_HEIGHTS", () => $a2d5b35c01bebcd6$export$83379f5245567d78);
$parcel$export(module.exports, "ComboBox", () => $a2d5b35c01bebcd6$export$72b9695b8216309a);
$parcel$export(module.exports, "ComboBoxItem", () => $a2d5b35c01bebcd6$export$b674b8ff01584ab1);
$parcel$export(module.exports, "ComboBoxSection", () => $a2d5b35c01bebcd6$export$5510125537491b61);
$parcel$export(module.exports, "Divider", () => $a2d5b35c01bebcd6$export$2e0a83ec2e27ecbb);
/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 




















const $a2d5b35c01bebcd6$export$d414ccceff7063c3 = /*#__PURE__*/ (0, $1KUtr$react.createContext)(null);
const $a2d5b35c01bebcd6$var$inputButton = function anonymous(props) {
    let rules = " ";
    if (props.size === "XL") rules += ' -SFnbic-_JaP8ec9';
    else if (props.size === "L") rules += ' -SFnbic-_J0K2hn9';
    else if (props.size === "S") rules += ' -SFnbic-_JJOW22b9';
    else if (props.size === "XS") rules += ' -SFnbic-_JICefdd9';
    else rules += ' -SFnbic-_Jb9';
    rules += ' -Bu7z1c-oa9';
    rules += ' oj9';
    rules += ' nj9';
    rules += ' kj9';
    rules += ' jj9';
    rules += ' sd9';
    rules += ' _Le9';
    rules += ' _Wa9';
    rules += ' _je9';
    rules += ' eb9';
    rules += ' _Ca9';
    if (props.size === "XL") rules += ' ZC9';
    else if (props.size === "L") rules += ' Zo9';
    else if (props.size === "M") rules += ' Zm9';
    else if (props.size === "S") rules += ' Zu9';
    if (props.size === "XL") rules += ' Fx9';
    else if (props.size === "L") rules += ' Fp9';
    else if (props.size === "M") rules += ' Fn9';
    else if (props.size === "S") rules += ' Ft9';
    rules += ' Iw9';
    rules += ' fa9';
    rules += ' _va9';
    rules += ' Yd9';
    rules += ' Yle9';
    rules += ' Xb9';
    rules += ' Xlb9';
    rules += ' _2b9';
    rules += ' _2lb9';
    if (props.isDisabled) rules += ' gH9';
    else if (props.isOpen) rules += ' gF9';
    else {
        if (props.isPressed) rules += ' gF9';
        else if (props.isFocusVisible) rules += ' gF9';
        else if (props.isHovered) rules += ' gF9';
        else rules += ' gH9';
    }
    if (props.isDisabled) rules += ' gld9';
    else if (props.isOpen) rules += ' gle9';
    else if (props.isHovered) rules += ' gle9';
    else rules += ' glc9';
    if (props.isDisabled) rules += ' pp9';
    else {
        if (props.isPressed) rules += ' po9';
        else if (props.isFocusVisible) rules += ' po9';
        else if (props.isHovered) rules += ' po9';
        else rules += ' pt9';
    }
    rules += ' pla9';
    return rules;
};
const $a2d5b35c01bebcd6$var$iconStyles = " _va9 _Sd9 -_8sjo0b-t5ZbAob9";
const $a2d5b35c01bebcd6$var$loadingWrapperStyles = " z2mU9 yzZKy9 sd9 eb9 _Ca9 Jv9 Gv9";
const $a2d5b35c01bebcd6$var$progressCircleStyles = function anonymous(props) {
    let rules = " ";
    if (props.size === "XL") rules += ' Zp9';
    else if (props.size === "L") rules += ' Zn9';
    else if (props.size === "M") rules += ' Zm9';
    else if (props.size === "S") rules += ' Zu9';
    if (props.size === "XL") rules += ' Fq9';
    else if (props.size === "L") rules += ' Fo9';
    else if (props.size === "M") rules += ' Fn9';
    else if (props.size === "S") rules += ' Ft9';
    if (props.isInput) {
        rules += ' It9';
        rules += ' Isu9';
    }
    return rules;
};
const $a2d5b35c01bebcd6$var$emptyStateText = function anonymous(props) {
    let rules = " ";
    rules += ' FRuFGYc9';
    if (props.size === "XL") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "L") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "M") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "S") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    }
    if (props.size === "XL") {
        rules += ' vg9';
        rules += ' vsj9';
    } else if (props.size === "L") {
        rules += ' vp9';
        rules += ' vsh9';
    } else if (props.size === "M") {
        rules += ' vd9';
        rules += ' vsf9';
    } else if (props.size === "S") {
        rules += ' vb9';
        rules += ' vse9';
    }
    if (props.size === "XL") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "L") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "M") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "S") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    }
    if (props.size === "XL") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "L") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "M") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "S") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    }
    if (props.size === "XL") rules += ' pt9';
    else if (props.size === "L") rules += ' pt9';
    else if (props.size === "M") rules += ' pt9';
    else if (props.size === "S") rules += ' pt9';
    rules += ' sd9';
    rules += ' eb9';
    rules += ' Sv9';
    if (props.size === "XL") rules += ' -F_-Fz9';
    else if (props.size === "L") rules += ' -F_-Fv9';
    else if (props.size === "M") rules += ' -F_-Fx9';
    else if (props.size === "S") rules += ' -F_-Fp9';
    return rules;
};
let $a2d5b35c01bebcd6$export$9901d82449b93cea = function anonymous(props) {
    let rules = " ";
    rules += ' Za9';
    rules += ' _oa9';
    rules += ' K40ub4c9';
    rules += ' Pa9';
    rules += ' _Nc9';
    rules += ' ug9';
    rules += ' uch9';
    rules += ' udi9';
    rules += ' uea9';
    rules += ' ugb9';
    rules += ' uhd9';
    rules += ' uje9';
    rules += ' uic9';
    if (props.size === "XL") {
        rules += ' vg9';
        rules += ' vsj9';
    } else if (props.size === "L") {
        rules += ' vp9';
        rules += ' vsh9';
    } else if (props.size === "S") {
        rules += ' vb9';
        rules += ' vse9';
    } else if (props.size === "XS") {
        rules += ' va9';
        rules += ' vsc9';
    } else {
        rules += ' vd9';
        rules += ' vsf9';
    }
    return rules;
};
let $a2d5b35c01bebcd6$export$68265fb354482bae = function anonymous(props, overrides) {
    let rules = " ";
    let minWidth = false;
    let position = false;
    let gridColumnStart = false;
    let gridColumnEnd = false;
    let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g);
    for (let p of matches){
        if (p[1] === "N") minWidth = true;
        if (p[1] === "_P") position = true;
        if (p[1] === "z") gridColumnStart = true;
        if (p[1] === "y") gridColumnEnd = true;
        rules += p[0];
    }
    if (props.isFocusVisible) rules += ' _Lf9';
    else rules += ' _Le9';
    rules += ' Oh9';
    rules += ' _Mc9';
    rules += ' _Kd9';
    if (props.size === "XL") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "L") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "S") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else if (props.size === "XS") {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    } else {
        rules += ' ug9';
        rules += ' uch9';
        rules += ' udi9';
        rules += ' uea9';
        rules += ' ugb9';
        rules += ' uhd9';
        rules += ' uje9';
        rules += ' uic9';
    }
    if (props.size === "XL") {
        rules += ' vg9';
        rules += ' vsj9';
    } else if (props.size === "L") {
        rules += ' vp9';
        rules += ' vsh9';
    } else if (props.size === "S") {
        rules += ' vb9';
        rules += ' vse9';
    } else if (props.size === "XS") {
        rules += ' va9';
        rules += ' vsc9';
    } else {
        rules += ' vd9';
        rules += ' vsf9';
    }
    if (props.size === "XL") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "L") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "S") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else if (props.size === "XS") {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    } else {
        rules += ' wb9';
        rules += ' xb9';
        rules += ' _xa9';
    }
    if (props.size === "XL") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "L") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "S") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else if (props.size === "XS") {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    } else {
        rules += ' _Fa9';
        rules += ' _Ffb9';
    }
    if (props.isDisabled) {
        rules += ' pp9';
        rules += ' plc9';
    } else {
        if (props.isPressed) rules += ' po9';
        else if (props.isFocusVisible) rules += ' po9';
        else if (props.isHovered) rules += ' po9';
        else rules += ' pt9';
    }
    rules += ' se9';
    rules += ' ea9';
    rules += ' _oa9';
    rules += ' Sd9';
    rules += ' Rd9';
    if (props.size === "XL") {
        if (!minWidth) rules += ' Nl9';
    } else if (props.size === "L") {
        if (!minWidth) rules += ' Nj9';
    } else if (props.size === "S") {
        if (!minWidth) rules += ' Nf9';
    } else if (props.size === "XS") {
        if (!minWidth) rules += ' Ne9';
    } else if (!minWidth) rules += ' Nk9';
    if (props.size === "XL") rules += ' -SFnbic-_JaP8ec9';
    else if (props.size === "L") rules += ' -SFnbic-_J0K2hn9';
    else if (props.size === "S") rules += ' -SFnbic-_JJOW22b9';
    else if (props.size === "XS") rules += ' -SFnbic-_JICefdd9';
    else rules += ' -SFnbic-_Jb9';
    rules += ' -Bu7z1c-ob9';
    rules += ' oj9';
    rules += ' nj9';
    rules += ' kj9';
    rules += ' jj9';
    rules += ' qh9';
    rules += ' -Qg41Lb-IAxCW0c9';
    rules += ' -Qg41Lb-gLWx3bIy9';
    rules += ' MAyFGYc9';
    rules += ' Td9';
    rules += ' QAzEcG9';
    rules += ' -aRvJDd-Tu7Fubd9';
    if (props.isFocused) rules += ' gF9';
    else rules += ' g99';
    if (!position) rules += ' _Pc9';
    if (!gridColumnStart) rules += ' z2mU9';
    if (!gridColumnEnd) rules += ' yzZKy9';
    rules += ' CHV1uCd9';
    if (props.size === "XL") rules += ' DTw5ujc9';
    else if (props.size === "L") rules += ' DdpPw49';
    else if (props.size === "M") rules += ' Dxy3qDe9';
    else if (props.size === "S") rules += ' DfLJE09';
    rules += ' EpvfBwb9';
    rules += ' EDNKd2dZQmDFe9';
    rules += ' UDNKd2dai5a09';
    rules += ' FF9';
    rules += ' _Xa9';
    if (props.isLink) rules += ' ry9';
    else rules += ' ri9';
    rules += ' Yd9';
    rules += ' Xb9';
    rules += ' _2b9';
    if (props.size === "XL") rules += ' -M_-Mk9';
    else if (props.size === "L") rules += ' -M_-Mh9';
    else if (props.size === "S") rules += ' -M_-Mg9';
    else if (props.size === "XS") rules += ' -M_-Mf9';
    else rules += ' -M_-Mi9';
    return rules;
};
let $a2d5b35c01bebcd6$export$c040ba7a724e8da1 = function anonymous(props) {
    let rules = " ";
    rules += ' pt9';
    rules += ' _oa9';
    rules += ' MAyFGYc9';
    rules += ' Tu7Fubd9';
    rules += ' Qu7Fubd9';
    if (props.size === "XL") rules += ' I2d3n9';
    else if (props.size === "L") rules += ' IaxPIqb9';
    else if (props.size === "M") rules += ' Ip2UVod9';
    else if (props.size === "S") rules += ' IH8XZ7c9';
    if (props.size === "XL") rules += ' H2d3n9';
    else if (props.size === "L") rules += ' HaxPIqb9';
    else if (props.size === "M") rules += ' Hp2UVod9';
    else if (props.size === "S") rules += ' HH8XZ7c9';
    if (props.size === "XL") rules += ' -M_-Mk9';
    else if (props.size === "L") rules += ' -M_-Mh9';
    else if (props.size === "S") rules += ' -M_-Mg9';
    else if (props.size === "XS") rules += ' -M_-Mf9';
    else rules += ' -M_-Mi9';
    return rules;
};
const $a2d5b35c01bebcd6$var$separatorWrapper = function anonymous(props) {
    let rules = " ";
    rules += ' sd9';
    if (props.size === "XL") rules += ' I2d3n9';
    else if (props.size === "L") rules += ' IaxPIqb9';
    else if (props.size === "M") rules += ' Ip2UVod9';
    else if (props.size === "S") rules += ' IH8XZ7c9';
    if (props.size === "XL") rules += ' H2d3n9';
    else if (props.size === "L") rules += ' HaxPIqb9';
    else if (props.size === "M") rules += ' Hp2UVod9';
    else if (props.size === "S") rules += ' HH8XZ7c9';
    rules += ' Fk9';
    rules += ' eb9';
    return rules;
};
const $a2d5b35c01bebcd6$var$dividerStyle = " gF9 gl_a9 og9 ng9 kg9 jg9 FLvNfn9 Za9";
const $a2d5b35c01bebcd6$export$83379f5245567d78 = {
    S: {
        medium: 24,
        large: 30
    },
    M: {
        medium: 32,
        large: 40
    },
    L: {
        medium: 40,
        large: 50
    },
    XL: {
        medium: 48,
        large: 60
    }
};
let $a2d5b35c01bebcd6$var$InternalComboboxContext = /*#__PURE__*/ (0, $1KUtr$react.createContext)({
    size: 'M'
});
const $a2d5b35c01bebcd6$export$72b9695b8216309a = /*#__PURE__*/ (0, $1KUtr$react.forwardRef)(function ComboBox(props1, ref) {
    [props1, ref] = (0, $ac757a4c2bd72aee$exports.useSpectrumContextProps)(props1, ref, $a2d5b35c01bebcd6$export$d414ccceff7063c3);
    let formContext = (0, $1KUtr$react.useContext)((0, $bfa4962d90c8af48$exports.FormContext));
    props1 = (0, $bfa4962d90c8af48$exports.useFormProps)(props1);
    let { size: size = 'M', labelPosition: labelPosition = 'top', UNSAFE_className: UNSAFE_className = '', UNSAFE_style: UNSAFE_style, loadingState: loadingState, ...comboBoxProps } = props1;
    return /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsx)((0, $1KUtr$reactariacomponents.ComboBox), {
        ...comboBoxProps,
        allowsEmptyCollection: loadingState != null,
        style: UNSAFE_style,
        className: UNSAFE_className + function anonymous(props, overrides) {
            let rules = " ";
            let gridColumnStart = false;
            let gridColumnEnd = false;
            let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g);
            for (let p of matches){
                if (p[1] === "z") gridColumnStart = true;
                if (p[1] === "y") gridColumnEnd = true;
                rules += p[0];
            }
            rules += ' se9';
            if (props.isInForm) {
                if (!gridColumnStart) rules += ' z2mU9';
            }
            if (props.isInForm) {
                if (props.labelPosition === "side") {
                    if (!gridColumnEnd) rules += ' yvoofG9';
                }
            }
            if (props.isInForm) rules += ' DLwlgod9';
            else {
                if (props.labelPosition === "side") rules += ' DPlN5qb9';
                else if (props.labelPosition === "top") rules += ' DM8Mfn9';
            }
            if (props.labelPosition === "side") rules += ' EPlN5qb9';
            else if (props.labelPosition === "top") rules += ' E4w1sLc9';
            if (props.labelPosition === "side") rules += ' CbRM95c9';
            else if (props.labelPosition === "top") rules += ' Cxaocre9';
            if (props.size === "XL") {
                rules += ' vg9';
                rules += ' vsj9';
            } else if (props.size === "L") {
                rules += ' vp9';
                rules += ' vsh9';
            } else if (props.size === "S") {
                rules += ' vb9';
                rules += ' vse9';
            } else if (props.size === "XS") {
                rules += ' va9';
                rules += ' vsc9';
            } else {
                rules += ' vd9';
                rules += ' vsf9';
            }
            rules += ' ea9';
            rules += ' _Fa9';
            rules += ' _Ffb9';
            if (props.size === "XL") rules += ' -BhX7R-Fz9';
            else if (props.size === "L") rules += ' -BhX7R-Fv9';
            else if (props.size === "S") rules += ' -BhX7R-Fp9';
            else if (props.size === "XS") rules += ' -BhX7R-Fn9';
            else rules += ' -BhX7R-Fx9';
            rules += ' -AJjOLd-UVkF0Db9';
            rules += ' qg9';
            rules += ' __ca9';
            return rules;
        }({
            isInForm: !!formContext,
            labelPosition: labelPosition,
            size: size
        }, props1.styles),
        children: ({ isDisabled: isDisabled, isOpen: isOpen, isRequired: isRequired, isInvalid: isInvalid })=>/*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsx)($a2d5b35c01bebcd6$var$ComboboxInner, {
                ...props1,
                isDisabled: isDisabled,
                isOpen: isOpen,
                isRequired: isRequired,
                isInvalid: isInvalid,
                ref: ref
            })
    });
});
const $a2d5b35c01bebcd6$var$checkmarkIconSize = {
    S: 'XS',
    M: 'M',
    L: 'L',
    XL: 'XL'
};
function $a2d5b35c01bebcd6$export$b674b8ff01584ab1(props) {
    let ref = (0, $1KUtr$react.useRef)(null);
    let isLink = props.href != null;
    let { size: size } = (0, $1KUtr$react.useContext)($a2d5b35c01bebcd6$var$InternalComboboxContext);
    return /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsx)((0, $1KUtr$reactariacomponents.ListBoxItem), {
        ...props,
        ref: ref,
        textValue: props.textValue || (typeof props.children === 'string' ? props.children : undefined),
        style: (0, $2061c83559b50a66$exports.pressScale)(ref, props.UNSAFE_style),
        className: (renderProps)=>(props.UNSAFE_className || '') + $a2d5b35c01bebcd6$export$68265fb354482bae({
                ...renderProps,
                size: size,
                isLink: isLink
            }, props.styles),
        children: (renderProps)=>{
            let { children: children } = props;
            return /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsx)((0, $1KUtr$reactjsxruntime.Fragment), {
                children: /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsxs)((0, $1KUtr$reactariacomponents.Provider), {
                    values: [
                        [
                            (0, $bde97c91243ed164$exports.IconContext),
                            {
                                slots: {
                                    icon: {
                                        render: (0, $e991cbcdf82ced71$exports.centerBaseline)({
                                            slot: 'icon',
                                            styles: (0, $e741ea6b88ce4866$exports.iconCenterWrapper)
                                        }),
                                        styles: (0, $e741ea6b88ce4866$exports.icon)
                                    }
                                }
                            }
                        ],
                        [
                            (0, $6367bc87eb7d24ad$exports.TextContext),
                            {
                                slots: {
                                    label: {
                                        styles: (0, $e741ea6b88ce4866$exports.label)({
                                            size: size
                                        })
                                    },
                                    description: {
                                        styles: (0, $e741ea6b88ce4866$exports.description)({
                                            ...renderProps,
                                            size: size
                                        })
                                    }
                                }
                            }
                        ]
                    ],
                    children: [
                        !isLink && /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsx)((0, $dba2b18fc5727f9b$exports.default), {
                            size: $a2d5b35c01bebcd6$var$checkmarkIconSize[size],
                            className: (0, $e741ea6b88ce4866$exports.checkmark)({
                                ...renderProps,
                                size: size
                            })
                        }),
                        typeof children === 'string' ? /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsx)((0, $6367bc87eb7d24ad$exports.Text), {
                            slot: "label",
                            children: children
                        }) : children
                    ]
                })
            });
        }
    });
}
function $a2d5b35c01bebcd6$export$5510125537491b61(props) {
    let { size: size } = (0, $1KUtr$react.useContext)($a2d5b35c01bebcd6$var$InternalComboboxContext);
    return /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsxs)((0, $1KUtr$reactjsxruntime.Fragment), {
        children: [
            /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsx)((0, $1KUtr$reactariacomponents.ListBoxSection), {
                ...props,
                children: props.children
            }),
            /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsx)($a2d5b35c01bebcd6$export$2e0a83ec2e27ecbb, {
                size: size
            })
        ]
    });
}
const $a2d5b35c01bebcd6$var$ComboboxInner = /*#__PURE__*/ (0, $1KUtr$react.forwardRef)(function ComboboxInner(props1, ref) {
    let { direction: direction = 'bottom', align: align = 'start', shouldFlip: shouldFlip = true, menuWidth: menuWidth, label: label, description: descriptionMessage, errorMessage: errorMessage, children: children, defaultItems: defaultItems, items: items, size: size = 'M', labelPosition: labelPosition = 'top', labelAlign: labelAlign = 'start', necessityIndicator: necessityIndicator, loadingState: loadingState, isDisabled: isDisabled, isOpen: isOpen, isRequired: isRequired, isInvalid: isInvalid, menuTrigger: menuTrigger, onLoadMore: onLoadMore } = props1;
    let stringFormatter = (0, $1KUtr$reactariai18n.useLocalizedStringFormatter)((0, ($parcel$interopDefault($4526404114e78c80$exports))), '@react-spectrum/s2');
    let inputRef = (0, $1KUtr$react.useRef)(null);
    let domRef = (0, $1KUtr$react.useRef)(null);
    let buttonRef = (0, $1KUtr$react.useRef)(null);
    // Expose imperative interface for ref
    (0, $1KUtr$react.useImperativeHandle)(ref, ()=>({
            ...(0, $1KUtr$reactspectrumutils.createFocusableRef)(domRef, inputRef),
            select () {
                if (inputRef.current) inputRef.current.select();
            },
            getInputElement () {
                return inputRef.current;
            }
        }));
    // Better way to encode this into a style? need to account for flipping
    let menuOffset;
    if (size === 'S') menuOffset = 6;
    else if (size === 'M') menuOffset = 6;
    else if (size === 'L') menuOffset = 7;
    else menuOffset = 8;
    let triggerRef = (0, $1KUtr$react.useRef)(null);
    // Make menu width match input + button
    let [triggerWidth, setTriggerWidth] = (0, $1KUtr$react.useState)(null);
    let onResize = (0, $1KUtr$react.useCallback)(()=>{
        if (triggerRef.current) {
            let inputRect = triggerRef.current.getBoundingClientRect();
            let minX = inputRect.left;
            let maxX = inputRect.right;
            setTriggerWidth(maxX - minX + 'px');
        }
    }, [
        triggerRef,
        setTriggerWidth
    ]);
    (0, $1KUtr$reactariautils.useResizeObserver)({
        ref: triggerRef,
        onResize: onResize
    });
    let state = (0, $1KUtr$react.useContext)((0, $1KUtr$reactariacomponents.ComboBoxStateContext));
    let timeout = (0, $1KUtr$react.useRef)(null);
    let [showLoading, setShowLoading] = (0, $1KUtr$react.useState)(false);
    let isLoadingOrFiltering = loadingState === 'loading' || loadingState === 'filtering';
    let showFieldSpinner = (0, $1KUtr$react.useMemo)(()=>showLoading && (isOpen || menuTrigger === 'manual' || loadingState === 'loading'), [
        showLoading,
        isOpen,
        menuTrigger,
        loadingState
    ]);
    let spinnerId = (0, $1KUtr$reactariautils.useSlotId)([
        showFieldSpinner
    ]);
    let inputValue = state?.inputValue;
    let lastInputValue = (0, $1KUtr$react.useRef)(inputValue);
    (0, $1KUtr$react.useEffect)(()=>{
        if (isLoadingOrFiltering && !showLoading) {
            if (timeout.current === null) timeout.current = setTimeout(()=>{
                setShowLoading(true);
            }, 500);
            // If user is typing, clear the timer and restart since it is a new request
            if (inputValue !== lastInputValue.current) {
                clearTimeout(timeout.current);
                timeout.current = setTimeout(()=>{
                    setShowLoading(true);
                }, 500);
            }
        } else if (!isLoadingOrFiltering) {
            // If loading is no longer happening, clear any timers and hide the loading circle
            setShowLoading(false);
            if (timeout.current) clearTimeout(timeout.current);
            timeout.current = null;
        }
        lastInputValue.current = inputValue;
    }, [
        isLoadingOrFiltering,
        showLoading,
        inputValue
    ]);
    (0, $1KUtr$react.useEffect)(()=>{
        return ()=>{
            if (timeout.current) clearTimeout(timeout.current);
            timeout.current = null;
        };
    }, []);
    let renderer;
    let listBoxLoadingCircle = /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsx)((0, $1KUtr$reactariacomponents.UNSTABLE_ListBoxLoadingSentinel), {
        // Only show the spinner in the list when loading more
        isLoading: loadingState === 'loadingMore',
        onLoadMore: onLoadMore,
        className: $a2d5b35c01bebcd6$var$loadingWrapperStyles,
        children: /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsx)((0, $1c116ea4b0d2d023$exports.ProgressCircle), {
            isIndeterminate: true,
            size: "S",
            styles: $a2d5b35c01bebcd6$var$progressCircleStyles({
                size: size
            }),
            // Same loading string as table
            "aria-label": stringFormatter.format('table.loadingMore')
        })
    });
    if (typeof children === 'function') renderer = /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsxs)((0, $1KUtr$reactjsxruntime.Fragment), {
        children: [
            /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsx)((0, $1KUtr$reactariacomponents.Collection), {
                items: items ?? defaultItems,
                children: children
            }),
            listBoxLoadingCircle
        ]
    });
    else // TODO: is there a case where the user might provide items to the Combobox but doesn't provide a function renderer?
    // Same case for other components that have this logic (TableView/CardView/Picker)
    renderer = /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsxs)((0, $1KUtr$reactjsxruntime.Fragment), {
        children: [
            children,
            listBoxLoadingCircle
        ]
    });
    let scale = (0, $ee7b4c497f520c08$exports.useScale)();
    return /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsx)((0, $1KUtr$reactjsxruntime.Fragment), {
        children: /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsxs)($a2d5b35c01bebcd6$var$InternalComboboxContext.Provider, {
            value: {
                size: size
            },
            children: [
                /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsx)((0, $a0b996a550bb0891$exports.FieldLabel), {
                    isDisabled: isDisabled,
                    isRequired: isRequired,
                    size: size,
                    labelPosition: labelPosition,
                    labelAlign: labelAlign,
                    necessityIndicator: necessityIndicator,
                    contextualHelp: props1.contextualHelp,
                    children: label
                }),
                /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsxs)((0, $a0b996a550bb0891$exports.FieldGroup), {
                    ref: triggerRef,
                    role: "presentation",
                    isDisabled: isDisabled,
                    isInvalid: isInvalid,
                    size: size,
                    styles: function anonymous(props) {
                        let rules = " ";
                        rules += ' zXcEWr9';
                        rules += ' yXcEWr9';
                        rules += ' BXcEWr9';
                        rules += ' AXcEWr9';
                        if (props.size === "XL") rules += ' Nl9';
                        else if (props.size === "L") rules += ' Nj9';
                        else if (props.size === "S") rules += ' Nf9';
                        else if (props.size === "XS") rules += ' Ne9';
                        else rules += ' Nk9';
                        if (props.isQuiet) rules += ' _qd9';
                        else rules += ' _qtb9';
                        if (props.size === "XL") rules += ' -Anxdcc-Zt9';
                        else if (props.size === "L") rules += ' -Anxdcc-ZStdtne9';
                        else if (props.size === "S") rules += ' -Anxdcc-Zr9';
                        else rules += ' -Anxdcc-Z3fn9H9';
                        rules += ' __v6TNLWb9';
                        rules += ' SMBFGYc9';
                        rules += ' RfBFGYc9';
                        rules += ' -S_-Sv9';
                        rules += ' -R_-Rjxyh89';
                        return rules;
                    }({
                        size: size
                    }),
                    children: [
                        /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsx)((0, $1KUtr$reactariacomponents.InputContext).Consumer, {
                            children: (ctx)=>/*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsx)((0, $1KUtr$reactariacomponents.InputContext).Provider, {
                                    value: {
                                        ...ctx,
                                        ref: (0, $1KUtr$reactariautils.mergeRefs)(ctx?.ref, inputRef)
                                    },
                                    children: /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsx)((0, $a0b996a550bb0891$exports.Input), {
                                        "aria-describedby": spinnerId
                                    })
                                })
                        }),
                        isInvalid && /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsx)((0, $a0b996a550bb0891$exports.FieldErrorIcon), {
                            isDisabled: isDisabled
                        }),
                        showFieldSpinner && /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsx)((0, $1c116ea4b0d2d023$exports.ProgressCircle), {
                            id: spinnerId,
                            isIndeterminate: true,
                            size: "S",
                            styles: $a2d5b35c01bebcd6$var$progressCircleStyles({
                                size: size,
                                isInput: true
                            }),
                            "aria-label": stringFormatter.format('table.loading')
                        }),
                        /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsx)((0, $1KUtr$reactariacomponents.Button), {
                            ref: buttonRef,
                            // Prevent press scale from sticking while ComboBox is open.
                            // @ts-ignore
                            isPressed: false,
                            style: (renderProps)=>(0, $2061c83559b50a66$exports.pressScale)(buttonRef)(renderProps),
                            className: (renderProps)=>$a2d5b35c01bebcd6$var$inputButton({
                                    ...renderProps,
                                    size: size,
                                    isOpen: isOpen
                                }),
                            children: /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsx)((0, $1df9f1c9262ce5df$exports.default), {
                                size: size,
                                className: $a2d5b35c01bebcd6$var$iconStyles
                            })
                        })
                    ]
                }),
                /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsx)((0, $a0b996a550bb0891$exports.HelpText), {
                    size: size,
                    isDisabled: isDisabled,
                    isInvalid: isInvalid,
                    description: descriptionMessage,
                    children: errorMessage
                }),
                /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsx)((0, $493371ef39bf7a55$exports.PopoverBase), {
                    hideArrow: true,
                    triggerRef: triggerRef,
                    offset: menuOffset,
                    placement: `${direction} ${align}`,
                    shouldFlip: shouldFlip,
                    UNSAFE_style: {
                        width: menuWidth ? `${menuWidth}px` : undefined,
                        // manually subtract border as we can't set Popover to border-box, it causes the contents to spill out
                        '--trigger-width': `calc(${triggerWidth} - 2px)`
                    },
                    styles: " NuHSBze9 ZuHSBze9",
                    children: /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsx)((0, $1KUtr$reactariacomponents.Provider), {
                        values: [
                            [
                                (0, $6367bc87eb7d24ad$exports.HeaderContext),
                                {
                                    styles: $a2d5b35c01bebcd6$export$c040ba7a724e8da1({
                                        size: size
                                    })
                                }
                            ],
                            [
                                (0, $6367bc87eb7d24ad$exports.HeadingContext),
                                {
                                    // @ts-ignore
                                    role: 'presentation',
                                    styles: (0, $e741ea6b88ce4866$exports.sectionHeading)
                                }
                            ],
                            [
                                (0, $6367bc87eb7d24ad$exports.TextContext),
                                {
                                    slots: {
                                        'description': {
                                            styles: (0, $e741ea6b88ce4866$exports.description)({
                                                size: size
                                            })
                                        }
                                    }
                                }
                            ]
                        ],
                        children: /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsx)((0, $1KUtr$reactariacomponents.Virtualizer), {
                            layout: (0, $1KUtr$reactariacomponents.ListLayout),
                            layoutOptions: {
                                estimatedRowHeight: 32,
                                padding: 8,
                                estimatedHeadingHeight: 50,
                                loaderHeight: $a2d5b35c01bebcd6$export$83379f5245567d78[size][scale]
                            },
                            children: /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsx)((0, $1KUtr$reactariacomponents.ListBox), {
                                renderEmptyState: ()=>/*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsx)("span", {
                                        className: $a2d5b35c01bebcd6$var$emptyStateText({
                                            size: size
                                        }),
                                        children: loadingState === 'loading' ? stringFormatter.format('table.loading') : stringFormatter.format('combobox.noResults')
                                    }),
                                items: items,
                                className: $a2d5b35c01bebcd6$export$9901d82449b93cea({
                                    size: size
                                }),
                                children: renderer
                            })
                        })
                    })
                })
            ]
        })
    });
});
const $a2d5b35c01bebcd6$export$2e0a83ec2e27ecbb = /*#__PURE__*/ (0, $1KUtr$reactariacollections.createLeafComponent)('separator', function Divider({ size: size }, ref, node) {
    let listState = (0, $1KUtr$react.useContext)((0, $1KUtr$reactariacomponents.ListStateContext));
    let nextNode = node.nextKey != null && listState.collection.getItem(node.nextKey);
    if (node.prevKey == null || !nextNode || nextNode.type === 'separator' || nextNode.type === 'loader' && nextNode.nextKey == null) return null;
    return /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsx)("div", {
        className: $a2d5b35c01bebcd6$var$separatorWrapper({
            size: size
        }),
        children: /*#__PURE__*/ (0, $1KUtr$reactjsxruntime.jsx)("div", {
            ref: ref,
            className: $a2d5b35c01bebcd6$var$dividerStyle
        })
    });
});


//# sourceMappingURL=ComboBox.cjs.map
