require("./TableView.css");
var $af04e099a53d3e85$exports = require("./Checkbox.cjs");
var $1df9f1c9262ce5df$exports = require("./Chevron.cjs");
var $bde97c91243ed164$exports = require("../icons/Icon.cjs");
var $4526404114e78c80$exports = require("./intlStrings.cjs");
var $e741ea6b88ce4866$exports = require("./Menu.cjs");
var $308b180f49d82d28$exports = require("../icons/runtime.cjs");
var $23350f45c699333e$exports = require("./S2_MoveHorizontalTableWidget.cjs");
var $1c116ea4b0d2d023$exports = require("./ProgressCircle.cjs");
var $22bf2407c3628a21$exports = require("../icons/SortDown.cjs");
var $2197830b90e71c31$exports = require("../icons/SortUp.cjs");
var $85bf454149fe9ddc$exports = require("./ActionBar.cjs");
var $ee7b4c497f520c08$exports = require("./utils.cjs");
var $ac757a4c2bd72aee$exports = require("../icons/useSpectrumContextProps.cjs");
var $iLVc8$reactjsxruntime = require("react/jsx-runtime");
var $iLVc8$reactariacomponents = require("react-aria-components");
var $iLVc8$react = require("react");
var $iLVc8$reactspectrumutils = require("@react-spectrum/utils");
var $iLVc8$reactariai18n = require("@react-aria/i18n");
var $iLVc8$reactaria = require("react-aria");


function $parcel$interopDefault(a) {
  return a && a.__esModule ? a.default : a;
}

function $parcel$export(e, n, v, s) {
  Object.defineProperty(e, n, {get: v, set: s, enumerable: true, configurable: true});
}

$parcel$export(module.exports, "TableContext", () => $bed37377ec7a3a9e$export$93e4b0b2cc49b648);
$parcel$export(module.exports, "TableView", () => $bed37377ec7a3a9e$export$b3c27e869d856b7);
$parcel$export(module.exports, "TableBody", () => $bed37377ec7a3a9e$export$76ccd210b9029917);
$parcel$export(module.exports, "Column", () => $bed37377ec7a3a9e$export$816b5d811295e6bc);
$parcel$export(module.exports, "TableHeader", () => $bed37377ec7a3a9e$export$f850895b287ef28e);
$parcel$export(module.exports, "Cell", () => $bed37377ec7a3a9e$export$f6f0c3fe4ec306ea);
$parcel$export(module.exports, "Row", () => $bed37377ec7a3a9e$export$b59bdbef9ce70de2);
/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 


















let $bed37377ec7a3a9e$var$InternalTableContext = /*#__PURE__*/ (0, $iLVc8$react.createContext)({});
const $bed37377ec7a3a9e$var$tableWrapper = " Ma9 Na9 sd9 _Bb9 __ca9 _Pc9 _Nb9 Pb9";
const $bed37377ec7a3a9e$var$table = function anonymous(props, overrides) {
    let rules = " ";
    let width = false;
    let minHeight = false;
    let minWidth = false;
    let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L|F|M|K)[^\s]+/g);
    for (let p of matches){
        if (p[1] === "Z") width = true;
        if (p[1] === "M") minHeight = true;
        if (p[1] === "N") minWidth = true;
        rules += p[0];
    }
    if (!width) rules += ' Za9';
    rules += ' _4c9';
    if (!minHeight) rules += ' Ma9';
    if (!minWidth) rules += ' Na9';
    rules += ' ug9';
    rules += ' uch9';
    rules += ' udi9';
    rules += ' uea9';
    rules += ' ugb9';
    rules += ' uhd9';
    rules += ' uje9';
    rules += ' uic9';
    rules += ' wb9';
    rules += ' xb9';
    rules += ' _xa9';
    rules += ' _Na9';
    rules += ' Pa9';
    if (props.isQuiet) rules += ' g99';
    else rules += ' gX9';
    rules += ' gla9';
    rules += ' iq9';
    rules += ' _jf9';
    if (props.isQuiet) rules += ' _ka9';
    else rules += ' _kb9';
    if (props.isQuiet) rules += ' ha9';
    else rules += ' hb9';
    if (props.isQuiet) rules += ' ma9';
    else rules += ' mb9';
    if (props.isQuiet) rules += ' la9';
    else rules += ' lb9';
    if (props.isFocusVisible) rules += ' _Lf9';
    else rules += ' _Le9';
    rules += ' Oh9';
    rules += ' _Mc9';
    rules += ' _Ka9';
    if (props.isQuiet) rules += ' od9';
    else rules += ' of9';
    if (props.isQuiet) rules += ' nd9';
    else rules += ' nf9';
    if (props.isQuiet) rules += ' kd9';
    else rules += ' kf9';
    if (props.isQuiet) rules += ' jd9';
    else rules += ' jf9';
    rules += ' _Um9';
    if (props.isCheckboxSelection) rules += ' _Tk9';
    return rules;
};
// component-height-100
const $bed37377ec7a3a9e$var$DEFAULT_HEADER_HEIGHT = {
    medium: 32,
    large: 40
};
const $bed37377ec7a3a9e$var$ROW_HEIGHTS = {
    compact: {
        medium: 32,
        large: 40
    },
    regular: {
        medium: 40,
        large: 50
    },
    spacious: {
        medium: 48,
        large: 60
    }
};
class $bed37377ec7a3a9e$export$4e03bdf0174fd602 extends (0, $iLVc8$reactariacomponents.TableLayout) {
    isStickyColumn(node) {
        return node.props.isSticky;
    }
    buildCollection() {
        let [header, body] = super.buildCollection();
        if (!header) return [];
        let { children: children, layoutInfo: layoutInfo } = body;
        // TableLayout's buildCollection always sets the body width to the max width between the header width, but
        // we want the body to be sticky and only as wide as the table so it is always in view if loading/empty
        // TODO: we may want to adjust RAC layouts to do something simlar? Current users of RAC table will probably run into something similar
        let isEmptyOrLoading = children?.length === 0 || children?.length === 1 && children[0].layoutInfo.type === 'loader';
        if (isEmptyOrLoading) layoutInfo.rect.width = this.virtualizer.visibleRect.width - 80;
        return [
            header,
            body
        ];
    }
    buildLoader(node, x, y) {
        let layoutNode = super.buildLoader(node, x, y);
        let { layoutInfo: layoutInfo } = layoutNode;
        layoutInfo.allowOverflow = true;
        layoutInfo.rect.width = this.virtualizer.visibleRect.width;
        // If performing first load or empty, the body will be sticky so we don't want to apply sticky to the loader, otherwise it will
        // affect the positioning of the empty state renderer
        let collection = this.virtualizer.collection;
        let isEmptyOrLoading = collection?.size === 0 || collection.size === 1 && collection.getItem(collection.getFirstKey()).type === 'loader';
        layoutInfo.isSticky = !isEmptyOrLoading;
        return layoutNode;
    }
    // y is the height of the headers
    buildBody(y) {
        let layoutNode = super.buildBody(y);
        let { children: children, layoutInfo: layoutInfo } = layoutNode;
        // Needs overflow for sticky loader
        layoutInfo.allowOverflow = true;
        // If loading or empty, we'll want the body to be sticky and centered
        let isEmptyOrLoading = children?.length === 0 || children?.length === 1 && children[0].layoutInfo.type === 'loader';
        if (isEmptyOrLoading) {
            layoutInfo.rect = new (0, $iLVc8$reactariacomponents.Rect)(40, 40, this.virtualizer.visibleRect.width - 80, this.virtualizer.visibleRect.height - 80);
            layoutInfo.isSticky = true;
        }
        return {
            ...layoutNode,
            layoutInfo: layoutInfo
        };
    }
    buildRow(node, x, y) {
        let layoutNode = super.buildRow(node, x, y);
        layoutNode.layoutInfo.allowOverflow = true;
        // Needs overflow for sticky selection/drag cells
        return layoutNode;
    }
    buildTableHeader() {
        let layoutNode = super.buildTableHeader();
        // Needs overflow for sticky selection/drag column
        layoutNode.layoutInfo.allowOverflow = true;
        return layoutNode;
    }
    buildColumn(node, x, y) {
        let layoutNode = super.buildColumn(node, x, y);
        // Needs overflow for the resize handle
        layoutNode.layoutInfo.allowOverflow = true;
        return layoutNode;
    }
}
const $bed37377ec7a3a9e$export$93e4b0b2cc49b648 = /*#__PURE__*/ (0, $iLVc8$react.createContext)(null);
const $bed37377ec7a3a9e$export$b3c27e869d856b7 = /*#__PURE__*/ (0, $iLVc8$react.forwardRef)(function TableView(props, ref) {
    [props, ref] = (0, $ac757a4c2bd72aee$exports.useSpectrumContextProps)(props, ref, $bed37377ec7a3a9e$export$93e4b0b2cc49b648);
    let { UNSAFE_style: UNSAFE_style, UNSAFE_className: UNSAFE_className, isQuiet: isQuiet = false, density: density = 'regular', overflowMode: overflowMode = 'truncate', styles: styles, loadingState: loadingState, onResize: propsOnResize, onResizeStart: propsOnResizeStart, onResizeEnd: propsOnResizeEnd, onAction: onAction, onLoadMore: onLoadMore, ...otherProps } = props;
    let domRef = (0, $iLVc8$reactspectrumutils.useDOMRef)(ref);
    let scale = (0, $ee7b4c497f520c08$exports.useScale)();
    // Starts when the user selects resize from the menu, ends when resizing ends
    // used to control the visibility of the resizer Nubbin
    let [isInResizeMode, setIsInResizeMode] = (0, $iLVc8$react.useState)(false);
    let onResizeStart = (0, $iLVc8$react.useCallback)((widths)=>{
        propsOnResizeStart?.(widths);
    }, [
        propsOnResizeStart
    ]);
    let onResizeEnd = (0, $iLVc8$react.useCallback)((widths)=>{
        setIsInResizeMode(false);
        propsOnResizeEnd?.(widths);
    }, [
        propsOnResizeEnd,
        setIsInResizeMode
    ]);
    let context = (0, $iLVc8$react.useMemo)(()=>({
            isQuiet: isQuiet,
            density: density,
            overflowMode: overflowMode,
            loadingState: loadingState,
            onLoadMore: onLoadMore,
            isInResizeMode: isInResizeMode,
            setIsInResizeMode: setIsInResizeMode
        }), [
        isQuiet,
        density,
        overflowMode,
        loadingState,
        onLoadMore,
        isInResizeMode,
        setIsInResizeMode
    ]);
    let scrollRef = (0, $iLVc8$react.useRef)(null);
    let isCheckboxSelection = props.selectionMode === 'multiple' || props.selectionMode === 'single';
    let { selectedKeys: selectedKeys, onSelectionChange: onSelectionChange, actionBar: actionBar, actionBarHeight: actionBarHeight } = (0, $85bf454149fe9ddc$exports.useActionBarContainer)({
        ...props,
        scrollRef: scrollRef
    });
    return /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsxs)((0, $iLVc8$reactariacomponents.ResizableTableContainer), {
        // TODO: perhaps this ref should be attached to the RACTable but it expects a table type ref which isn't true in the virtualized case
        ref: domRef,
        onResize: propsOnResize,
        onResizeEnd: onResizeEnd,
        onResizeStart: onResizeStart,
        className: (UNSAFE_className || '') + (0, $308b180f49d82d28$exports.mergeStyles)($bed37377ec7a3a9e$var$tableWrapper, styles),
        style: UNSAFE_style,
        children: [
            /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)((0, $iLVc8$reactariacomponents.Virtualizer), {
                layout: $bed37377ec7a3a9e$export$4e03bdf0174fd602,
                layoutOptions: {
                    rowHeight: overflowMode === 'wrap' ? undefined : $bed37377ec7a3a9e$var$ROW_HEIGHTS[density][scale],
                    estimatedRowHeight: overflowMode === 'wrap' ? $bed37377ec7a3a9e$var$ROW_HEIGHTS[density][scale] : undefined,
                    // No need for estimated headingHeight since the headers aren't affected by overflow mode: wrap
                    headingHeight: $bed37377ec7a3a9e$var$DEFAULT_HEADER_HEIGHT[scale],
                    loaderHeight: 60
                },
                children: /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)($bed37377ec7a3a9e$var$InternalTableContext.Provider, {
                    value: context,
                    children: /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)((0, $iLVc8$reactariacomponents.Table), {
                        ref: scrollRef,
                        style: {
                            // Fix webkit bug where scrollbars appear above the checkboxes/other table elements
                            WebkitTransform: 'translateZ(0)',
                            // Add padding at the bottom when the action bar is visible so users can scroll to the last items.
                            // Also add scroll padding so navigating with the keyboard doesn't go behind the action bar.
                            paddingBottom: actionBarHeight > 0 ? actionBarHeight + 8 : 0,
                            scrollPaddingBottom: actionBarHeight > 0 ? actionBarHeight + 8 : 0
                        },
                        className: (renderProps)=>$bed37377ec7a3a9e$var$table({
                                ...renderProps,
                                isCheckboxSelection: isCheckboxSelection,
                                isQuiet: isQuiet
                            }),
                        selectionBehavior: "toggle",
                        onRowAction: onAction,
                        ...otherProps,
                        selectedKeys: selectedKeys,
                        defaultSelectedKeys: undefined,
                        onSelectionChange: onSelectionChange
                    })
                })
            }),
            actionBar
        ]
    });
});
const $bed37377ec7a3a9e$var$centeredWrapper = " sd9 eb9 _Ca9 Za9 Fb9";
const $bed37377ec7a3a9e$export$76ccd210b9029917 = /*#__PURE__*/ (0, $iLVc8$react.forwardRef)(function TableBody(props, ref) {
    let { items: items, renderEmptyState: renderEmptyState, children: children, dependencies: dependencies = [] } = props;
    let domRef = (0, $iLVc8$reactspectrumutils.useDOMRef)(ref);
    let { loadingState: loadingState, onLoadMore: onLoadMore } = (0, $iLVc8$react.useContext)($bed37377ec7a3a9e$var$InternalTableContext);
    let isLoading = loadingState === 'loading' || loadingState === 'loadingMore';
    let emptyRender;
    let renderer = children;
    let stringFormatter = (0, $iLVc8$reactariai18n.useLocalizedStringFormatter)((0, ($parcel$interopDefault($4526404114e78c80$exports))), '@react-spectrum/s2');
    // TODO: still is offset strangely if loadingMore when there aren't any items in the table, see http://localhost:6006/?path=/story/tableview--empty-state&args=loadingState:loadingMore
    // This is because we don't distinguish between loadingMore and loading in the layout, resulting in a different rect being used to build the body. Perhaps can be considered as a user error
    // if they pass loadingMore without having any other items in the table. Alternatively, could update the layout so it knows the current loading state.
    let loadMoreSpinner = /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)((0, $iLVc8$reactariacomponents.UNSTABLE_TableLoadingSentinel), {
        isLoading: loadingState === 'loadingMore',
        onLoadMore: onLoadMore,
        className: " Fb9 Za9",
        children: /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)("div", {
            className: $bed37377ec7a3a9e$var$centeredWrapper,
            children: /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)((0, $1c116ea4b0d2d023$exports.ProgressCircle), {
                isIndeterminate: true,
                "aria-label": stringFormatter.format('table.loadingMore')
            })
        })
    });
    // If the user is rendering their rows in dynamic fashion, wrap their render function in Collection so we can inject
    // the loader. Otherwise it is a static renderer and thus we can simply add the table loader after
    // TODO: this assumes that the user isn't providing their children in some wrapper though and/or isn't doing a map of children
    // (though I guess they wouldn't provide items then so the check for this is still valid in the latter case)...
    if (typeof children === 'function' && items) renderer = /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsxs)((0, $iLVc8$reactjsxruntime.Fragment), {
        children: [
            /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)((0, $iLVc8$reactariacomponents.Collection), {
                items: items,
                dependencies: dependencies,
                children: children
            }),
            loadMoreSpinner
        ]
    });
    else renderer = /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsxs)((0, $iLVc8$reactjsxruntime.Fragment), {
        children: [
            children,
            loadMoreSpinner
        ]
    });
    if (renderEmptyState != null && !isLoading) emptyRender = (props)=>/*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)("div", {
            className: $bed37377ec7a3a9e$var$centeredWrapper,
            children: renderEmptyState(props)
        });
    else if (loadingState === 'loading') emptyRender = ()=>/*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)("div", {
            className: $bed37377ec7a3a9e$var$centeredWrapper,
            children: /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)((0, $1c116ea4b0d2d023$exports.ProgressCircle), {
                isIndeterminate: true,
                "aria-label": stringFormatter.format('table.loading')
            })
        });
    return /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)((0, $iLVc8$reactariacomponents.TableBody), {
        // @ts-ignore
        ref: domRef,
        className: " Fb9",
        ...props,
        renderEmptyState: emptyRender,
        dependencies: [
            loadingState
        ],
        children: renderer
    });
});
const $bed37377ec7a3a9e$var$cellFocus = {
    outlineStyle: {
        default: 'none',
        isFocusVisible: 'solid'
    },
    outlineOffset: -2,
    outlineWidth: 2,
    outlineColor: 'focus-ring',
    borderRadius: '[6px]'
};
function $bed37377ec7a3a9e$var$CellFocusRing() {
    return /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)("div", {
        role: "presentation",
        className: function anonymous(props) {
            let rules = " ";
            if (props.isFocusVisible) rules += ' _Lf9';
            else rules += ' _Le9';
            rules += ' _Kb9';
            rules += ' _Mc9';
            rules += ' Oh9';
            rules += ' of9';
            rules += ' nf9';
            rules += ' kf9';
            rules += ' jf9';
            rules += ' _Pa9';
            rules += ' Wr9';
            rules += ' _lr9';
            rules += ' _Ar9';
            rules += ' _zr9';
            return rules;
        }({
            isFocusVisible: true
        })
    });
}
const $bed37377ec7a3a9e$var$columnStyles = function anonymous(props) {
    let rules = " ";
    rules += ' F40ub4c9';
    rules += ' _oa9';
    if (props.isPressed) rules += ' po9';
    else if (props.isFocusVisible) rules += ' po9';
    else if (props.isHovered) rules += ' po9';
    else rules += ' pt9';
    rules += ' plb9';
    if (props.isMenu) rules += ' Sd9';
    else rules += ' Sf9';
    if (props.isMenu) rules += ' Rd9';
    else rules += ' Rf9';
    if (props.align === "end") rules += ' _Wb9';
    else if (props.align === "center") rules += ' _Wa9';
    else if (props.align === "start") rules += ' _Wd9';
    rules += ' _Le9';
    rules += ' _Pc9';
    if (props.size === "XL") {
        rules += ' vg9';
        rules += ' vsj9';
    } else if (props.size === "L") {
        rules += ' vp9';
        rules += ' vsh9';
    } else if (props.size === "S") {
        rules += ' vb9';
        rules += ' vse9';
    } else if (props.size === "XS") {
        rules += ' va9';
        rules += ' vsc9';
    } else {
        rules += ' vd9';
        rules += ' vsf9';
    }
    rules += ' ug9';
    rules += ' uch9';
    rules += ' udi9';
    rules += ' uea9';
    rules += ' ugb9';
    rules += ' uhd9';
    rules += ' uje9';
    rules += ' uic9';
    rules += ' wd9';
    rules += ' xd9';
    rules += ' _xa9';
    rules += ' sd9';
    rules += ' iq9';
    rules += ' ila9';
    if (props.isQuiet) rules += ' _kb9';
    else rules += ' _ka9';
    rules += ' hb9';
    rules += ' ma9';
    if (props.isMenu) rules += ' lb9';
    else rules += ' la9';
    rules += ' _jf9';
    rules += ' _yb9';
    return rules;
};
const $bed37377ec7a3a9e$export$816b5d811295e6bc = /*#__PURE__*/ (0, $iLVc8$react.forwardRef)(function Column(props, ref) {
    let { isQuiet: isQuiet } = (0, $iLVc8$react.useContext)($bed37377ec7a3a9e$var$InternalTableContext);
    let { allowsResizing: allowsResizing, children: children, align: align = 'start' } = props;
    let domRef = (0, $iLVc8$reactspectrumutils.useDOMRef)(ref);
    let isMenu = allowsResizing || !!props.menuItems;
    return /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)((0, $iLVc8$reactariacomponents.Column), {
        ...props,
        ref: domRef,
        style: {
            borderInlineEndColor: 'transparent'
        },
        className: (renderProps)=>$bed37377ec7a3a9e$var$columnStyles({
                ...renderProps,
                isMenu: isMenu,
                align: align,
                isQuiet: isQuiet
            }),
        children: ({ allowsSorting: allowsSorting, sortDirection: sortDirection, isFocusVisible: isFocusVisible, sort: sort, startResize: startResize })=>/*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsxs)((0, $iLVc8$reactjsxruntime.Fragment), {
                children: [
                    isFocusVisible && /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)($bed37377ec7a3a9e$var$CellFocusRing, {}),
                    isMenu ? /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)($bed37377ec7a3a9e$var$ColumnWithMenu, {
                        isColumnResizable: allowsResizing,
                        menuItems: props.menuItems,
                        allowsSorting: allowsSorting,
                        sortDirection: sortDirection,
                        sort: sort,
                        startResize: startResize,
                        align: align,
                        children: children
                    }) : /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)($bed37377ec7a3a9e$var$ColumnContents, {
                        allowsSorting: allowsSorting,
                        sortDirection: sortDirection,
                        children: children
                    })
                ]
            })
    });
});
const $bed37377ec7a3a9e$var$columnContentWrapper = " Na9 sd9 eb9 Za9";
const $bed37377ec7a3a9e$var$sortIcon = function anonymous(props) {
    let rules = " ";
    rules += ' ZXJkxGe9';
    rules += ' FXJkxGe9';
    rules += ' _va9';
    if (props.isButton) {
        rules += ' Ht9';
        rules += ' Hsu9';
    } else rules += ' Hv9';
    rules += ' _5b9';
    rules += ' -_8sjo0b-t5ZbAob9';
    return rules;
};
function $bed37377ec7a3a9e$var$ColumnContents(props) {
    let { allowsSorting: allowsSorting, sortDirection: sortDirection, children: children } = props;
    return /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsxs)("div", {
        className: $bed37377ec7a3a9e$var$columnContentWrapper,
        children: [
            allowsSorting && /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)((0, $iLVc8$reactariacomponents.Provider), {
                values: [
                    [
                        (0, $bde97c91243ed164$exports.IconContext),
                        {
                            styles: $bed37377ec7a3a9e$var$sortIcon({})
                        }
                    ]
                ],
                children: sortDirection != null && (sortDirection === 'ascending' ? /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)((0, $2197830b90e71c31$exports.default), {}) : /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)((0, $22bf2407c3628a21$exports.default), {}))
            }),
            /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)("span", {
                className: " _Nc9 Pc9 _Yb9 _7c9 Za9",
                children: children
            })
        ]
    });
}
const $bed37377ec7a3a9e$var$resizableMenuButtonWrapper = function anonymous(props) {
    let rules = " ";
    if (props.isFocusVisible) rules += ' _Lf9';
    else rules += ' _Le9';
    rules += ' _Kb9';
    rules += ' _Mc9';
    rules += ' Oh9';
    rules += ' of9';
    rules += ' nf9';
    rules += ' kf9';
    rules += ' jf9';
    rules += ' pt9';
    rules += ' Za9';
    rules += ' _Pc9';
    rules += ' sd9';
    rules += ' eb9';
    if (props.align === "end") rules += ' _Cb9';
    else if (props.align === "center") rules += ' _Ca9';
    else if (props.align === "default") rules += ' _Cg9';
    rules += ' Sf9';
    rules += ' Rf9';
    rules += ' g99';
    rules += ' _je9';
    if (props.size === "XL") {
        rules += ' vg9';
        rules += ' vsj9';
    } else if (props.size === "L") {
        rules += ' vp9';
        rules += ' vsh9';
    } else if (props.size === "S") {
        rules += ' vb9';
        rules += ' vse9';
    } else if (props.size === "XS") {
        rules += ' va9';
        rules += ' vsc9';
    } else {
        rules += ' vd9';
        rules += ' vsf9';
    }
    rules += ' ug9';
    rules += ' uch9';
    rules += ' udi9';
    rules += ' uea9';
    rules += ' ugb9';
    rules += ' uhd9';
    rules += ' uje9';
    rules += ' uic9';
    rules += ' wd9';
    rules += ' xd9';
    rules += ' _xa9';
    return rules;
};
const $bed37377ec7a3a9e$var$resizerHandleContainer = function anonymous(props) {
    let rules = " ";
    if (props.isInResizeMode) rules += ' sb9';
    else if (props.isResizing) rules += ' sb9';
    else rules += ' sjBAxlb9';
    rules += ' Zj9';
    rules += ' Fb9';
    rules += ' _Pa9';
    rules += ' Wr9';
    rules += ' _zdYbyj9';
    if (props.resizableDirection === "both") rules += ' rk9';
    else if (props.resizableDirection === "right") rules += ' rF9';
    else if (props.resizableDirection === "left") rules += ' rj9';
    else rules += ' rt9';
    return rules;
};
const $bed37377ec7a3a9e$var$resizerHandle = function anonymous(props) {
    let rules = " ";
    if (props.isResizing) rules += ' g5qAiPc9';
    else if (props.isFocusVisible) rules += ' g5qAiPc9';
    else rules += ' gE9';
    if (props.isResizing) rules += ' gle9';
    else if (props.isFocusVisible) rules += ' gle9';
    else rules += ' gla9';
    if (props.isResizing) rules += ' Fc9';
    else rules += ' Fb9';
    if (props.isResizing) rules += ' Zf9';
    else rules += ' Ze9';
    rules += ' _Pa9';
    rules += ' _AWJpoB9';
    return rules;
};
const $bed37377ec7a3a9e$var$columnHeaderText = " _Nc9 Pc9 _Yb9 _7c9 NXJkxGe9 _ua9 _vb9 _sd9";
const $bed37377ec7a3a9e$var$chevronIcon = " _Sd9 It9 Isu9 NXJkxGe9 _va9 -_8sjo0b-t5ZbAob9";
const $bed37377ec7a3a9e$var$nubbin = " _Pa9 Wr9 _AlhfIS9 ZXJkxGe9 FXJkxGe9 t5qAiPc9 tla9 -_8sjo0b-tw9 -_8sjo0b-lt8pvGJ9";
function $bed37377ec7a3a9e$var$ColumnWithMenu(props) {
    let { allowsSorting: allowsSorting, sortDirection: sortDirection, sort: sort, startResize: startResize, children: children, align: align, isColumnResizable: isColumnResizable, menuItems: menuItems } = props;
    let { setIsInResizeMode: setIsInResizeMode, isInResizeMode: isInResizeMode } = (0, $iLVc8$react.useContext)($bed37377ec7a3a9e$var$InternalTableContext);
    let stringFormatter = (0, $iLVc8$reactariai18n.useLocalizedStringFormatter)((0, ($parcel$interopDefault($4526404114e78c80$exports))), '@react-spectrum/s2');
    const onMenuSelect = (key)=>{
        switch(key){
            case 'sort-asc':
                sort('ascending');
                break;
            case 'sort-desc':
                sort('descending');
                break;
            case 'resize':
                setIsInResizeMode?.(true);
                startResize();
                break;
        }
    };
    let items = (0, $iLVc8$react.useMemo)(()=>{
        let options = [];
        if (isColumnResizable) options = [
            {
                label: stringFormatter.format('table.resizeColumn'),
                id: 'resize'
            }
        ];
        if (allowsSorting) options = [
            {
                label: stringFormatter.format('table.sortAscending'),
                id: 'sort-asc'
            },
            {
                label: stringFormatter.format('table.sortDescending'),
                id: 'sort-desc'
            },
            ...options
        ];
        return options;
    // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [
        allowsSorting,
        isColumnResizable
    ]);
    let buttonAlignment = 'start';
    let menuAlign = 'start';
    if (align === 'center') buttonAlignment = 'center';
    else if (align === 'end') {
        buttonAlignment = 'end';
        menuAlign = 'end';
    }
    return /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsxs)((0, $iLVc8$reactjsxruntime.Fragment), {
        children: [
            /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsxs)((0, $e741ea6b88ce4866$exports.MenuTrigger), {
                align: menuAlign,
                children: [
                    /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsxs)((0, $iLVc8$reactariacomponents.Button), {
                        className: (renderProps)=>$bed37377ec7a3a9e$var$resizableMenuButtonWrapper({
                                ...renderProps,
                                align: buttonAlignment
                            }),
                        children: [
                            allowsSorting && /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)((0, $iLVc8$reactariacomponents.Provider), {
                                values: [
                                    [
                                        (0, $bde97c91243ed164$exports.IconContext),
                                        {
                                            styles: $bed37377ec7a3a9e$var$sortIcon({
                                                isButton: true
                                            })
                                        }
                                    ]
                                ],
                                children: sortDirection != null && (sortDirection === 'ascending' ? /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)((0, $2197830b90e71c31$exports.default), {}) : /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)((0, $22bf2407c3628a21$exports.default), {}))
                            }),
                            /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)("div", {
                                className: $bed37377ec7a3a9e$var$columnHeaderText,
                                children: children
                            }),
                            /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)((0, $1df9f1c9262ce5df$exports.default), {
                                size: "M",
                                className: $bed37377ec7a3a9e$var$chevronIcon
                            })
                        ]
                    }),
                    /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsxs)((0, $e741ea6b88ce4866$exports.Menu), {
                        onAction: onMenuSelect,
                        styles: " Nn9",
                        children: [
                            items.length > 0 && /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)((0, $e741ea6b88ce4866$exports.MenuSection), {
                                children: /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)((0, $iLVc8$reactariacomponents.Collection), {
                                    items: items,
                                    children: (item)=>/*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)((0, $e741ea6b88ce4866$exports.MenuItem), {
                                            children: item?.label
                                        })
                                })
                            }),
                            menuItems
                        ]
                    })
                ]
            }),
            isColumnResizable && /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)("div", {
                "data-react-aria-prevent-focus": "true",
                children: /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)((0, $iLVc8$reactariacomponents.ColumnResizer), {
                    "data-react-aria-prevent-focus": "true",
                    className: ({ resizableDirection: resizableDirection, isResizing: isResizing })=>$bed37377ec7a3a9e$var$resizerHandleContainer({
                            resizableDirection: resizableDirection,
                            isResizing: isResizing,
                            isInResizeMode: isInResizeMode
                        }),
                    children: ({ isFocusVisible: isFocusVisible, isResizing: isResizing })=>/*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsxs)((0, $iLVc8$reactjsxruntime.Fragment), {
                            children: [
                                /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)($bed37377ec7a3a9e$var$ResizerIndicator, {
                                    isFocusVisible: isFocusVisible,
                                    isResizing: isResizing
                                }),
                                (isFocusVisible || isInResizeMode) && isResizing && /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)("div", {
                                    className: $bed37377ec7a3a9e$var$nubbin,
                                    children: /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)((0, $23350f45c699333e$exports.default), {})
                                })
                            ]
                        })
                })
            })
        ]
    });
}
function $bed37377ec7a3a9e$var$ResizerIndicator({ isFocusVisible: isFocusVisible, isResizing: isResizing }) {
    return /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)("div", {
        className: $bed37377ec7a3a9e$var$resizerHandle({
            isFocusVisible: isFocusVisible,
            isResizing: isResizing
        })
    });
}
const $bed37377ec7a3a9e$var$tableHeader = function anonymous(props) {
    let rules = " ";
    rules += ' Fb9';
    rules += ' Za9';
    rules += ' gL9';
    rules += ' JLPOtrc9';
    if (props.isHovered) rules += ' -xLp2wc-sb9';
    else rules += ' -xLp2wc-sk9';
    return rules;
};
const $bed37377ec7a3a9e$var$selectAllCheckbox = " IC9";
const $bed37377ec7a3a9e$var$selectAllCheckboxColumn = function anonymous(props) {
    let rules = " ";
    rules += ' Td9';
    rules += ' Qd9';
    rules += ' Sd9';
    rules += ' Rd9';
    rules += ' Fb9';
    rules += ' _oa9';
    rules += ' _Le9';
    rules += ' _Pc9';
    rules += ' _cb9';
    rules += ' iq9';
    rules += ' ila9';
    rules += ' ma9';
    rules += ' la9';
    if (props.isQuiet) rules += ' _kb9';
    else rules += ' _ka9';
    rules += ' hb9';
    rules += ' _jf9';
    rules += ' gL9';
    return rules;
};
const $bed37377ec7a3a9e$export$f850895b287ef28e = /*#__PURE__*/ (0, $iLVc8$react.forwardRef)(function TableHeader({ columns: columns, dependencies: dependencies, children: children }, ref) {
    let scale = (0, $ee7b4c497f520c08$exports.useScale)();
    let { selectionBehavior: selectionBehavior, selectionMode: selectionMode } = (0, $iLVc8$reactariacomponents.useTableOptions)();
    let { isQuiet: isQuiet } = (0, $iLVc8$react.useContext)($bed37377ec7a3a9e$var$InternalTableContext);
    let domRef = (0, $iLVc8$reactspectrumutils.useDOMRef)(ref);
    return /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsxs)((0, $iLVc8$reactariacomponents.TableHeader), {
        // @ts-ignore
        ref: domRef,
        className: $bed37377ec7a3a9e$var$tableHeader,
        children: [
            selectionBehavior === 'toggle' && // Also isSticky prop is applied just for the layout, will decide what the RAC api should be later
            // @ts-ignore
            /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)((0, $iLVc8$reactariacomponents.Column), {
                isSticky: true,
                width: scale === 'medium' ? 40 : 52,
                minWidth: scale === 'medium' ? 40 : 52,
                className: $bed37377ec7a3a9e$var$selectAllCheckboxColumn({
                    isQuiet: isQuiet
                }),
                children: ({ isFocusVisible: isFocusVisible })=>/*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsxs)((0, $iLVc8$reactjsxruntime.Fragment), {
                        children: [
                            selectionMode === 'single' && /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsxs)((0, $iLVc8$reactjsxruntime.Fragment), {
                                children: [
                                    isFocusVisible && /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)($bed37377ec7a3a9e$var$CellFocusRing, {}),
                                    /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)($bed37377ec7a3a9e$var$VisuallyHiddenSelectAllLabel, {})
                                ]
                            }),
                            selectionMode === 'multiple' && /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)((0, $af04e099a53d3e85$exports.Checkbox), {
                                isEmphasized: true,
                                styles: $bed37377ec7a3a9e$var$selectAllCheckbox,
                                slot: "selection"
                            })
                        ]
                    })
            }),
            /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)((0, $iLVc8$reactariacomponents.Collection), {
                items: columns,
                dependencies: dependencies,
                children: children
            })
        ]
    });
});
function $bed37377ec7a3a9e$var$VisuallyHiddenSelectAllLabel() {
    let checkboxProps = (0, $iLVc8$reactariacomponents.useSlottedContext)((0, $iLVc8$reactariacomponents.CheckboxContext), 'selection');
    return /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)((0, $iLVc8$reactaria.VisuallyHidden), {
        children: checkboxProps?.['aria-label']
    });
}
const $bed37377ec7a3a9e$var$commonCellStyles = {
    borderColor: 'transparent',
    borderBottomWidth: 1,
    borderTopWidth: 0,
    borderXWidth: 0,
    borderStyle: 'solid',
    position: 'relative',
    color: {
        default: 'gray-800',
        forcedColors: 'ButtonText'
    },
    outlineStyle: 'none',
    paddingX: 16 // table-edge-to-content
};
const $bed37377ec7a3a9e$var$cell = function anonymous(props) {
    let rules = " ";
    rules += ' iq9';
    rules += ' ila9';
    rules += ' hXMFGYc9';
    rules += ' _kJ8iPYd9';
    rules += ' ma9';
    if (props.isDivider) rules += ' lb9';
    else rules += ' la9';
    if (props.isDivider) rules += ' _jf9';
    else rules += ' _je9';
    rules += ' _Pc9';
    if (props.isPressed) rules += ' po9';
    else if (props.isFocusVisible) rules += ' po9';
    else if (props.isHovered) rules += ' po9';
    else rules += ' pt9';
    rules += ' _Le9';
    rules += ' Sf9';
    rules += ' Rf9';
    rules += ' Tu7Fubd9';
    rules += ' Qu7Fubd9';
    rules += ' MAyFGYc9';
    rules += ' _oa9';
    rules += ' Fb9';
    rules += ' Za9';
    if (props.size === "XL") {
        rules += ' vg9';
        rules += ' vsj9';
    } else if (props.size === "L") {
        rules += ' vp9';
        rules += ' vsh9';
    } else if (props.size === "S") {
        rules += ' vb9';
        rules += ' vse9';
    } else if (props.size === "XS") {
        rules += ' va9';
        rules += ' vsc9';
    } else {
        rules += ' vd9';
        rules += ' vsf9';
    }
    rules += ' eb9';
    rules += ' sd9';
    if (props.density === "spacious") rules += ' -M_-Mk9';
    else if (props.density === "compact") rules += ' -M_-Mi9';
    else rules += ' -M_-Mh9';
    rules += ' -_k_-_ka9';
    rules += ' -h_-hb9';
    return rules;
};
const $bed37377ec7a3a9e$var$stickyCell = {
    backgroundColor: 'gray-25'
};
const $bed37377ec7a3a9e$var$checkboxCellStyle = " iA9 ha9 _ka9 ma9 la9 _jf9 _Pc9 pt9 plb9 _Le9 Sf9 Rf9 gs9yXOb9 _cb9 FBJsHLe9";
const $bed37377ec7a3a9e$var$cellContent = function anonymous(props) {
    let rules = " ";
    rules += ' _Nc9';
    rules += ' Pc9';
    rules += ' _Yb9';
    if (props.overflowMode === "wrap") rules += ' _7b9';
    else rules += ' _7c9';
    if (props.align === "end") rules += ' _Wb9';
    else if (props.align === "center") rules += ' _Wa9';
    else if (props.align === "start") rules += ' _Wd9';
    rules += ' Za9';
    rules += ' _Bb9';
    if (props.isSticky) rules += ' Td9';
    else rules += ' Tp9';
    if (props.isSticky) rules += ' Qd9';
    else rules += ' Qp9';
    if (props.isSticky) rules += ' Sd9';
    else rules += ' Sp9';
    if (props.isSticky) rules += ' Rd9';
    else rules += ' Rp9';
    if (props.isSticky) rules += ' Jy9';
    else rules += ' Jb9';
    if (props.isSticky) rules += ' Gy9';
    else rules += ' Gb9';
    if (props.isSticky) rules += ' Iy9';
    else rules += ' Ib9';
    if (props.isSticky) rules += ' Hy9';
    else rules += ' Hb9';
    if (props.isSticky) rules += ' gs9yXOb9';
    else rules += ' g99';
    return rules;
};
const $bed37377ec7a3a9e$export$f6f0c3fe4ec306ea = /*#__PURE__*/ (0, $iLVc8$react.forwardRef)(function Cell(props, ref) {
    let { children: children, isSticky: isSticky, showDivider: showDivider = false, align: align, textValue: textValue, ...otherProps } = props;
    let domRef = (0, $iLVc8$reactspectrumutils.useDOMRef)(ref);
    let tableVisualOptions = (0, $iLVc8$react.useContext)($bed37377ec7a3a9e$var$InternalTableContext);
    textValue ||= typeof children === 'string' ? children : undefined;
    return /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)((0, $iLVc8$reactariacomponents.Cell), {
        ref: domRef,
        // Also isSticky prop is applied just for the layout, will decide what the RAC api should be later
        // @ts-ignore
        isSticky: isSticky,
        className: (renderProps)=>$bed37377ec7a3a9e$var$cell({
                ...renderProps,
                ...tableVisualOptions,
                isDivider: showDivider
            }),
        textValue: textValue,
        ...otherProps,
        children: ({ isFocusVisible: isFocusVisible })=>/*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsxs)((0, $iLVc8$reactjsxruntime.Fragment), {
                children: [
                    isFocusVisible && /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)($bed37377ec7a3a9e$var$CellFocusRing, {}),
                    /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)("span", {
                        className: $bed37377ec7a3a9e$var$cellContent({
                            ...tableVisualOptions,
                            isSticky: isSticky,
                            align: align || 'start'
                        }),
                        children: children
                    })
                ]
            })
    });
});
// Use color-mix instead of transparency so sticky cells work correctly.
const $bed37377ec7a3a9e$var$selectedBackground = "[light-dark(color-mix(in srgb, light-dark(rgb(255, 255, 255), rgb(17, 17, 17)), light-dark(rgb(59, 99, 251), rgb(86, 129, 255)) 10%), color-mix(in srgb, light-dark(rgb(255, 255, 255), rgb(17, 17, 17)), light-dark(rgb(93, 137, 255), rgb(52, 91, 248)) 10%))]";
const $bed37377ec7a3a9e$var$selectedActiveBackground = "[light-dark(color-mix(in srgb, light-dark(rgb(255, 255, 255), rgb(17, 17, 17)), light-dark(rgb(59, 99, 251), rgb(86, 129, 255)) 15%), color-mix(in srgb, light-dark(rgb(255, 255, 255), rgb(17, 17, 17)), light-dark(rgb(93, 137, 255), rgb(52, 91, 248)) 15%))]";
const $bed37377ec7a3a9e$var$rowBackgroundColor = {
    default: {
        default: 'gray-25',
        isQuiet: '--s2-container-bg'
    },
    isFocusVisibleWithin: "[color-mix(in srgb, light-dark(rgb(255, 255, 255), rgb(17, 17, 17)), light-dark(rgb(19, 19, 19), rgb(242, 242, 242)) 7%)]",
    isHovered: "[color-mix(in srgb, light-dark(rgb(255, 255, 255), rgb(17, 17, 17)), light-dark(rgb(19, 19, 19), rgb(242, 242, 242)) 7%)]",
    isPressed: "[color-mix(in srgb, light-dark(rgb(255, 255, 255), rgb(17, 17, 17)), light-dark(rgb(19, 19, 19), rgb(242, 242, 242)) 10%)]",
    isSelected: {
        default: $bed37377ec7a3a9e$var$selectedBackground,
        isFocusVisibleWithin: $bed37377ec7a3a9e$var$selectedActiveBackground,
        isHovered: $bed37377ec7a3a9e$var$selectedActiveBackground,
        isPressed: $bed37377ec7a3a9e$var$selectedActiveBackground // table-selected-row-background-color, opacity /15
    },
    forcedColors: {
        default: 'Background'
    }
};
const $bed37377ec7a3a9e$var$row = function anonymous(props) {
    let rules = " ";
    rules += ' Fb9';
    rules += ' _Pc9';
    rules += ' _oa9';
    rules += ' gs9yXOb9';
    if (props.isSelected) {
        if (props.isPressed) rules += ' -qH4xad-gT9rOHd9';
        else if (props.isHovered) rules += ' -qH4xad-gT9rOHd9';
        else if (props.isFocusVisibleWithin) rules += ' -qH4xad-gT9rOHd9';
        else rules += ' -qH4xad-gJpow3b9';
    } else if (props.isPressed) rules += ' -qH4xad-gRfT7e9';
    else if (props.isHovered) rules += ' -qH4xad-gj1B7i9';
    else if (props.isFocusVisibleWithin) rules += ' -qH4xad-gj1B7i9';
    else if (props.isQuiet) rules += ' -qH4xad-gEzkoQe9';
    else rules += ' -qH4xad-gX9';
    rules += ' -qH4xad-lga9';
    rules += ' -_34HbNb-Oh9';
    rules += ' -_34HbNb-lOc9';
    rules += ' _Le9';
    rules += ' _ka9';
    rules += ' hb9';
    rules += ' ma9';
    rules += ' la9';
    rules += ' _jf9';
    rules += ' iq9';
    rules += ' ila9';
    rules += ' _yb9';
    return rules;
};
const $bed37377ec7a3a9e$export$b59bdbef9ce70de2 = /*#__PURE__*/ (0, $iLVc8$react.forwardRef)(function Row({ id: id, columns: columns, children: children, dependencies: dependencies = [], ...otherProps }, ref) {
    let { selectionBehavior: selectionBehavior, selectionMode: selectionMode } = (0, $iLVc8$reactariacomponents.useTableOptions)();
    let tableVisualOptions = (0, $iLVc8$react.useContext)($bed37377ec7a3a9e$var$InternalTableContext);
    let domRef = (0, $iLVc8$reactspectrumutils.useDOMRef)(ref);
    return /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsxs)((0, $iLVc8$reactariacomponents.Row), {
        // @ts-ignore
        ref: domRef,
        id: id,
        dependencies: [
            ...dependencies,
            columns
        ],
        className: (renderProps)=>$bed37377ec7a3a9e$var$row({
                ...renderProps,
                ...tableVisualOptions
            }) + (renderProps.isFocusVisible && " hFh6wc"),
        ...otherProps,
        children: [
            selectionMode !== 'none' && selectionBehavior === 'toggle' && /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)($bed37377ec7a3a9e$export$f6f0c3fe4ec306ea, {
                isSticky: true,
                className: $bed37377ec7a3a9e$var$checkboxCellStyle,
                children: /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)((0, $af04e099a53d3e85$exports.Checkbox), {
                    isEmphasized: true,
                    slot: "selection"
                })
            }),
            /*#__PURE__*/ (0, $iLVc8$reactjsxruntime.jsx)((0, $iLVc8$reactariacomponents.Collection), {
                items: columns,
                dependencies: [
                    ...dependencies,
                    columns
                ],
                children: children
            })
        ]
    });
});


//# sourceMappingURL=TableView.cjs.map
